2008-12-23 20:40  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.238):

	If a message's header claims a structure that is not reflected in the
	body, and the IMAP server reports the body structure derived from the
	message's header but returns NIL for a part when it fails to parse the
	body, treat that part part as empty.

2008-12-12 15:22  Taylor R. Campbell <net/mumble/campbell>

	* runtime/char.scm (14.36):

	Add the name #\formfeed to #\U+0C.

2008-12-06 18:00  Taylor R. Campbell <net/mumble/campbell>

	* runtime/mit-syntax.scm (14.34):

	Pass the history to MAKE-KEYWORD-VALUE-ITEM.

2008-12-06 14:42  Taylor R. Campbell <net/mumble/campbell>

	* runtime/syntactic-closures.scm (14.20):

	Store histories with keyword value items so that passing them to
	ILLEGAL-EXPRESSION-ITEM will report errors with useful messages.

2008-12-02 17:19  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.237):

	Exclude \Recent flags from STORE and APPEND commands and from IMAP
	messages' permanent flags for filing to other folders.  Include all
	other flags, even if the server will not store them permanently.  The
	PERMANENTFLAGS list is no longer used for any purpose.

2008-11-11 22:14  Taylor R. Campbell <net/mumble/campbell>

	* microcode/unstackify.c (11.8):

	Unstackify the components of rectangular numbers in the right order.

2008-10-28 22:19  Chris Hanson <org/chris-hanson/cph>

	* runtime/http-syntax.scm (1.10):

	Don't follow semicolon by space in parameter lists.

2008-10-26 19:35  Chris Hanson <org/chris-hanson/cph>

	* xml/: xml-output.scm (1.47), xml-parser.scm (1.82):

	Allow XML I/O on ports that don't support coding.

2008-10-26 19:30  Chris Hanson <org/chris-hanson/cph>

	* edwin/bufout.scm (1.22):

	Add FRESH-LINE operation.

2008-10-26 16:14  Chris Hanson <org/chris-hanson/cph>

	* runtime/datime.scm (14.56):

	On input, allow any combination of ISO 8601 basic and extended
	formats.  This compensates for broken xml-rpc "spec".

2008-10-23 15:07  Taylor R. Campbell <net/mumble/campbell>

	* edwin/sendmail.scm (1.100):

	New variable DEFAULT-MIME-TEXT-CHARSET to support specifying charsets
	other than ISO-8859-1 in MIME text attachments.  The existing
	behaviour is preserved; set this variable to the symbol PROMPT to
	change it.  This is not carefully conceived, but I need it this hour!

2008-10-18 21:56  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/cout.scm (1.49):

	Remove spurious parameter in STRINGIFY-DATA/TRADITIONAL, as a vestige
	of earlier changes.  This bug had no effect except when explicitly
	setting *USE-STACKIFY?* to true, which nothing in the system does at
	the moment.

2008-10-18 17:20  Taylor R. Campbell <net/mumble/campbell>

	* edwin/lisppaste.scm (1.2):

	Minor improvements.

2008-10-12 02:31  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.46):

	Allow white space in empty blank node.

2008-10-11 02:45  Chris Hanson <org/chris-hanson/cph>

	* runtime/url.scm (1.60):

	Change REMOVE-DOT-SEGMENTS so it affects only absolute paths.

2008-10-10 22:48  Chris Hanson <org/chris-hanson/cph>

	* runtime/http-syntax.scm (1.9):

	Delete misleading section title.

2008-10-10 22:46  Chris Hanson <org/chris-hanson/cph>

	* edwin/modefs.scm (1.172):

	Bind #\c-m-r to isearch-backward-regexp to match Emacs.

2008-10-10 20:38  Chris Hanson <org/chris-hanson/cph>

	* runtime/url.scm (1.59):

	Always run REMOVE-DOT-SEGMENTS when creating absolute URIs, no matter
	what the path.  Previously this was only done by MERGE-URIS.

2008-10-10 20:31  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.45):

	Make sure absolute URIs are correctly resolved.

2008-10-10 19:59  Chris Hanson <org/chris-hanson/cph>

	* edwin/malias.scm (1.14):

	Expand mail aliases in "resent-XXX" headers.

2008-10-08 03:14  Chris Hanson <org/chris-hanson/cph>

	* etc/: c-prepare.sh (1.12), compile-boot-compiler.sh (1.4),
	  native-prepare.sh (1.5):

	Explicitly specify the band to use when cross compiling.  The recent
	change of the default band violated the assumptions used here.

2008-10-02 20:21  Chris Hanson <org/chris-hanson/cph>

	* etc/usermap (1.9):

	Update my email address.

2008-10-02 13:58  Taylor R. Campbell <net/mumble/campbell>

	* xml/xml-rpc.scm (1.15):

	Use HTTP headers in XML-RPC requests, not RFC 2822 headers.

2008-09-29 01:41  Chris Hanson <org/chris-hanson/cph>

	* runtime/: fixart.scm (1.21), runtime.pkg (14.688):

	Implement procedures to control flonum rounding mode.

2008-09-28 17:53  Chris Hanson <org/chris-hanson/cph>

	* microcode/sysprim.c (9.58):

	Change SET-FLOAT-ROUNDING-MODE to signal an error on failure.
	Eliminate several compiler warnings.

2008-09-26 23:59  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.61), interp.c (9.111), sysprim.c
	  (9.57):

	Implement primitives to control the floating-point rounding mode.

2008-09-26 04:30  Chris Hanson <org/chris-hanson/cph>

	* microcode/: option.c (1.67), option.h (1.21):

	Greatly simplify configuration choices:

	* The distinction between "large" and "small" memory sizes has been
	  eliminated; nowadays this makes little sense, since our old notion
	  of "large" is tiny compared to modern programs.  The "--large"
	  option is now accepted but ignored.  The old MITSCHEME_LARGE_xxx and
	  MITSCHEME_SMALL_xxx environment variables are ignored, replaced by
	  two new vars MITSCHEME_HEAP_SIZE and MITSCHEME_STACK_SIZE.  (There's
	  no var for constant size since it's rarely necessary to specify it.)

	* The default heap size is set at 4 megawords, much larger than our
	  previous "large" size, and adequate for general use.

	* We use the "all.com" band by default.  The "--compiler" and
	  "--edwin" options are now accepted but ignored.  The env vars
	  MITSCHEME_COMPILER_BAND, MITSCHEME_EDWIN_BAND, and
	  MITSCHEME_ALL_BAND are now ignored.

2008-09-25 11:16  Taylor R. Campbell <net/mumble/campbell>

	* imail/: imail-core.scm (1.178), imail-imap.scm (1.236):

	Discard the deleted flag when filing messages.

2008-09-25 11:00  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.235):

	Oops -- forgot to commit changes to imail-imap.scm for preloading.

2008-09-25 11:00  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-summary.scm (1.62):

	Sort by ordered message index before summarizing search results.

2008-09-25 10:58  Taylor R. Campbell <net/mumble/campbell>

	* imail/: imail-core.scm (1.177), imail-file.scm (1.97),
	  imail-top.scm (1.316):

	When expunging messages, preload only deleted messages' outlines.

2008-09-25 01:04  Chris Hanson <org/chris-hanson/cph>

	* runtime/httpio.scm (14.13):

	Update KNOWN-STATUS-CODES.

2008-09-24 18:56  Chris Hanson <org/chris-hanson/cph>

	* runtime/http-syntax.scm (1.8):

	Allow LWS in a few more places on input.

2008-09-24 04:50  Chris Hanson <org/chris-hanson/cph>

	* runtime/datime.scm (14.55):

	Fix implementation of ISO 8601 date/time:

	* When writing time zone, use "Z" for UTC, drop minutes when they are
	  zero, and otherwise insert ":" between hours and minutes.  Omitting
	  the ":", as was previously done, is not compliant.

	* When parsing, there are two formats: basic and extended.  With basic
	  format, there are no "-" or ":" separators allowed, and with
	  extended format, they are all required.  Previously the parser
	  allowed each of the date, time, and zone to independently be in
	  either format.  Now the parser requires all three to be in the same
	  format.

	* The parser now handles fractional seconds correctly, rounding up if
	  the fraction is >= 1/2.  It is also careful to use exact arithmetic
	  for fractions.

	* The parser now additionally accepts "," as a fraction indicator, as
	  required by the standard.

	* The parser now implements fractional hours and fractional minutes.

	* The parser now accepts time zones over the full range of +/-24
	  hours; previously it was restricted to +/-12 hours (except the
	  minute could be non-zero at +12 or -12, which made no sense).

	* The parser now computes time zones with non-zero minutes correctly:

		old formula: (+ (* SIGN HOUR) (/ MINUTE 60))
		new formula: (* SIGN (+ HOUR (/ MINUTE 60)))

	* The parser has two kluges to accomodate incorrectly-formed strings
	  that were once generated by this code: (1) the space character can
	  be used in place of "T" as a date/time separator; and (2) the ":"
	  may be omitted from the time zone in extended format.

2008-09-24 01:56  Chris Hanson <org/chris-hanson/cph>

	* runtime/: datime.scm (14.54), runtime.pkg (14.687):

	Eliminate ISO8601-SEPARATE-WITH-T?; according to the standard, the T
	is required and using space is incorrect.

2008-09-23 20:44  Chris Hanson <org/chris-hanson/cph>

	* xml/xml-struct.scm (1.64):

	Add optional ERROR? arg to XML-ELEMENT-CHILD and FIND-XML-ATTR.

2008-09-23 20:40  Chris Hanson <org/chris-hanson/cph>

	* xml/: xml.pkg (1.104), xml-struct.scm (1.63):

	Implement XML-ELEMENT-CHILD and XML-ELEMENT-CHILDREN.

2008-09-23 20:26  Chris Hanson <org/chris-hanson/cph>

	* xml/xml-struct.scm (1.62):

	Change FIND-XML-ATTR to accept a string name as well.

2008-09-23 20:07  Chris Hanson <org/chris-hanson/cph>

	* xml/xml-struct.scm (1.61):

	Change XML-ATTRS to accept strings as attribute names.

2008-09-23 20:05  Chris Hanson <org/chris-hanson/cph>

	* xml/xml-names.scm (1.20):

	Change MAKE-XML-NAME so that URI arg is optional.

2008-09-23 19:59  Chris Hanson <org/chris-hanson/cph>

	* runtime/: runtime.pkg (14.686), string.scm (14.70):

	Add basic support for converting between CamelCase and lisp syntax.

2008-09-22 04:16  Chris Hanson <org/chris-hanson/cph>

	* runtime/http-syntax.scm (1.7):

	Major rewrite: header definitions now use combinator languages to
	raise the abstraction level and hopefully avoid more stupid thinkos
	like the ones I recently fixed.

2008-09-21 19:50  Chris Hanson <org/chris-hanson/cph>

	* runtime/: http-client.scm (14.10), runtime.pkg (14.685):

	Provide "TE: trailers" header.  Generalize default-header mechanism.
	Export new procedure CALL-WITH-HTTP-CLIENT-SOCKET.

2008-09-21 19:49  Chris Hanson <org/chris-hanson/cph>

	* runtime/http-syntax.scm (1.6):

	Fix some more thinkos.

2008-09-21 19:49  Chris Hanson <org/chris-hanson/cph>

	* runtime/httpio.scm (14.12):

	Tweak unparser for requests.

2008-09-21 19:20  Chris Hanson <org/chris-hanson/cph>

	* runtime/http-syntax.scm (1.5):

	Generate error when MAKE-HTTP-HEADER called with incorrect parsed
	value.  Fix various small thinkos in header parsing.

2008-09-21 18:20  Chris Hanson <org/chris-hanson/cph>

	* runtime/: http-syntax.scm (1.4), httpio.scm (14.11):

	Add unparser methods for HTTP datatypes.

2008-09-21 03:35  Chris Hanson <org/chris-hanson/cph>

	* runtime/http-client.scm (14.9):

	Use HTTP/1.1 now that chunked transfer coding is supported.

2008-09-21 03:35  Chris Hanson <org/chris-hanson/cph>

	* runtime/: http-syntax.scm (1.3), httpio.scm (14.10),
	  rfc2822-headers.scm (14.3), runtime.pkg (14.684):

	Implement "chunked" transfer encoding, required by HTTP 1.1.  Fix bug
	in "transfer-encoding" header parser.  Add new procedure
	READ-RFC2822-FOLDED-LINE that reads a line of text, dealing with the
	header-field folding from RFC 2822.

2008-09-20 16:41  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.315):

	Report a message when probing a folder.  Use OVERRIDE-NEXT-COMMAND!
	when probing in an output processor to avoid blocking the editor
	uninterruptably.

2008-09-18 01:19  Taylor R. Campbell <net/mumble/campbell>

	* sf/gconst.scm (4.43):

	Don't assume that X-CLOSE-ALL-DISPLAYS is available.

2008-09-17 12:36  Taylor R. Campbell <net/mumble/campbell>

	* microcode/makegen/Makefile.in.in (1.65):

	Use INSTALL_SCRIPT, rather than INSTALL_PROGRAM, to install the
	`liarc-cc' and `liarc-ld' scripts.

2008-09-17 02:41  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/cout.scm (1.48):

	Include the file handle in generated names even if there is no
	debugging output that needs to match.

2008-09-17 02:31  Chris Hanson <org/chris-hanson/cph>

	* runtime/: http-client.scm (14.8), http-syntax.scm (1.2),
	  httpio.scm (14.9), runtime.pkg (14.683):

	Hair up handling of HTTP headers.  In new model, there are codecs for
	each known header (basically almost all of RFC 2616 at this point).
	These codecs translate between the string representation of a header
	value and its internal representation.  MAKE-HTTP-HEADER accepts
	either the string representation or the internal representation.
	HTTP-HEADER-VALUE always contains the string representation, while
	HTTP-HEADER-PARSED-VALUE contains the internal representation.  If the
	decoder for a header fails on a particular string represenation, or if
	there's no decoder for that header, HTTP-HEADER-PARSED-VALUE contains
	a default object (use DEFAULT-OBJECT? to test for it).

	Additionally, HTTP requests have been changed so that the METHOD is a
	string rather than a symbol (that is, "GET" rather than '|GET|).

2008-09-17 02:24  Chris Hanson <org/chris-hanson/cph>

	* runtime/genio.scm (1.70):

	Add many coding aliases defined by the IANA.

2008-09-16 23:38  Chris Hanson <org/chris-hanson/cph>

	* runtime/structure-parser.scm (14.7):

	Fix bugs: a bunch related to the STRUCTURE-PARSER-VALUES type, and a
	random type error.

2008-09-16 23:36  Chris Hanson <org/chris-hanson/cph>

	* runtime/boot.scm (14.32):

	Allow ADD-BOOT-INIT! to work after the cold load, by immediately
	executing the argument.

2008-09-16 16:13  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/ctop.scm (1.36):

	Write output for temporary compilation into a file with a unique name
	so that when the runtime loads the file, the microcode will not cache
	the blocks under the same name for each compilation, which caused odd
	effects such as

	(scode-eval (compile-scode 1) #f)
	;Value: 1

	(scode-eval (compile-scode 2) #f)
	;Value: 1

2008-09-16 16:03  Chris Hanson <org/chris-hanson/cph>

	* runtime/structure-parser.scm (14.6):

	Add post-pass to suppress "unreferenced variable" errors in output.

2008-09-16 03:10  Chris Hanson <org/chris-hanson/cph>

	* sf/gconst.scm (4.42):

	Be more aggressive about substituting primitives for references.

2008-09-16 01:50  Chris Hanson <org/chris-hanson/cph>

	* runtime/structure-parser.scm (14.5):

	Fix order-of-args thinko.

2008-09-16 01:39  Chris Hanson <org/chris-hanson/cph>

	* runtime/httpio.scm (14.8):

	Fix WRITE-HTTP-REQUEST to handle weird URI variants.

2008-09-16 01:36  Chris Hanson <org/chris-hanson/cph>

	* runtime/: runtime.pkg (14.682), url.scm (1.58):

	Export WRITE-URI-AUTHORITY.

2008-09-16 01:32  Chris Hanson <org/chris-hanson/cph>

	* runtime/chrset.scm (14.26):

	Fix typo in previous change.

2008-09-15 03:07  Chris Hanson <org/chris-hanson/cph>

	* runtime/: chrset.scm (14.25), runtime.pkg (14.681),
	  rfc2822-headers.scm (14.2):

	Add CHAR-CTL? and CHAR-WSP? predicates.

2008-09-15 01:18  Chris Hanson <org/chris-hanson/cph>

	* runtime/runtime.pkg (14.680):

	Add missing binding.

2008-09-15 01:15  Chris Hanson <org/chris-hanson/cph>

	* runtime/: ed-ffi.scm (1.45), http-client.scm (14.7),
	  http-syntax.scm (1.1), httpio.scm (14.7), make.scm (14.119),
	  runtime.pkg (14.679):

	Split "http-io.scm" to create new file "http-syntax.scm".  I'm
	currently working on the latter, so this minimizes the difference
	between the trunk and my code.

2008-09-13 05:50  Taylor R. Campbell <net/mumble/campbell>

	* runtime/usrint.scm (1.34):

	In OPTIONAL-PORT, require only that if an argument was supplied it is
	a port.  Defer the guarantee that the port is an I/O port until it is
	important: ports with PROMPT-FOR-{COMMAND-,}EXPRESSION operations need
	not support input operations in order for the prompting procedures to
	work.

2008-09-13 05:48  Taylor R. Campbell <net/mumble/campbell>

	* edwin/debug.scm (1.74):

	Fix WRITE-CHAR operation in restart interface port type so that it
	returns the number of characters written.

2008-09-13 05:31  Taylor R. Campbell <net/mumble/campbell>

	* edwin/xterm.scm (1.84):

	Fix package name comment.

2008-09-12 06:26  Taylor R. Campbell <net/mumble/campbell>

	* runtime/thread.scm (1.50):

	In SIGNAL-IO-THREAD-EVENTS, we may not always find a dentry for all
	the descriptors and modes listed.  Don't assume that we shall.

	This case arises particularly when there is no thread blocked in
	BLOCK-ON-IO-DESCRIPTOR and someone invokes the PROCESS-WAIT primitive.
	This should fix the random (%RECORD-REF #F 3) error that I have seen
	when gunzipping MIT Scheme's Info reference manual and it isn't in the
	operating system's disk buffer cache, which led to a losing race.

2008-09-11 13:49  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.176):

	Fix bug in updating folder orders after a message is expunged.

2008-09-10 21:15  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/ctop.scm (1.35):

	Fix mistake in previous commit: COMPILE-DATA-FROM-FILE must pay
	attention to the name of the output file; other parts of the system
	rely on it.

2008-09-10 15:32  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/: cout.scm (1.47), ctop.scm (1.34):

	Fix compilation of non-expression data files, broken by the recent
	change to non-file scode compilation.

2008-09-10 11:12  Taylor R. Campbell <net/mumble/campbell>

	* compiler/: base/asstop.scm (1.22), base/toplev.scm (4.78),
	  machines/C/compiler.pkg (1.31), machines/C/cout.scm (1.46),
	  machines/C/ctop.scm (1.33):

	Change COMPILE-SCODE/INTERNAL/HOOK into three separate hooks:
	COMPILE-SCODE/FILE/HOOK, COMPILE-SCODE/NO-FILE/HOOK, and
	COMPILE-SCODE/RECURSIVE/HOOK.  Use this in the C back end to fix
	compilation of scode not from files.  Handle temporary files more
	carefully in the C back end.  Remove vestiges of support for keeping
	debugging info in the C back end, which depends on such operations as
	SET-COMPILED-CODE-BLOCK/DEBUGGING-INFO! not available in the C code
	generator.  The info should perhaps be returned in the compiler
	output, and applied in FINISH-C-COMPILATION to the compiled code
	block, but this is trickier than it sounds.  For now we'll just not
	pretend to support keeping debugging info.

2008-09-10 10:55  Taylor R. Campbell <net/mumble/campbell>

	* runtime/unxprm.scm (1.76):

	Add an optional argument to TEMPORARY-FILE-PATHNAME for a procedure
	that transforms the generated pathname before trying to allocate a
	temporary file.  Implemented only on Unix because that's all I can
	test, and the only user of it at the moment will be liarc, which runs
	only on Unix anyway.

2008-09-09 14:30  Taylor R. Campbell <net/mumble/campbell>

	* runtime/usrint.scm (1.33):

	Implement FLUSH-OUTPUT and DISCRETIONARY-FLUSH-OUTPUT operations for
	wrapped notification output ports.

2008-09-09 12:30  Chris Hanson <org/chris-hanson/cph>

	* runtime/datime.scm (14.53):

	Fix typo in WRITE-DECODED-TIME-AS-CTIME.

2008-09-09 12:28  Chris Hanson <org/chris-hanson/cph>

	* runtime/: datime.scm (14.52), runtime.pkg (14.678):

	Rename DECODED-TIME->GMT to DECODED-TIME->UTC.

2008-09-09 11:37  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-summary.scm (1.61):

	Use the IMAIL-SEARCH prompt history for IMAIL-SEARCH-SUMMARY.

2008-09-09 03:23  Chris Hanson <org/chris-hanson/cph>

	* runtime/url.scm (1.57):

	Fix thinko in PARSER:HOSTPORT.

2008-09-09 02:36  Chris Hanson <org/chris-hanson/cph>

	* runtime/: mime-codec.scm (14.22), runtime.pkg (14.677):

	Implement CONDITION-TYPE:DECODE-BASE64.

2008-09-09 02:13  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.234):

	Clarify IMAP MIME body sections, which are confusing because every
	message body is treated as a multipart body by the IMAP's indexing
	scheme.  This makes IMAIL never fetch TEXT body parts, except when
	the user views a message raw with `C-c C-t C-m' (eventually, which
	will also view arbitrary MIME bodies raw), and rather use numbered
	parts, which will cause IMAIL to refill existing disk caches, even
	though they already have mostly the same data in them.  IMAIL will
	also now show MIME bodies in IMAP and file folders more uniformly,
	especially complex nesting of message/rfc822 and multipart bodies.

2008-09-09 01:23  Chris Hanson <org/chris-hanson/cph>

	* runtime/: datime.scm (14.51), runtime.pkg (14.676):

	Adjustments to help support HTTP.  Deleted these procedures:

	    DECODED-TIME->HTTP-STRING
	    FILE-TIME->HTTP-STRING
	    UNIVERSAL-TIME->HTTP-STRING

	and added these:

	    DECODED-TIME->GMT
	    WRITE-DECODED-TIME-AS-CTIME
	    WRITE-DECODED-TIME-AS-HTTP
	    WRITE-DECODED-TIME-AS-ISO8601
	    WRITE-DECODED-TIME-AS-RFC2822
	    WRITE-TIME-ZONE

2008-09-09 00:43  Chris Hanson <org/chris-hanson/cph>

	* runtime/: runtime.pkg (14.675), structure-parser.scm (14.4):

	Implement STRUCTURE-PARSER-VALUES.

2008-09-09 00:33  Chris Hanson <org/chris-hanson/cph>

	* runtime/datime.scm (14.50):

	Fix typo in RFC 850 date parser.

2008-09-08 18:27  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.314):

	When walking the body of a message/rfc822 body to insert the latter
	in-line, add BODY to the selector to disambiguate the message/rfc822
	body from its own body.  MIME selectors as used by the front end
	continue to diverge from IMAP sections, which appear to make little
	sense (although this requires further testing with more IMAP server
	implementations).

2008-09-08 16:40  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.313):

	Ensure a blank line before each boundary.  Don't break the line after
	every MIME body.

2008-09-08 14:19  Chris Hanson <org/chris-hanson/cph>

	* runtime/structure-parser.scm (14.3):

	Add DISQUALIFY keyword.

2008-09-08 00:44  Chris Hanson <org/chris-hanson/cph>

	* runtime/structure-parser.scm (14.2):

	Implement MATCH keyword: like QUOTE but generates a value.

2008-09-07 23:55  Taylor R. Campbell <net/mumble/campbell>

	* imail/: ed-ffi.scm (1.27), imail-core.scm (1.175), imail-imap.scm
	  (1.233), imail-mime.scm (1.12), imail-top.scm (1.312),
	  imail-util.scm (1.53), imail.pkg (1.107):

	Refactor MIME support,

	- to make sense,
	- to be more robust,
	- to better reflect the terminology of the RFCs,
	- to simplify code that uses MIME bodies,
	- to move all generic MIME code into imail-mime.scm, and
	- to fix a number of small bugs.

	The documentation will need to be updated, since some user-visible
	commands are now named with the word `body' rather than `entity'.

	Undoubtedly, refactoring added many small bugs, too, still to be
	weeded out.

2008-09-07 20:09  Chris Hanson <org/chris-hanson/cph>

	* edwin/modefs.scm (1.171):

	Rebind forward/backward-paragraph to same commands as Emacs.

2008-09-07 00:33  Chris Hanson <org/chris-hanson/cph>

	* runtime/: ed-ffi.scm (1.44), list-parser.scm (1.7), runtime.pkg
	  (14.674), structure-parser.scm (14.1):

	Rewrite of LIST-PARSER to be more general.  Now there are three
	variants: OBJECT-PARSER, LIST-PARSER, and VECTOR-PARSER.  There are
	corresponding OBJECT, LIST, and VECTOR keywords for switching between
	the different modes.  And the optimizer is considerably smarter.

2008-09-04 17:55  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-summary.scm (1.60):

	Implement kludges to incrementally expand and contract summary buffers
	as messages are added to and expunged from the corresponding folders.

2008-09-03 15:36  Taylor R. Campbell <net/mumble/campbell>

	* runtime/infutl.scm (1.78):

	Back out earlier changes concerning a phantom race condition with
	the GC daemon (of course the access to the uncompressed file list
	locks the GC daemon out), and instead avoid storing entries in it
	before the uncompressor has returned normally.  Also, handle file
	errors in FASLOAD-LOADER, since they aren't all signalled as bad-
	range-argument errors by the microcode.

2008-09-03 11:33  Chris Hanson <org/chris-hanson/cph>

	* runtime/list-parser.scm (1.6):

	Rename FILTER to QUALIFY.

2008-09-03 05:14  Chris Hanson <org/chris-hanson/cph>

	* runtime/list-parser.scm (1.5):

	Implement FILTER keyword in parser language.

2008-09-03 03:00  Chris Hanson <org/chris-hanson/cph>

	* runtime/: list-parser.scm (1.4), runtime.pkg (14.673):

	Implement LIST->LIST-PARSER-VALS and MAP-LIST-PARSER-VALS.  Simplify
	implementation of LIST-PARSER-VALS->LIST.

2008-09-03 02:08  Chris Hanson <org/chris-hanson/cph>

	* runtime/: list-parser.scm (1.3), runtime.pkg (14.672):

	Implement LIST-PARSER-VALS-REF and LIST-PARSER-VALS-LENGTH.

2008-09-03 01:53  Chris Hanson <org/chris-hanson/cph>

	* runtime/: list-parser.scm (1.2), runtime.pkg (14.671):

	Implement WRAP-LIST-PARSER.  Implement VALUES parser expression.

2008-09-02 22:49  Chris Hanson <org/chris-hanson/cph>

	* runtime/: ed-ffi.scm (1.43), list-parser.scm (1.1), runtime.pkg
	  (14.670):

	Implement LIST-PARSER macro.

2008-09-02 18:46  Taylor R. Campbell <net/mumble/campbell>

	* edwin/diff.scm (1.4):

	Eliminate unused parameter to DIFF-BUFFER.

2008-09-02 18:22  Taylor R. Campbell <net/mumble/campbell>

	* edwin/rfc822.scm (3.13):

	When parsing address lists, disregard all-whitespace entries.

2008-09-02 17:31  Taylor R. Campbell <net/mumble/campbell>

	* edwin/diff.scm (1.3):

	When diffing with a buffer, ignore whether it is modified or not.  The
	user may want to see how a file has changed on disk even if the buffer
	in memory has not been touched.

2008-09-02 13:19  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.232):

	Use the term `dynamic', not `ephemeral', for parts of a message that
	are subject to change on the server and should not be cached on disk,
	to match the RFC's terminology.

2008-08-31 21:24  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.231):

	If, when resynchronizing the mapping between sequence numbers and
	UIDs with the server, the folder's length has not changed and all
	the UIDs match, don't signal an INCREASE-LENGTH event.

2008-08-31 20:31  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.230):

	Tighten synchronization with the server:

	- Record a somewhat finer approximation of the status of our
	  synchronization with the server, which lets us be more careful
	  about deleting caches for expunged messages: only if our mapping
	  between sequence numbers to UIDs is synchronized with the server
	  is it sensible to delete caches for expunged messages.

	- If our length is desynchronized with the server when we update the
	  folder's length because of an EXISTS response, and if all the UIDs
	  that we know about are synchronized with the server, then no
	  messages have been expunged from the folder, and its length has
	  only increased.  In this case, signal anINCREASE-LENGTH event,
	  rather than a SET-LENGTH event.  This avoids regenerating summary
	  buffers when reconnecting if no messages have been expunged by
	  another client.

2008-08-31 19:02  Taylor R. Campbell <net/mumble/campbell>

	* imail/: imail-core.scm (1.174), imail-imap.scm (1.229),
	  imail-rmail.scm (1.79), imail-umail.scm (1.59):

	New generic procedure MESSAGE-PERMANENT-FLAGS returns the flags that
	remain permanently and are therefore useful to retain when appending
	messages to other folders.  All %APPEND-MESSAGE methods now use this
	rather than MESSAGE-FLAGS.  This will keep `recent' flags from being
	stored in file folders as an artefact of the IMAP.

2008-08-31 15:32  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-summary.scm (1.59):

	When computing from strings in summaries, avoid empty matches between
	parentheses: `From: foo@mumble.bar ()'.

2008-08-31 03:53  Chris Hanson <org/chris-hanson/cph>

	* star-parser/parser.scm (1.40):

	Implement new *parser forms ENCAPSULATE* and TRANSFORM* that call
	their procedure with the values spread out as arguments.  TRANSFORM*
	additionally expects the procedure to return multiple values.

2008-08-31 03:36  Chris Hanson <org/chris-hanson/cph>

	* runtime/: runtime.pkg (14.669), sfile.scm (14.46):

	Implement WRITE-MIME-TYPE.

2008-08-31 03:27  Chris Hanson <org/chris-hanson/cph>

	* runtime/: boot.scm (14.31), mit-syntax.scm (14.33), sysmac.scm
	  (14.20), make.scm (14.118), runtime.pkg (14.668):

	Implement new mechanism to simplify initialization during cold load.

2008-08-30 15:55  Taylor R. Campbell <net/mumble/campbell>

	* sf/usiexp.scm (4.52):

	Simplify previous change.

2008-08-30 15:54  Taylor R. Campbell <net/mumble/campbell>

	* sf/usiexp.scm (4.51):

	In expansion of VALUES, number the local variables to distinguish
	them visibly.

2008-08-30 15:48  Taylor R. Campbell <net/mumble/campbell>

	* xml/xml-rpc.scm (1.14):

	Use an RFC 2822 header object, rather than a list of a symbol and a
	string, per the new HTTP client.

2008-08-30 15:33  Taylor R. Campbell <net/mumble/campbell>

	* runtime/list.scm (14.59):

	In IOTA, multiply the index by the increment, rather than adding
	adding the increment repeatedly.

2008-08-29 19:20  Chris Hanson <org/chris-hanson/cph>

	* runtime/datime.scm (14.49):

	Fix fencepost error in parsing of months.

2008-08-29 16:14  Taylor R. Campbell <net/mumble/campbell>

	* imail/: imail-core.scm (1.173), imail-file.scm (1.96),
	  imail-imap.scm (1.228):

	Change EXPUNGE folder modification event so that it includes the
	message object and its mapped index.  This is necessary to find
	information about the message by identity, which will be needed by
	future implementation of incremental updates to summary buffers.

2008-08-29 16:03  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-browser.scm (1.16):

	In `imail-browser-view-container', if no resource is selected, prompt
	the user for a URL, rather than signalling an error.  This allows the
	IMAIL browser to be an entry point into IMAIL.

2008-08-28 15:39  Taylor R. Campbell <net/mumble/campbell>

	* edwin/vc.scm (1.113):

	In `vc-version-diff', ask to save the file only if we are diffing
	against the current revision.  If we are diffing two specified
	revisions, there is no need to save changes in the buffer.

	Fix the CVS method for LOCKING-USER in the case when FILE-ATTRIBUTES
	returns #F.

2008-08-28 15:28  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/cout.scm (1.45):

	When stringifying data, declare data objects after they are defined,
	since the declaration is not a C forward declaration but a fragment of
	C code that refers to the defined object and therefore must follow its
	definition.  This fixes compilation of source files that contain only
	a literal datum (including empty source files, such as one finds in
	scmutils).

2008-08-28 11:26  Taylor R. Campbell <net/mumble/campbell>

	* edwin/info.scm (1.145):

	When reading Info files into buffers, don't visit the files.  This
	prevents Edwin from trying to write over the Info files if something
	goes wrong and the editor tries to save the file.

2008-08-27 10:55  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-summary.scm (1.58):

	Implement a preliminary `imail-search-summary' command.  This is like
	`imail-search', but produces a buffer summarizing all search results
	rather than selecting only the first search result.

2008-08-27 10:22  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.227):

	Don't cache message flags on disk.

	Do meter the progress of caching folder contents, so that IMAIL does
	not appear to be hung during the long sequence of lstat(2)s and body
	structure traversals if the cache has many items already in it.

	Also report a message when connecting to the IMAP server.

2008-08-27 01:31  Chris Hanson <org/chris-hanson/cph>

	* runtime/: datime.scm (14.48), runtime.pkg (14.667):

	Implement simple parser for RFC 850 date strings (needed for HTTP).

2008-08-27 00:58  Chris Hanson <org/chris-hanson/cph>

	* runtime/: httpio.scm (14.6), runtime.pkg (14.666), url.scm
	  (1.56):

	httpio.scm, runtime.pkg: Rename HTTP-URI to HTTP-REQUEST-URI for
	clarification.  Change definition of HTTP-REQUEST-URI to match RFC
	2616.

	url.scm, runtime.pkg: Eliminate PARSE-URI-NO-AUTHORITY, create and
	export PARSE-URI-AUTHORITY and PARSE-URI-PATH-ABSOLUTE for use in
	"httpio.scm".

2008-08-26 23:59  Chris Hanson <org/chris-hanson/cph>

	* runtime/httpio.scm (14.5):

	Fix bug: HTTP status codes are arbitrary three-digit numbers.

2008-08-26 04:33  Chris Hanson <org/chris-hanson/cph>

	* runtime/: datime.scm (14.47), runtime.pkg (14.665):

	Rewrite date parsers to use *PARSER and export them.  Rename standard
	->STRING procedures to ->RFC2822-STRING to emphasize their meaning.

2008-08-26 01:57  Chris Hanson <org/chris-hanson/cph>

	* runtime/: datime.scm (14.46), runtime.pkg (14.664):

	Add guarantors for DECODED-TIME? and TIME-ZONE?.

2008-08-26 00:21  Chris Hanson <org/chris-hanson/cph>

	* runtime/http-client.scm (14.6):

	Make sure that user-agent string is an HTTP token.

2008-08-25 17:11  Taylor R. Campbell <net/mumble/campbell>

	* runtime/parser-buffer.scm (1.24):

	Behave as before with no prefix given to INPUT-PORT->PARSER-BUFFER;
	don't spin endlessly trying to double 0 until it exceeds the minimum
	length.

2008-08-25 16:53  Chris Hanson <org/chris-hanson/cph>

	* runtime/: httpio.scm (14.4), runtime.pkg (14.663):

	Export character sets for HTTP text and token.

2008-08-25 04:48  Chris Hanson <org/chris-hanson/cph>

	* runtime/httpio.scm (14.3), runtime/runtime.pkg (14.662),
	  xml/xml-rpc.scm (1.13):

	Rename HTTP-ENTITY to HTTP-MESSAGE.

2008-08-25 04:44  Chris Hanson <org/chris-hanson/cph>

	* runtime/http-client.scm (14.5):

	Use hyphens rather than underscores in user-agent string.

2008-08-25 04:37  Chris Hanson <org/chris-hanson/cph>

	* runtime/: datime.scm (14.45), runtime.pkg (14.661):

	Add support for generating the HTTP date strings: required use of
	"GMT" time zone marker.  Also export the parser for iso8601 time.

2008-08-25 04:23  Chris Hanson <org/chris-hanson/cph>

	* runtime/httpio.scm (14.2):

	Change definition of HTTP version to that from RFC 2616.

2008-08-24 21:29  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.226):

	When resynchronizing message UIDs with the server, stop if we find a
	message whose UID is uninitialized.  This arises if the previous
	attempt to read the UIDs from the server was interrupted.

2008-08-24 19:34  Taylor R. Campbell <net/mumble/campbell>

	* runtime/packag.scm (14.60):

	Eliminate FILENAME->COMPILED-OBJECT and the call to it in
	LOAD-PACKAGE-SET.  LOAD will do the right thing when a built-in
	object is available, and will also update debugging pathnames.

2008-08-24 19:31  Taylor R. Campbell <net/mumble/campbell>

	* runtime/infutl.scm (1.77):

	In FASLOAD-UPDATE-SUB-BLOCKS, use DEBUG-INFO-PATHNAME?, rather than
	PATHNAME?.

2008-08-24 17:27  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.225):

	Ignore errors while trying to read the uidvalidity file.  If there is
	a problem reading the file, this means that we will delete the cache,
	rather than signal an error to the user.  This may be the wrong
	behaviour in some obscure cases -- e.g., perhaps a networked file
	system where the network fails after checking that the cache directory
	is in fact a directory --, but this is useful for cases where the
	cache directory was just set up wrong, perhaps because Scheme was
	interrupted.

2008-08-24 03:21  Chris Hanson <org/chris-hanson/cph>

	* xml/xml-rpc.scm (1.12):

	Change to use new http-client support.

2008-08-24 03:20  Chris Hanson <org/chris-hanson/cph>

	* runtime/: ed-ffi.scm (1.42), html-form-codec.scm (14.1),
	  http-client.scm (14.4), httpio.scm (14.1), make.scm (14.117),
	  rfc2822-headers.scm (14.1), runtime.pkg (14.660), url.scm (1.55):

	Replace http-client.scm with new HTTP support.  The new mechanism is
	slightly lower level than the old, but it provides support for servers
	and is slightly smarter about encoding.

	THIS WILL BREAK EXISTING USERS OF HTTP-CLIENT

2008-08-24 02:27  Chris Hanson <org/chris-hanson/cph>

	* xml/: xml.pkg (1.103), xml-output.scm (1.46):

	Rename XML->STRING to XML->OCTETS; define alias for compatibility.

2008-08-23 17:08  Chris Hanson <org/chris-hanson/cph>

	* microcode/x11term.c (1.37):

	Workaround for (what looks like) a bug in XQuartz on MacOS.

2008-08-23 13:44  Taylor R. Campbell <net/mumble/campbell>

	* edwin/rfc822.scm (3.12):

	Trim whitespace surrounding addresses in
	RFC822:STRING->SPLIT-ADDRESS-TOKENS.

2008-08-22 18:08  Taylor R. Campbell <net/mumble/campbell>

	* microcode/confshared.h (11.20):

	Define __ppc64__ to 1, not just to an empty token sequence, for
	consistency.

2008-08-22 18:07  Taylor R. Campbell <net/mumble/campbell>

	* microcode/confshared.h (11.19):

	If __powerpc__ or __powerpc64__ is defined, define __ppc__ or
	__ppc64__, repsectively.  This comes up on NetBSD; why GCC uses
	different cpp symbols for different operating systems on a common
	machine architecture, I haven't the faintest clue.

2008-08-20 21:00  Chris Hanson <org/chris-hanson/cph>

	* runtime/: hashtb.scm (1.40), runtime.pkg (14.659):

	Name and export standard hash-table types.

2008-08-20 05:01  Chris Hanson <org/chris-hanson/cph>

	* runtime/: hashtb.scm (1.39), runtime.pkg (14.658):

	Implement HASH-TABLE/TYPE.

2008-08-19 01:03  Chris Hanson <org/chris-hanson/cph>

	* runtime/genio.scm (1.69):

	Make TEXT line ending be the more generic XML-1.0 on input; behavior
	on output is unchanged.  When speaking of generic text this will
	support all the standard line endings for input.

2008-08-18 02:59  Chris Hanson <org/chris-hanson/cph>

	* xml/xml-parser.scm (1.81):

	Change DETERMINE-CODING to use the new prefix mechanism of the parser
	buffer.

2008-08-18 02:56  Chris Hanson <org/chris-hanson/cph>

	* runtime/: parser-buffer.scm (1.23), runtime.pkg (14.657):

	Add optional argument to INPUT-PORT->PARSER-BUFFER so that a prefix
	string can be specified.  This is needed for injecting readahead from
	a previous process -- for example, character coding detection.

2008-08-18 02:40  Chris Hanson <org/chris-hanson/cph>

	* runtime/port.scm (1.59):

	in PROVIDE-INPUT-FEATURES, don't advertise operations that aren't
	supported.

2008-08-17 20:19  Chris Hanson <org/chris-hanson/cph>

	* xml/xml-parser.scm (1.80):

	Simplify DETERMINE-CODING.

2008-08-17 20:15  Chris Hanson <org/chris-hanson/cph>

	* runtime/genio.scm (1.68):

	Use UTF-16 surrogate support.

2008-08-17 20:12  Chris Hanson <org/chris-hanson/cph>

	* runtime/: runtime.pkg (14.656), unicode.scm (1.42):

	Export procedures for managing UTF-16 surrogate pairs.

2008-08-17 05:42  Chris Hanson <org/chris-hanson/cph>

	* runtime/unicode.scm (1.41):

	Fix fencepost error in UNICODE-CODE-POINT?.

2008-08-16 13:57  Taylor R. Campbell <net/mumble/campbell>

	* runtime/process.scm (1.37):

	Revert previous change to close I/O ports of subprocesses when they
	exit.

2008-08-15 18:46  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.311):

	Use MAKE-INITIALIZED-MAIL-BUFFER rather than MAKE-MAIL-BUFFER.
	Initialization is separate from selection.

2008-08-15 16:46  Taylor R. Campbell <net/mumble/campbell>

	* edwin/: edwin.pkg (1.310), sendmail.scm (1.99):

	New procedure MAKE-INITIALIZED-MAIL-BUFFER creates a mail buffer and
	initializes it with a user-supplied initialization procedure, after it
	is created or after confirmation to discard the contents of any
	existing mail buffer.

2008-08-15 13:08  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.310):

	Split COMPUTE-MIME-MESSAGE-OUTLINE's method on <MIME-BODY> into one on
	<MIME-BODY> and one on <MIME-BODY-ONE-PART>, so that the method on the
	more general <MIME-BODY> will not accidentally call procedures
	applicable only to <MIME-BODY-ONE-PART> instances.

2008-08-15 11:44  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-mime.scm (1.11):

	Rearrange MIME part parsing entry points so that MIME:PARSE-PART can
	be used to parse parts with and without headers, rather than embedding
	that logic in MIME:PARSE-PARTS.

2008-08-11 21:46  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.224):

	When making new cache entries, write them to a file in a temporary
	directory first, and move the file to its permanent location only
	after it has been fully written.  This prevents C-g from leaving
	half-written cache entries.  (File folders should perhaps do this too,
	but it is not clear where the temporary directory should be located,
	and using /tmp or /var/tmp is not appropriate, since those directories
	may reside on another file system, rendering rename(2) useless.)

2008-08-11 21:36  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.223):

	Remove or ignore the now unused variables since the last commit.

2008-08-11 20:49  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.222):

	Remove vestige of progress metering in CACHE-FOLDER-CONTENTS.  The
	procedures that fetch the body parts already indicate their progress
	with the message indices, and would overwrite a meter of the cache's
	progress anyway except for fractions of seconds between messages.

2008-08-11 18:48  Taylor R. Campbell <net/mumble/campbell>

	* edwin/edwin.pkg (1.309), edwin/rfc822.scm (3.11),
	  edwin/sendmail.scm (1.98), imail/imail-top.scm (1.309):

	Retain names with addresses when replying to mail.

2008-08-11 18:27  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.172):

	Use APPEND-MAP, not MAP, over the list of internal header fields in
	HEADER-FIELDS->MESSAGE-FLAGS: BURST-STRING returns a list of flags
	each time, the collection of which we want to concatenate before
	deleting duplicates.

2008-08-11 13:53  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.308):

	Preload folder outlines before popping up a summary of messages to
	expunge.

2008-08-11 13:51  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.221):

	Remember what IMAP message keywords have been cached on disk, and
	avoid stat(2)ing the cache files if we already expect them to exist.
	This dramatically expedites repeated scanning of the message cache
	(for preloading folder outlines when sorting or summarizing).

2008-08-11 13:44  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.220):

	In GUARANTEE-IMAP-FOLDER-OPEN, send a SELECT command if the folder's
	messages are not synchronized.  This fixes

	   (with-open-resource <url> folder-length)
	   ;Value: 0

	where <url> is an IMAP URL for a folder that was recently open.

2008-08-07 23:40  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.307):

	Change IMAIL-READ-FLAG to use visible defaults, rather than inserted
	defaults, and to specify the history index, so that the prompting
	facility will select a default at all.

2008-07-31 01:23  Chris Hanson <org/chris-hanson/cph>

	* runtime/stringio.scm (14.5):

	Closing string and octet ports is a no-op, so don't bother closing in
	CALL-WITH-INPUT-STRING and CALL-WITH-INPUT-OCTETS.

2008-07-31 01:22  Chris Hanson <org/chris-hanson/cph>

	* runtime/unicode.scm (1.40):

	Eliminate now-unused helper procedures.

2008-07-27 00:24  Chris Hanson <org/chris-hanson/cph>

	* runtime/: runtime.pkg (14.655), sfile.scm (14.45):

	Change mime-type parsing to use parser language; export the relevant
	matchers and parsers.

2008-07-26 18:53  Chris Hanson <org/chris-hanson/cph>

	* runtime/runtime.pkg (14.654):

	Export CHAR-SET:MIME-TOKEN.

2008-07-26 18:51  Chris Hanson <org/chris-hanson/cph>

	* runtime/: runtime.pkg (14.653), sfile.scm (14.44):

	Export STRING-IS-MIME-TOKEN? and STRING-IS-MIME-TYPE?, and add
	substring args to them.

2008-07-26 16:35  Chris Hanson <org/chris-hanson/cph>

	* runtime/genio.scm (1.67):

	Add HTTP line ending.

2008-07-26 03:10  Chris Hanson <org/chris-hanson/cph>

	* runtime/regexp.scm (1.19):

	Provide better error for invalid match index in RE-MATCH-EXTRACT.

2008-07-26 03:02  Chris Hanson <org/chris-hanson/cph>

	* runtime/stringio.scm (14.4):

	Fix CALL-WITH-TRUNCATED-OUTPUT-STRING: return type plain wrong.

2008-07-26 03:01  Chris Hanson <org/chris-hanson/cph>

	* runtime/output.scm (14.44):

	Fix stupid typo in CALL-WITH-TRUNCATED-OUTPUT-PORT.

2008-07-26 01:45  Chris Hanson <org/chris-hanson/cph>

	* runtime/runtime.pkg (14.652), runtime/stringio.scm (14.3),
	  runtime/unicode.scm (1.39), ssp/mod-lisp.scm (1.40),
	  ssp/xmlrpc.scm (1.18), xml/xml-output.scm (1.45):

	Rename 'bytes' I/O to 'octets'.

2008-07-26 01:12  Chris Hanson <org/chris-hanson/cph>

	* edwin/artdebug.scm (1.40), edwin/bufout.scm (1.21),
	  edwin/intmod.scm (1.130), edwin/winout.scm (1.22),
	  runtime/genio.scm (1.66), runtime/input.scm (14.41),
	  runtime/mime-codec.scm (14.21), runtime/output.scm (14.43),
	  runtime/port.scm (1.58), runtime/runtime.pkg (14.651),
	  runtime/stringio.scm (14.2):

	Eliminate port operations {READ,WRITE}-{WIDE,EXTERNAL}-SUBSTRING by
	pushing the functionality into the {READ,WRITE}-SUBSTRING operations.

2008-07-24 02:58  Chris Hanson <org/chris-hanson/cph>

	* runtime/port.scm (1.57):

	Fix input transcription problem that was introduced in revision 1.55.

2008-07-23 07:12  Chris Hanson <org/chris-hanson/cph>

	* edwin/fileio.scm (1.174), runtime/input.scm (14.40),
	  runtime/output.scm (14.42), runtime/parser-buffer.scm (1.22),
	  runtime/runtime.pkg (14.650), runtime/syncproc.scm (1.15):

	Eliminate explicit operations on wide and external strings (part 1):
	remove INPUT-PORT/READ-{WIDE,EXTERNAL}-SUBSTRING! and
	OUTPUT-PORT/WRITE-{WIDE,EXTERNAL}-SUBSTRING.  (Part 2 will push this
	multiplexing down into the port operations themselves.)

2008-07-23 07:10  Chris Hanson <org/chris-hanson/cph>

	* runtime/string.scm (14.69):

	Broaden definitions of XSTRING?, XSTRING-LENGTH, XSTRING-REF, and
	XSTRING-SET! to also handle wide strings.  Other xstring operations
	aren't updated by this change, but will be soon.

2008-07-18 21:41  Chris Hanson <org/chris-hanson/cph>

	* runtime/ed-ffi.scm (1.41), runtime/make.scm (14.116),
	  runtime/output.scm (14.41), runtime/runtime.pkg (14.649),
	  runtime/stringio.scm (14.1), runtime/strnin.scm (14.24),
	  runtime/strott.scm (14.22), runtime/strout.scm (14.33),
	  runtime/symbol.scm (1.26), runtime/unicode.scm (1.38),
	  runtime/url.scm (1.54), ssp/mod-lisp.scm (1.39), ssp/xmlrpc.scm
	  (1.17), xml/rdf-nt.scm (1.16), xml/turtle.scm (1.44),
	  xml/xml-output.scm (1.44), xml/xml-parser.scm (1.79),
	  xml/xml-struct.scm (1.60), xml/xpath.scm (1.8):

	Rewrite I/O string implementation to eliminate coding on strings --
	input from a string is just the characters in the string.  The old
	string I/O is renamed to refer to byte vectors, and a collection of
	convenience procedurs that use byte-vector I/O to do UTF-xx coding.
	Additionally, rewrite unicode support to use these I/O ports to do
	format conversions.

2008-07-18 20:56  Chris Hanson <org/chris-hanson/cph>

	* edwin/: bufinp.scm (1.19), edwin.pkg (1.308):

	Eliminate reference to PORT/UNREAD by implementing UNREAD-CHAR
	operation.

2008-07-18 06:20  Chris Hanson <org/chris-hanson/cph>

	* runtime/genio.scm (1.65):

	Tighten up handling of UNREAD-CHAR: a READ-CHAR followed by any other
	operation on the same port can prevent UNREAD-CHAR from working.

2008-07-18 06:18  Chris Hanson <org/chris-hanson/cph>

	* runtime/error.scm (14.75):

	Eliminate cold-load call to SYMBOL->STRING.

2008-07-18 06:16  Chris Hanson <org/chris-hanson/cph>

	* runtime/port.scm (1.56):

	Force errors for coding operations when the given port doesn't support
	them.

2008-07-14 04:23  Chris Hanson <org/chris-hanson/cph>

	* runtime/genio.scm (1.64):

	Change terminology slight to emphasize that sources manipulate bytes
	rather than characters.

2008-07-11 01:26  Chris Hanson <org/chris-hanson/cph>

	* edwin/bufinp.scm (1.18), imail/imail-util.scm (1.52),
	  runtime/fileio.scm (1.38), runtime/genio.scm (1.63),
	  runtime/port.scm (1.55), runtime/runtime.pkg (14.648),
	  runtime/ttyio.scm (1.30), runtime/unicode.scm (1.37):

	Change handling of PEEK-CHAR and UNREAD-CHAR so that it's done in the
	generic I/O port operations.  This is easy to handle by simple hacking
	of the byte-buffer indexes, and provides better semantics when the
	port coding is changed on the fly.

	This breaks transcripting, which must also be migrated to the generic
	operations.

	Add PEEK-CHAR and UNREAD-CHAR operations to ports that don't inherit
	the generic operations.

2008-07-08 06:36  Chris Hanson <org/chris-hanson/cph>

	* runtime/genio.scm (1.62):

	Fix typo: ASCII -> US-ASCII.  Eliminate unused loop binding.

2008-07-08 02:14  Chris Hanson <org/chris-hanson/cph>

	* runtime/: chrset.scm (14.24), runtime.pkg (14.647):

	Add a few char sets used in many RFCs.

2008-07-06 21:36  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail.pkg (1.106):

	Update (EDWIN IMAIL FRONT-END) package to reflect removal of Edwin
	variable IMAIL-PASS-PHRASE-RETENTION-TIME.

2008-07-06 21:35  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.306):

	Remove now unused Edwin variable IMAIL-PASS-PHRASE-RETENTION-TIME.
	This has been subsumed by PASS-PHRASE-RETENTION-TIME in Edwin proper
	since the passphrase cache was moved there.

2008-07-03 16:08  Chris Hanson <org/chris-hanson/cph>

	* imail/: imail-core.scm (1.171), imail-file.scm (1.95),
	  imail-rmail.scm (1.78), imail-umail.scm (1.58):

	Eliminate problem where RMAIL and IMAIL are both trying to insert
	internal headers at the beginning of the message, and then assuming
	their own headers are first.  IMAIL now strips out all of its internal
	headers when a message is read, regardless of their position, and
	appends new ones to the end of the headers block when the message is
	written.

2008-06-20 02:10  Taylor R. Campbell <net/mumble/campbell>

	* edwin/sendmail.scm (1.97):

	Check for end of input from server in SMTP-READ-LINE, and deliver a
	sensible error message in that case.

2008-06-19 22:32  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.305):

	When attaching MIME info records to the buffer, respect nested MIME
	entities so that for each point in the buffer only the most specific
	MIME entity is attached.  It would be nice if there were a variant of
	REGION-PUT! that layered text properties `under' existing ones, but
	since there isn't, we make do by scanning the text for the property
	changes and associating records for parents wherever their children
	had not been attached.

2008-06-18 02:31  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/cout.scm (1.44):

	Use the name LIAR/C to find the subsystem's version, not just LIAR.

2008-06-08 21:39  Chris Hanson <org/chris-hanson/cph>

	* compiler/machines/i386/: machin.scm (1.25), rulflo.scm (1.31):

	Don't inline sin, cos, or tan: Intel instruction has limit on operand.
	Comment out and document disabled inlining rules.  Remove obsolete
	alternative instruction sequences.

2008-05-19 01:21  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.219):

	Use BODY.PEEK[...] rather than BODY[...] when fetching body parts to
	fill folders' caches, to avoid effects on \Seen flags.

2008-05-19 01:18  Taylor R. Campbell <net/mumble/campbell>

	* edwin/sendmail.scm (1.96):

	Fix typo: the word `transact' has two `a's in it.  Remarkably, I
	managed to mistype it in both the definition and use of TRANSCT-SMTP,
	which must be why no one noticed.

2008-05-19 01:06  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.218):

	Don't cache messages' envelopes in folder outlines after all.  None of
	IMAIL uses the envelopes (why not?), and they tickle a problem with a
	certain (buggy) IMAP server.

2008-05-18 20:00  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.170):

	Elaborate upon an important detail of the comment above
	CACHE-FOLDER-CONTENTS concerning its relation to
	PRELOAD-FOLDER-OUTLINES.

2008-05-18 19:58  Taylor R. Campbell <net/mumble/campbell>

	* imail/: imail-core.scm (1.169), imail-imap.scm (1.217),
	  imail-top.scm (1.304), imail.pkg (1.105):

	Enhance preloading of folder outlines for IMAP folders, and implement
	caching of entire folders' contents.

	PRELOAD-FOLDER-OUTLINES on IMAP folders will now be much cleverer
	(read: not stupid) about what items to fetch for what messages, so that
	we fetch only what we need from each message.  This means that summary
	buffer generation will now spend much less time (i.e. as much time as
	it did six months ago) fetching message items.

	New generic procedure CACHE-FOLDER-CONTENTS works similarly to
	PRELOAD-FOLDER-OUTLINES, but also fetches requested body parts of
	messages.

	New Edwin command IMAIL-CACHE uses CACHE-FOLDER-CONTENTS to fill the
	cache of the selected folder.  The front end's generic procedure
	WALK-MIME-MESSAGE-PART is now a little more general, so that it can be
	used to work together with with CACHE-FOLDER-CONTENTS.

2008-05-18 18:46  Taylor R. Campbell <net/mumble/campbell>

	* imail/imap-response.scm (1.54):

	Fix typo in READ-QUOTED-TO-PORT: READ-CHAR-NO-EOF wants an input port,
	not a character.

2008-05-16 22:18  Taylor R. Campbell <net/mumble/campbell>

	* edwin/: snr.scm (1.71), nntp.scm (1.38):

	Allow service numbers in news server proxy entries.

2008-05-05 00:42  Chris Hanson <org/chris-hanson/cph>

	* edwin/: edwin.pkg (1.307), sendmail.scm (1.95):

	Implement mail-yank-prefix (closes Bug#22946).

2008-05-04 03:13  Chris Hanson <org/chris-hanson/cph>

	* microcode/ux.c (1.36):

	Add workaround for AppArmor rule that blocks use of low memory
	addresses.  This is causing trouble on Ubuntu 8.04.

2008-05-01 23:20  Taylor R. Campbell <net/mumble/campbell>

	* runtime/port.scm (1.54):

	Change mode in BIND-MODE only if the port is still open.

2008-04-24 21:20  Chris Hanson <org/chris-hanson/cph>

	* runtime/arith.scm (1.67):

	Handle NaN objects specially when comparing them against rational
	numbers.  We should probably do something similar for infinities.

2008-04-24 21:19  Chris Hanson <org/chris-hanson/cph>

	* microcode/cmpauxmd/i386.m4 (1.70):

	Eliminate special cases for flonums in generic predicates.  These were
	doing the wrong thing for NaNs.

2008-03-10 23:57  Chris Hanson <org/chris-hanson/cph>

	* runtime/: pgsql.scm (1.16), crypto.scm (14.22), berkeley-db.scm
	  (1.9), gdbm.scm (1.12):

	Reword missing-support error message to clarify its meaning.

2008-03-09 16:24  Chris Hanson <org/chris-hanson/cph>

	* microcode/: ntio.c (1.37), ntproc.c (1.15), os2io.c (1.15),
	  os2proc.c (1.14), osio.h (1.25), osproc.h (1.18), uxio.c (1.60),
	  uxproc.c (1.38):

	Eliminate type-size errors and warnings; some NO_CHANNEL and
	NO_PROCESS were long types, while the corresponding Tchannel and
	Tprocess were int types.  Now all are int types.

2008-03-08 13:46  Chris Hanson <org/chris-hanson/cph>

	* edwin/xform.scm (1.20):

	Can't use UCODE-PRIMITIVE in this file; it breaks the initial build.

2008-03-08 12:43  Chris Hanson <org/chris-hanson/cph>

	* runtime/load.scm (14.103):

	Prioritize .so files over .bin files -- we were loading .bin files
	when .so files were available.  (Thanks to Don Allen for catching
	this.)

2008-02-29 11:06  Taylor R. Campbell <net/mumble/campbell>

	* runtime/unsyn.scm (14.37):

	Unsyntax conditionals with the primitive NOT procedure, not the global
	binding of NOT.

2008-02-20 22:54  Chris Hanson <org/chris-hanson/cph>

	* microcode/prdb4.c (1.11):

	Regenerate tables with proper 0x prefix.

2008-02-20 22:52  Chris Hanson <org/chris-hanson/cph>

	* microcode/prdb4.scm (1.3):

	Doh... Forgot to add missing 0x prefix to hex constants.

2008-02-15 00:06  Chris Hanson <org/chris-hanson/cph>

	* runtime/runtime.pkg (14.646):

	Eliminate now-unused exports.

2008-02-14 23:19  Taylor R. Campbell <net/mumble/campbell>

	* runtime/thread.scm (1.49):

	When calling %MAYBE-TOGGLE-THREAD-TIMER from WAIT-FOR-IO, disregard
	the value of TIMER-INTERVAL, since we are waiting only until I/O or
	the next timer event.

2008-02-14 04:51  Taylor R. Campbell <net/mumble/campbell>

	* runtime/runtime.pkg (14.645):

	Export MHASH-HMAC-UPDATE from (RUNTIME CRYPTO).

2008-02-14 03:20  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: cmpint.c (1.119), interp.c (9.110):

	Iron out two remaining little bugs in the recent flurry of changes
	surrounding errors during compiled invocation setup from primitives.

2008-02-14 01:47  Chris Hanson <org/chris-hanson/cph>

	* microcode/: cmpint.c (1.118), cmpint.h (10.20), const.h (9.58),
	  hooks.c (9.73), interp.c (9.109), interp.h (9.56):

	Undo previous change that removed primitive apply optimizations.  (It
	turns out that my analysis was incomplete and further changes would
	have been required.)  Fix the problem with the apply hacks by
	introducing a new exception code PRIM_APPLY_ERROR, which provides an
	alternate path for signaling an error to the interpreter, _without_
	backing out of the primitive (since we've already made all the
	necessary changes to the stack).

2008-02-13 22:34  Chris Hanson <org/chris-hanson/cph>

	* edwin/bios.scm (1.11), edwin/termcap.scm (1.13), edwin/win32.scm
	  (1.23), edwin/xterm.scm (1.83), runtime/berkeley-db.scm (1.8),
	  runtime/os2graph.scm (1.29), runtime/pgsql.scm (1.15),
	  runtime/starbase.scm (1.24), runtime/x11graph.scm (1.62):

	Fix various places where variables defined with DEFINE-PRIMITIVES were
	assumed have primitive-procedure values.

2008-02-13 21:35  Chris Hanson <org/chris-hanson/cph>

	* runtime/: fixart.scm (1.20), global.scm (14.83), sysmac.scm
	  (14.19):

	On Taylor's suggestion, change DEFINE-PRIMITIVES so that it generates
	compound procedures rather than just binding the variables to the
	primitive-procedure objects.  This allows us to drop the new macros
	needed by fixart, eliminating the need to patch older compilers to
	compile this code.

2008-02-13 21:11  Chris Hanson <org/chris-hanson/cph>

	* runtime/lambda.scm (14.23), runtime/syntax-output.scm (14.16),
	  runtime/urtrap.scm (14.22), edwin/xform.scm (1.19),
	  compiler/fggen/fggen.scm (4.45), compiler/base/scode.scm (4.20),
	  compiler/back/syerly.scm (1.18):

	Don't insert top-level bindings of procedures into code, assuming that
	they are primitives.  Use explicit references to primitives.

2008-02-13 19:45  Chris Hanson <org/chris-hanson/cph>

	* compiler/machines/bobcat/dassm3.scm (4.15), sos/macros.scm
	  (1.23), runtime/defstr.scm (14.59):

	Fix a few bad instances of (ACCESS ...).

2008-02-13 18:36  Chris Hanson <org/chris-hanson/cph>

	* win32/module.scm (1.10):

	Don't write (ACCESS <foo> ()).

2008-02-13 18:30  Chris Hanson <org/chris-hanson/cph>

	* sf/gconst.scm (4.41):

	Add SYSTEM-GLOBAL-ENVIRONMENT to global constants; this will suppress
	warnings about (ACCESS <foo> SYSTEM-GLOBAL-ENVIRONMENT).

2008-02-13 18:26  Chris Hanson <org/chris-hanson/cph>

	* microcode/: fasdump.c (9.74), gccode.h (9.65), gcloop.c (9.56):

	Fix fatal error: FASDUMP wasn't cleaning up correctly when signalling
	an error.

2008-02-13 09:26  Chris Hanson <org/chris-hanson/cph>

	* runtime/scomb.scm (14.29):

	Add an error check to MAKE-COMBINATION for an operator that's a
	non-primitive procedure.  This is the most likely screw case from the
	recent change in the handling of primitive integrations.

2008-02-13 09:25  Chris Hanson <org/chris-hanson/cph>

	* runtime/: advice.scm (14.25), sdata.scm (14.9), unsyn.scm
	  (14.36), urtrap.scm (14.21):

	Rewrite some more variable references as explicit primitive constants.
	This includes one instance, in MAKE-MACRO-REFERENCE-TRAP-EXPRESSION,
	that was causing a fatal error.

2008-02-13 01:21  Chris Hanson <org/chris-hanson/cph>

	* sf/: pardec.scm (4.21), subst.scm (4.25), usicon.scm (4.14),
	  usiexp.scm (4.50):

	Redo the previous change: it was causing VERY BAD things to happen.
	This one should be considerably safer.

2008-02-12 23:28  Chris Hanson <org/chris-hanson/cph>

	* microcode/: cmpint.c (1.117), cmpint.h (10.19), hooks.c (9.72):

	Eliminate three special cases (compiled_with_interrupt_mask,
	compiled_with_stack_marker, and apply_compiled_from_primitive) that
	were adding hairy edge cases to gain a small amount of efficiency.

2008-02-12 14:09  Chris Hanson <org/chris-hanson/cph>

	* microcode/: cmpint.c (1.115), cmpint.c (1.116):

	Fix bug: setup_compiled_invocation_from_primitive wasn't calling
	PRIMITIVE_ABORT when it should have been.

2008-02-11 19:37  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.168):

	Fix bug in last commit.  %MESSAGE-ORDER-KEY yields a pair of the key
	and index already, so MESSAGE-ORDER-KEY doesn't need to add the index.

2008-02-11 19:16  Taylor R. Campbell <net/mumble/campbell>

	* microcode/cmpint.c (1.114):

	One more stab at it: turns out that what I thought APPLY wanted to do
	is actually what WITH-INTERRUPT-MASK and WITH-STACK-MARKER also want
	to do, instead of aborting the primitive.  So we can, after all, use
	`setup_compiled_invocation_from_primitive' in
	`apply_compiled_from_primitive'.

2008-02-11 18:59  Taylor R. Campbell <net/mumble/campbell>

	* microcode/cmpint.c (1.113):

	Fix think-o in previous commit -- wetware pattern matcher failed in
	`apply_compiled_from_primitive', which obviously can't use the new
	`setup_compiled_invocation_from_primitive' because the latter does a
	primitive abort if an error happens, whereas APPLY just wants to
	return.

2008-02-11 17:49  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-summary.scm (1.57):

	Meter the progress of summary buffer generation.

2008-02-11 17:48  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.167):

	Cache the keys by which messages are ordered in a hash table, so that
	we need not repeatedly fetch and parse header fields and such for the
	same messages.  (The cache may be optionally disabled by passing a
	switch to MAKE-FOLDER-ORDER if it is concluded superfluous.)

2008-02-11 17:45  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.216):

	Implement incremental processing of IMAP responses, so that long lists
	of large responses, such as all the header fields in a large folder,
	will not be queued up to exhaust the heap space.  Exploit this when
	preloading folder outlines, and don't fetch the header fields when
	only the size is needed.  (Preloading folder outlines no longer even
	fetches the size -- but to do this right requires a lot more work and
	would probably make preloading the outlines slower anyway, and I can
	live with slightly more network-intensive summary buffer generation
	for folders never before summarized.)  Store messages' header fields
	and envelopes only weakly in memory to conserve space.

2008-02-11 16:07  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: cmpint.c (1.112), cmpint.h (10.18), hooks.c (9.71):

	Simplify code to invoke compiled procedures from primitives.  Fix bug
	in APPLY that would cause the stack to be munged when errors or
	interrupts occur during the invocation setup.

2008-02-11 02:52  Taylor R. Campbell <net/mumble/campbell>

	* runtime/infutl.scm (1.76):

	Actually do avoid the race condition.

2008-02-11 02:23  Chris Hanson <org/chris-hanson/cph>

	* runtime/process.scm (1.36):

	Fix bug: it's necessary to close the I/O channels of a subprocess when
	it has finished running.  Otherwise we can end up blocked on one of
	those channels, with no way to unblock.

2008-02-10 16:35  Taylor R. Campbell <net/mumble/campbell>

	* runtime/infutl.scm (1.75):

	Avoid a race condition with the GC daemon in LOOKUP-UNCOMPRESSED-FILE.

2008-02-10 05:44  Taylor R. Campbell <net/mumble/campbell>

	* edwin/: edwin.pkg (1.306), sendmail.scm (1.94):

	Implement SMTP AUTH LOGIN and AUTH PLAIN extensions for authentication
	when sending mail by SMTP.  New Edwin variable MAIL-AUTHENTICATION
	controls whether to authenticate; set it to #T to enable authentication
	by default.  New Edwin variable SMTP-USER-NAME can be set to specify a
	user name.

	Still to do:  CRAM-MD5 (shouldn't be hard, but I don't need it now),
	and automatic detection of necessity of authentication.  Is there an
	SMTP reply code to tell us that we must authenticate?

2008-02-10 05:06  Taylor R. Campbell <net/mumble/campbell>

	* edwin/edwin.pkg (1.305), edwin/prompt.scm (1.206),
	  imail/imail-top.scm (1.303):

	Move support for temporarily stored pass-phrases into Edwin from
	IMAIL's front end.

2008-02-10 01:14  Chris Hanson <org/chris-hanson/cph>

	* runtime/: boole.scm (14.11), boot.scm (14.30), char.scm (14.35),
	  fixart.scm (1.19), gc.scm (14.28), gcdemn.scm (14.15), gentag.scm
	  (1.10), global.scm (14.82), list.scm (14.58), make.scm (14.115),
	  packag.scm (14.59), random.scm (14.42), record.scm (1.61),
	  runtime.pkg (14.644), string.scm (14.68), sysmac.scm (14.18),
	  uproc.scm (1.23), vector.scm (14.29):

	Change lots of global primitives to be defined as compound procedures.
	The compiler will still open-code them appropriately when the appear
	in the operator position.  However, this change means that
	non-operator references to these primitives avoid passing a primitive
	object around, which improves performance when the object is
	eventually called.

2008-02-10 01:11  Chris Hanson <org/chris-hanson/cph>

	* sf/: gconst.scm (4.40), usicon.scm (4.13):

	Add LAMBDA-TAG:UNNAMED, needed for cold load.

2008-02-10 00:02  Chris Hanson <org/chris-hanson/cph>

	* sf/gconst.scm (4.39):

	Add FIXNUM? to list of primitives.

2008-02-09 23:42  Chris Hanson <org/chris-hanson/cph>

	* sf/: gconst.scm (4.38), pardec.scm (4.20), subst.scm (4.24),
	  usicon.scm (4.12):

	Change handling of global primitives; they are now integrated only
	when they appear in operator position.

2008-02-09 05:29  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-file.scm (1.94):

	Make SAVE-RESOURCE on file folders gracefully handle failure to write
	the file.  Previously killing an IMAIL file folder buffer for a
	read-only file would create an *error* buffer and fail to kill the
	IMAIL buffer!

	(Perhaps it would be better to add a new value to FOLDER-SYNC-STATUS,
	to indicate that the persistant storage is immutable.  But putting an
	error handler here is useful anyway, because the state of the world
	may change between the call to FOLDER-SYNC-STATUS and the actual write
	to the disk.)

2008-02-02 13:21  Chris Hanson <org/chris-hanson/cph>

	* runtime/runtime.pkg (14.643):

	Conditionally defined OS/2 packages.

2008-02-02 13:20  Chris Hanson <org/chris-hanson/cph>

	* runtime/make.scm (14.114):

	When initializing packages, ignore missing packages.

2008-02-02 13:20  Chris Hanson <org/chris-hanson/cph>

	* runtime/packag.scm (14.58):

	Give FIND-PACKAGE an optional argument for controlling error behavior.

2008-02-02 12:59  Chris Hanson <org/chris-hanson/cph>

	* runtime/: runtime.pkg (14.642), usrint.scm (1.32):

	Now that linking works, change WRITE-NOTIFICATION-LINE to be an alias
	for WITH-NOTIFICATION, as originally planned.

2008-02-02 12:57  Chris Hanson <org/chris-hanson/cph>

	* microcode/: lookup.c (9.78), trap.h (9.57):

	Simpler fix for variable-linking problem: clobber the source trap with
	the target cache, so that both traps share the same cache.

2008-02-02 12:26  Chris Hanson <org/chris-hanson/cph>

	* microcode/: lookup.c (9.77), sdata.h (9.47), trap.h (9.56):

	Fix bug: a relatively rare circumstance was causing linked variables
	to become unlinked.  Specifically:

	    1. Load compiled code that creates a cache to variable A.
	    2. Link variable B to variable C.
	    3. Link variable B to variable A.

	After step (3), variable C was no longer linked to variable B,
	although B and A were still linked.  The problem is that step (3)
	overwrites the cache in B with the cache in A, but C is unchanged.

	This has been fixed by leaving a forwarding link in the "old" cache
	and snapping the link on reference.  Any outstanding copies of the
	"old" cache, such as that in C, are updated to point to the "new"
	cache the next time they're referenced.

2008-02-02 01:54  Chris Hanson <org/chris-hanson/cph>

	* runtime/packag.scm (14.57):

	Make sure there's only one instance of a name in each package.

2008-02-02 01:53  Chris Hanson <org/chris-hanson/cph>

	* runtime/: runtime.pkg (14.641), usrint.scm (1.31):

	Work around bug in variable linking mechanism.

2008-02-02 01:51  Chris Hanson <org/chris-hanson/cph>

	* runtime/: runtime.pkg (14.640), uerror.scm (14.59):

	Eliminate unused variable.

2008-02-02 01:01  Chris Hanson <org/chris-hanson/cph>

	* runtime/runtime.pkg (14.639):

	Doh.

2008-02-02 01:00  Chris Hanson <org/chris-hanson/cph>

	* runtime/runtime.pkg (14.638):

	Fix typo.

2008-02-02 00:48  Chris Hanson <org/chris-hanson/cph>

	* runtime/usrint.scm (1.30):

	Fix some bugs in the previous change.

2008-02-02 00:35  Chris Hanson <org/chris-hanson/cph>

	* runtime/: make.scm (14.113), runtime.pkg (14.637), usrint.scm
	  (1.29):

	Change WITH-NOTIFICATION so that the port it passes to the MESSAGE is
	smart about newlines and writes the prefix correctly.  Also, make the
	THUNK optional, and consequently WRITE-NOTIFICATION-LINE is an alias
	for WITH-NOTIFICATION.

2008-02-01 23:28  Chris Hanson <org/chris-hanson/cph>

	* runtime/: fileio.scm (1.37), genio.scm (1.61), runtime.pkg
	  (14.636), strott.scm (14.21), strout.scm (14.32), ttyio.scm
	  (1.29):

	Eliminate cross-file dependency on gstate structure.  Generic I/O port
	now provides abstraction for managing additional state elements.

2008-02-01 22:44  Chris Hanson <org/chris-hanson/cph>

	* runtime/runtime.pkg (14.635):

	Export GUARANTEE-THUNK.

2008-02-01 21:08  Chris Hanson <org/chris-hanson/cph>

	* runtime/genio.scm (1.60):

	Fix comment.

2008-02-01 21:07  Chris Hanson <org/chris-hanson/cph>

	* runtime/: fileio.scm (1.36), runtime.pkg (14.634):

	Eliminate direct use of make-gstate in file I/O ports.

2008-02-01 21:02  Chris Hanson <org/chris-hanson/cph>

	* runtime/: genio.scm (1.59), runtime.pkg (14.633), strnin.scm
	  (14.23), strott.scm (14.20), strout.scm (14.31):

	Eliminate direct use of make-gstate in string I/O ports, by extending
	MAKE-GENERIC-I/O-PORT to take extra arguments.

2008-02-01 20:48  Chris Hanson <org/chris-hanson/cph>

	* runtime/: genio.scm (1.58), runtime.pkg (14.632), strnin.scm
	  (14.22), strott.scm (14.19), strout.scm (14.30):

	Rename and export MAKE-NON-CHANNEL-PORT-{SOURCE,SINK}.

2008-02-01 20:19  Chris Hanson <org/chris-hanson/cph>

	* runtime/: port.scm (1.53), runtime.pkg (14.631):

	Implement PORT-TYPE/PARENT.

2008-01-30 22:49  Chris Hanson <org/chris-hanson/cph>

	* runtime/version.scm (14.225):

	Update current copyright year.

2008-01-30 15:01  Chris Hanson <org/chris-hanson/cph>

	* Clean.sh (1.19), Makefile.in (1.48), Setup.sh (1.28), Tags.sh
	  (1.7), configure.ac (1.20), 6001/6001.cbf (1.12), 6001/6001.pkg
	  (1.20), 6001/6001.sf (1.19), 6001/arith.scm (1.16),
	  6001/edextra.scm (1.39), 6001/floppy.scm (1.31), 6001/make.scm
	  (15.42), 6001/nodefs.scm (1.19), 6001/pic-imag.scm (1.15),
	  6001/pic-ops.scm (1.11), 6001/pic-read.scm (1.12),
	  6001/pic-reco.scm (1.14), 6001/picture.scm (1.35),
	  compiler/Clean.sh (1.20), compiler/Setup.sh (1.11),
	  compiler/Stage.sh (1.8), compiler/Tags.sh (1.7),
	  compiler/choose-machine.sh (1.3), compiler/configure (1.20),
	  compiler/back/asmmac.scm (1.23), compiler/back/asutl.scm (1.8),
	  compiler/back/bittop.scm (1.28), compiler/back/bitutl.scm (1.15),
	  compiler/back/insseq.scm (4.9), compiler/back/lapgn1.scm (4.24),
	  compiler/back/lapgn2.scm (1.28), compiler/back/lapgn3.scm (4.21),
	  compiler/back/linear.scm (4.23), compiler/back/mermap.scm (1.10),
	  compiler/back/regmap.scm (4.19), compiler/back/syerly.scm (1.17),
	  compiler/back/symtab.scm (1.52), compiler/back/syntax.scm (1.34),
	  compiler/base/asstop.scm (1.21), compiler/base/blocks.scm (4.21),
	  compiler/base/cfg1.scm (4.12), compiler/base/cfg2.scm (4.9),
	  compiler/base/cfg3.scm (4.10), compiler/base/constr.scm (1.9),
	  compiler/base/contin.scm (4.14), compiler/base/crsend.scm (1.20),
	  compiler/base/crstop.scm (1.20), compiler/base/ctypes.scm (4.21),
	  compiler/base/debug.scm (4.21), compiler/base/enumer.scm (4.9),
	  compiler/base/infnew.scm (4.17), compiler/base/lvalue.scm (4.31),
	  compiler/base/macros.scm (4.35), compiler/base/make.scm (4.131),
	  compiler/base/mvalue.scm (3.6), compiler/base/object.scm (4.14),
	  compiler/base/pmerly.scm (1.14), compiler/base/pmlook.scm (1.15),
	  compiler/base/pmpars.scm (1.13), compiler/base/proced.scm (4.28),
	  compiler/base/refctx.scm (1.8), compiler/base/rvalue.scm (4.13),
	  compiler/base/scode.scm (4.19), compiler/base/sets.scm (4.7),
	  compiler/base/subprb.scm (4.13), compiler/base/switch.scm (4.34),
	  compiler/base/toplev.scm (4.77), compiler/base/utils.scm (4.35),
	  compiler/documentation/cmpaux.txt (1.6),
	  compiler/documentation/cmpint.txt (1.14),
	  compiler/documentation/porting.guide (1.28), compiler/etc/asm.scm
	  (1.8), compiler/etc/comcmp.scm (1.16), compiler/etc/comfiles.scm
	  (1.12), compiler/etc/disload.scm (1.17), compiler/etc/stackp.scm
	  (1.12), compiler/etc/xcbfdir.scm (1.14), compiler/fggen/canon.scm
	  (1.28), compiler/fggen/declar.scm (1.12),
	  compiler/fggen/fggen.scm (4.44), compiler/fgopt/blktyp.scm
	  (4.22), compiler/fgopt/closan.scm (4.35),
	  compiler/fgopt/conect.scm (4.11), compiler/fgopt/contan.scm
	  (4.15), compiler/fgopt/delint.scm (1.9),
	  compiler/fgopt/desenv.scm (4.10), compiler/fgopt/envopt.scm
	  (1.15), compiler/fgopt/folcon.scm (4.14),
	  compiler/fgopt/offset.scm (4.14), compiler/fgopt/operan.scm
	  (4.13), compiler/fgopt/order.scm (4.23), compiler/fgopt/outer.scm
	  (4.11), compiler/fgopt/param.scm (1.9), compiler/fgopt/reord.scm
	  (1.8), compiler/fgopt/reteqv.scm (1.7), compiler/fgopt/reuse.scm
	  (1.13), compiler/fgopt/sideff.scm (1.14),
	  compiler/fgopt/simapp.scm (4.16), compiler/fgopt/simple.scm
	  (4.12), compiler/fgopt/subfre.scm (1.13),
	  compiler/fgopt/varind.scm (1.10),
	  compiler/machines/C/compiler.cbf (1.8),
	  compiler/machines/C/compiler.pkg (1.30),
	  compiler/machines/C/compiler.sf (1.15),
	  compiler/machines/C/cout.scm (1.43), compiler/machines/C/ctop.scm
	  (1.32), compiler/machines/C/cutl.scm (1.11),
	  compiler/machines/C/decls.scm (1.15),
	  compiler/machines/C/lapgen.scm (1.24),
	  compiler/machines/C/machin.scm (1.15),
	  compiler/machines/C/make.scm (1.13),
	  compiler/machines/C/rgspcm.scm (1.8),
	  compiler/machines/C/rules1.scm (1.14),
	  compiler/machines/C/rules2.scm (1.11),
	  compiler/machines/C/rules3.scm (1.18),
	  compiler/machines/C/rules4.scm (1.8),
	  compiler/machines/C/rulfix.scm (1.12),
	  compiler/machines/C/rulflo.scm (1.13),
	  compiler/machines/C/rulrew.scm (1.10),
	  compiler/machines/C/stackify.scm (1.4),
	  compiler/machines/C/stackops.scm (1.4),
	  compiler/machines/C/traditional.scm (1.7),
	  compiler/machines/alpha/assmd.scm (1.9),
	  compiler/machines/alpha/coerce.scm (1.8),
	  compiler/machines/alpha/compiler.cbf (1.8),
	  compiler/machines/alpha/compiler.pkg (1.22),
	  compiler/machines/alpha/compiler.sf (1.15),
	  compiler/machines/alpha/dassm1.scm (1.9),
	  compiler/machines/alpha/dassm2.scm (1.9),
	  compiler/machines/alpha/dassm3.scm (1.7),
	  compiler/machines/alpha/decls.scm (1.14),
	  compiler/machines/alpha/inerly.scm (1.11),
	  compiler/machines/alpha/insmac.scm (1.11),
	  compiler/machines/alpha/instr1.scm (1.11),
	  compiler/machines/alpha/instr2.scm (1.9),
	  compiler/machines/alpha/instr3.scm (1.9),
	  compiler/machines/alpha/lapgen.scm (1.15),
	  compiler/machines/alpha/lapopt.scm (1.7),
	  compiler/machines/alpha/machin.scm (1.13),
	  compiler/machines/alpha/make.scm (1.10),
	  compiler/machines/alpha/rgspcm.scm (1.7),
	  compiler/machines/alpha/rules1.scm (1.9),
	  compiler/machines/alpha/rules2.scm (1.8),
	  compiler/machines/alpha/rules3.scm (1.15),
	  compiler/machines/alpha/rules4.scm (1.9),
	  compiler/machines/alpha/rulfix.scm (1.10),
	  compiler/machines/alpha/rulflo.scm (1.11),
	  compiler/machines/alpha/rulrew.scm (1.8),
	  compiler/machines/bobcat/assmd.scm (1.44),
	  compiler/machines/bobcat/coerce.scm (1.16),
	  compiler/machines/bobcat/compiler.cbf (1.8),
	  compiler/machines/bobcat/compiler.pkg (1.59),
	  compiler/machines/bobcat/compiler.sf (1.27),
	  compiler/machines/bobcat/dassm1.scm (4.27),
	  compiler/machines/bobcat/dassm2.scm (4.30),
	  compiler/machines/bobcat/dassm3.scm (4.14),
	  compiler/machines/bobcat/decls.scm (4.45),
	  compiler/machines/bobcat/flinstr1.scm (1.9),
	  compiler/machines/bobcat/flinstr2.scm (1.9),
	  compiler/machines/bobcat/inerly.scm (1.16),
	  compiler/machines/bobcat/insmac.scm (1.137),
	  compiler/machines/bobcat/instr1.scm (1.73),
	  compiler/machines/bobcat/instr2.scm (1.26),
	  compiler/machines/bobcat/instr3.scm (1.25),
	  compiler/machines/bobcat/instr4.scm (1.11),
	  compiler/machines/bobcat/insutl.scm (1.14),
	  compiler/machines/bobcat/lapgen.scm (4.59),
	  compiler/machines/bobcat/lapopt.scm (1.7),
	  compiler/machines/bobcat/machin.scm (4.39),
	  compiler/machines/bobcat/make.scm-68020 (4.94),
	  compiler/machines/bobcat/make.scm-68040 (4.95),
	  compiler/machines/bobcat/mc68ktgl.scm (1.8),
	  compiler/machines/bobcat/rgspcm.scm (4.8),
	  compiler/machines/bobcat/rules1.scm (4.44),
	  compiler/machines/bobcat/rules2.scm (4.20),
	  compiler/machines/bobcat/rules3.scm (4.48),
	  compiler/machines/bobcat/rules4.scm (4.20),
	  compiler/machines/bobcat/rulrew.scm (1.12),
	  compiler/machines/i386/assmd.scm (1.11),
	  compiler/machines/i386/coerce.scm (1.8),
	  compiler/machines/i386/compiler.cbf (1.9),
	  compiler/machines/i386/compiler.pkg (1.36),
	  compiler/machines/i386/compiler.sf (1.24),
	  compiler/machines/i386/dassm1.scm (1.18),
	  compiler/machines/i386/dassm2.scm (1.17),
	  compiler/machines/i386/dassm3.scm (1.15),
	  compiler/machines/i386/decls.scm (1.19),
	  compiler/machines/i386/inerly.scm (1.12),
	  compiler/machines/i386/insmac.scm (1.22),
	  compiler/machines/i386/instr1.scm (1.21),
	  compiler/machines/i386/instr2.scm (1.15),
	  compiler/machines/i386/instrf.scm (1.23),
	  compiler/machines/i386/insutl.scm (1.16),
	  compiler/machines/i386/lapgen.scm (1.38),
	  compiler/machines/i386/lapopt.scm (1.11),
	  compiler/machines/i386/machin.scm (1.24),
	  compiler/machines/i386/make.scm (1.12),
	  compiler/machines/i386/pc-make.scm (1.7),
	  compiler/machines/i386/rgspcm.scm (1.9),
	  compiler/machines/i386/rules1.scm (1.24),
	  compiler/machines/i386/rules2.scm (1.14),
	  compiler/machines/i386/rules3.scm (1.43),
	  compiler/machines/i386/rules4.scm (1.13),
	  compiler/machines/i386/rulfix.scm (1.39),
	  compiler/machines/i386/rulflo.scm (1.30),
	  compiler/machines/i386/rulrew.scm (1.20),
	  compiler/machines/mips/assmd.scm (1.10),
	  compiler/machines/mips/coerce.scm (1.7),
	  compiler/machines/mips/compiler.cbf (1.8),
	  compiler/machines/mips/compiler.pkg (1.29),
	  compiler/machines/mips/compiler.sf-big (1.17),
	  compiler/machines/mips/compiler.sf-little (1.17),
	  compiler/machines/mips/dassm1.scm (1.12),
	  compiler/machines/mips/dassm2.scm (1.12),
	  compiler/machines/mips/dassm3.scm (1.9),
	  compiler/machines/mips/decls.scm (1.18),
	  compiler/machines/mips/inerly.scm (1.11),
	  compiler/machines/mips/insmac.scm (1.11),
	  compiler/machines/mips/instr1.scm (1.14),
	  compiler/machines/mips/instr2a.scm (1.12),
	  compiler/machines/mips/instr2b.scm (1.11),
	  compiler/machines/mips/instr3.scm (1.10),
	  compiler/machines/mips/lapgen.scm (1.24),
	  compiler/machines/mips/lapopt.scm (1.7),
	  compiler/machines/mips/machin.scm (1.20),
	  compiler/machines/mips/make.scm-big (4.94),
	  compiler/machines/mips/make.scm-little (4.94),
	  compiler/machines/mips/mips.scm (1.9),
	  compiler/machines/mips/rgspcm.scm (1.7),
	  compiler/machines/mips/rules1.scm (1.12),
	  compiler/machines/mips/rules2.scm (1.8),
	  compiler/machines/mips/rules3.scm (1.25),
	  compiler/machines/mips/rules4.scm (1.9),
	  compiler/machines/mips/rulfix.scm (1.16),
	  compiler/machines/mips/rulflo.scm (1.15),
	  compiler/machines/mips/rulrew.scm (1.12),
	  compiler/machines/sparc/assmd.scm (1.9),
	  compiler/machines/sparc/cf.h-sparc (1.7),
	  compiler/machines/sparc/cmpaux-sparc.m4 (1.7),
	  compiler/machines/sparc/cmpint-sparc.h (1.7),
	  compiler/machines/sparc/coerce.scm (1.7),
	  compiler/machines/sparc/decls.scm (1.12),
	  compiler/machines/sparc/inerly.scm (1.11),
	  compiler/machines/sparc/insmac.scm (1.10),
	  compiler/machines/sparc/instr1.scm (1.9),
	  compiler/machines/sparc/instr2a.scm (1.9),
	  compiler/machines/sparc/instr2b.scm (1.9),
	  compiler/machines/sparc/instr3.scm (1.9),
	  compiler/machines/sparc/lapgen.scm (1.11),
	  compiler/machines/sparc/lapopt.scm (1.7),
	  compiler/machines/sparc/machin.scm (1.8),
	  compiler/machines/sparc/make.scm (1.8),
	  compiler/machines/sparc/rgspcm.scm (1.7),
	  compiler/machines/sparc/rules1.scm (1.7),
	  compiler/machines/sparc/rules2.scm (1.7),
	  compiler/machines/sparc/rules3.scm (1.9),
	  compiler/machines/sparc/rules4.scm (1.7),
	  compiler/machines/sparc/rulfix.scm (1.7),
	  compiler/machines/sparc/rulflo.scm (1.9),
	  compiler/machines/sparc/rulrew.scm (1.7),
	  compiler/machines/spectrum/assmd.scm (1.38),
	  compiler/machines/spectrum/coerce.scm (1.11),
	  compiler/machines/spectrum/compiler.cbf (1.8),
	  compiler/machines/spectrum/compiler.pkg (1.59),
	  compiler/machines/spectrum/compiler.sf (1.27),
	  compiler/machines/spectrum/dassm1.scm (4.27),
	  compiler/machines/spectrum/dassm2.scm (4.28),
	  compiler/machines/spectrum/dassm3.scm (1.8),
	  compiler/machines/spectrum/decls.scm (4.43),
	  compiler/machines/spectrum/inerly.scm (1.11),
	  compiler/machines/spectrum/insmac.scm (1.11),
	  compiler/machines/spectrum/instr1.scm (1.11),
	  compiler/machines/spectrum/instr2.scm (1.16),
	  compiler/machines/spectrum/instr3.scm (1.10),
	  compiler/machines/spectrum/lapgen.scm (4.56),
	  compiler/machines/spectrum/lapopt.scm (1.20),
	  compiler/machines/spectrum/machin.scm (4.35),
	  compiler/machines/spectrum/make.scm (4.96),
	  compiler/machines/spectrum/rgspcm.scm (4.9),
	  compiler/machines/spectrum/rules1.scm (4.41),
	  compiler/machines/spectrum/rules2.scm (4.20),
	  compiler/machines/spectrum/rules3.scm (4.49),
	  compiler/machines/spectrum/rules4.scm (4.18),
	  compiler/machines/spectrum/rulfix.scm (4.55),
	  compiler/machines/spectrum/rulflo.scm (4.47),
	  compiler/machines/spectrum/rulrew.scm (1.18),
	  compiler/machines/vax/assmd.scm (4.14),
	  compiler/machines/vax/coerce.scm (1.10),
	  compiler/machines/vax/compiler.cbf (1.11),
	  compiler/machines/vax/compiler.pkg (1.31),
	  compiler/machines/vax/compiler.sf (1.18),
	  compiler/machines/vax/dassm1.scm (4.14),
	  compiler/machines/vax/dassm2.scm (4.20),
	  compiler/machines/vax/dassm3.scm (1.9),
	  compiler/machines/vax/decls.scm (4.21),
	  compiler/machines/vax/dsyn.scm (1.17),
	  compiler/machines/vax/inerly.scm (1.15),
	  compiler/machines/vax/insmac.scm (1.22),
	  compiler/machines/vax/instr1.scm (1.15),
	  compiler/machines/vax/instr2.scm (1.16),
	  compiler/machines/vax/instr3.scm (1.19),
	  compiler/machines/vax/insutl.scm (4.9),
	  compiler/machines/vax/lapgen.scm (4.24),
	  compiler/machines/vax/lapopt.scm (1.7),
	  compiler/machines/vax/machin.scm (4.18),
	  compiler/machines/vax/make.scm (4.95),
	  compiler/machines/vax/rgspcm.scm (4.8),
	  compiler/machines/vax/rules1.scm (4.13),
	  compiler/machines/vax/rules2.scm (4.10),
	  compiler/machines/vax/rules3.scm (4.19),
	  compiler/machines/vax/rules4.scm (4.10),
	  compiler/machines/vax/rulfix.scm (1.13),
	  compiler/machines/vax/rulrew.scm (1.8),
	  compiler/rtlbase/regset.scm (1.9), compiler/rtlbase/rgraph.scm
	  (4.14), compiler/rtlbase/rtlcfg.scm (4.15),
	  compiler/rtlbase/rtlcon.scm (4.35), compiler/rtlbase/rtlexp.scm
	  (4.25), compiler/rtlbase/rtline.scm (4.16),
	  compiler/rtlbase/rtlobj.scm (4.17), compiler/rtlbase/rtlreg.scm
	  (4.15), compiler/rtlbase/rtlty1.scm (4.28),
	  compiler/rtlbase/rtlty2.scm (4.18), compiler/rtlbase/valclass.scm
	  (1.12), compiler/rtlgen/fndblk.scm (4.17),
	  compiler/rtlgen/fndvar.scm (1.12), compiler/rtlgen/opncod.scm
	  (4.82), compiler/rtlgen/rgcomb.scm (4.26),
	  compiler/rtlgen/rgproc.scm (4.20), compiler/rtlgen/rgretn.scm
	  (4.19), compiler/rtlgen/rgrval.scm (4.28),
	  compiler/rtlgen/rgstmt.scm (4.22), compiler/rtlgen/rtlgen.scm
	  (4.35), compiler/rtlopt/ralloc.scm (1.23),
	  compiler/rtlopt/rcompr.scm (1.20), compiler/rtlopt/rcse1.scm
	  (4.29), compiler/rtlopt/rcse2.scm (4.19),
	  compiler/rtlopt/rcseep.scm (4.12), compiler/rtlopt/rcseht.scm
	  (4.18), compiler/rtlopt/rcserq.scm (4.12),
	  compiler/rtlopt/rcsesr.scm (4.9), compiler/rtlopt/rdebug.scm
	  (1.9), compiler/rtlopt/rdflow.scm (1.9),
	  compiler/rtlopt/rerite.scm (1.10), compiler/rtlopt/rinvex.scm
	  (1.15), compiler/rtlopt/rlife.scm (1.66),
	  compiler/rtlopt/rtlcsm.scm (1.7), cref/anfile.scm (1.13),
	  cref/conpkg.scm (1.19), cref/cref.cbf (1.8), cref/cref.pkg
	  (1.16), cref/cref.sf (1.21), cref/forpkg.scm (1.16),
	  cref/make.scm (1.34), cref/mset.scm (1.7), cref/object.scm
	  (1.19), cref/redpkg.scm (1.34), cref/toplev.scm (1.30),
	  cref/triv.pkg (1.13), edwin/Clean.sh (1.17), edwin/abbrev.scm
	  (1.13), edwin/ansi.scm (1.13), edwin/argred.scm (1.39),
	  edwin/artdebug.scm (1.39), edwin/autold.scm (1.71),
	  edwin/autosv.scm (1.40), edwin/basic.scm (1.148), edwin/bios.scm
	  (1.10), edwin/bufcom.scm (1.113), edwin/buffer.scm (1.197),
	  edwin/buffrm.scm (1.66), edwin/bufinp.scm (1.17),
	  edwin/bufmnu.scm (1.137), edwin/bufout.scm (1.20),
	  edwin/bufset.scm (1.18), edwin/bufwfs.scm (1.26),
	  edwin/bufwin.scm (1.320), edwin/bufwiu.scm (1.41),
	  edwin/bufwmc.scm (1.24), edwin/c-mode.scm (1.66),
	  edwin/calias.scm (1.36), edwin/cinden.scm (1.26), edwin/class.scm
	  (1.78), edwin/clscon.scm (1.17), edwin/clsmac.scm (1.16),
	  edwin/comatch.scm (1.10), edwin/comhst.scm (1.12),
	  edwin/comint.scm (1.35), edwin/comman.scm (1.92),
	  edwin/compile.scm (1.20), edwin/comred.scm (1.129),
	  edwin/comtab.scm (1.78), edwin/comwin.scm (1.153),
	  edwin/curren.scm (1.151), edwin/dabbrev.scm (1.10),
	  edwin/debian-changelog.scm (1.12), edwin/debug.scm (1.73),
	  edwin/debuge.scm (1.62), edwin/decls.scm (1.83), edwin/dired.scm
	  (1.203), edwin/diros2.scm (1.10), edwin/dirunx.scm (1.19),
	  edwin/dirw32.scm (1.10), edwin/display.scm (1.13),
	  edwin/docstr.scm (1.10), edwin/dos.scm (1.59), edwin/doscom.scm
	  (1.9), edwin/dosfile.scm (1.48), edwin/dosproc.scm (1.15),
	  edwin/dosshell.scm (1.11), edwin/ed-ffi.scm (1.59),
	  edwin/editor.scm (1.266), edwin/edtfrm.scm (1.98),
	  edwin/edtstr.scm (1.36), edwin/edwin.cbf (1.9), edwin/edwin.ldr
	  (1.81), edwin/edwin.pkg (1.304), edwin/edwin.sf (1.38),
	  edwin/evlcom.scm (1.77), edwin/eystep.scm (1.12),
	  edwin/filcom.scm (1.230), edwin/fileio.scm (1.173),
	  edwin/fill.scm (1.76), edwin/grpops.scm (1.35), edwin/hlpcom.scm
	  (1.132), edwin/htmlmode.scm (1.17), edwin/image.scm (1.144),
	  edwin/info.scm (1.144), edwin/input.scm (1.108), edwin/intmod.scm
	  (1.129), edwin/iserch.scm (1.29), edwin/javamode.scm (1.17),
	  edwin/key-w32.scm (1.9), edwin/key-x11.scm (1.11),
	  edwin/keymap.scm (1.23), edwin/keyparse.scm (1.10),
	  edwin/kilcom.scm (1.78), edwin/kmacro.scm (1.51),
	  edwin/lincom.scm (1.130), edwin/linden.scm (1.135),
	  edwin/loadef.scm (1.53), edwin/lspcom.scm (1.167),
	  edwin/macros.scm (1.82), edwin/make.scm (3.125), edwin/malias.scm
	  (1.13), edwin/manual.scm (1.22), edwin/midas.scm (1.28),
	  edwin/modefs.scm (1.170), edwin/modes.scm (1.41),
	  edwin/modlin.scm (1.29), edwin/modwin.scm (1.48),
	  edwin/motcom.scm (1.55), edwin/motion.scm (1.94),
	  edwin/mousecom.scm (1.11), edwin/nntp.scm (1.37),
	  edwin/notify.scm (1.27), edwin/nvector.scm (1.14),
	  edwin/occur.scm (1.14), edwin/os2.scm (1.57), edwin/os2com.scm
	  (1.11), edwin/os2term.scm (1.30), edwin/outline.scm (1.15),
	  edwin/pasmod.scm (1.57), edwin/paths.scm (1.23), edwin/print.scm
	  (1.26), edwin/process.scm (1.70), edwin/prompt.scm (1.205),
	  edwin/pwedit.scm (1.15), edwin/pwparse.scm (1.7),
	  edwin/rcsparse.scm (1.9), edwin/reccom.scm (1.20),
	  edwin/regcom.scm (1.28), edwin/regexp.scm (1.87),
	  edwin/regops.scm (1.94), edwin/rename.scm (1.14),
	  edwin/replaz.scm (1.86), edwin/rfc822.scm (3.10), edwin/ring.scm
	  (1.18), edwin/rmail.scm (1.79), edwin/rmailsrt.scm (1.19),
	  edwin/rmailsum.scm (1.42), edwin/schmod.scm (1.78),
	  edwin/scrcom.scm (1.14), edwin/screen.scm (1.125),
	  edwin/search.scm (1.163), edwin/sendmail.scm (1.93),
	  edwin/sercom.scm (1.71), edwin/shell.scm (1.29), edwin/simple.scm
	  (1.60), edwin/snr.scm (1.70), edwin/sort.scm (1.14),
	  edwin/strpad.scm (1.14), edwin/strtab.scm (1.53),
	  edwin/struct.scm (1.105), edwin/syntax.scm (1.98),
	  edwin/tagutl.scm (1.66), edwin/techinfo.scm (1.11),
	  edwin/telnet.scm (1.20), edwin/termcap.scm (1.12),
	  edwin/texcom.scm (1.52), edwin/things.scm (1.94),
	  edwin/tparse.scm (1.81), edwin/tterm.scm (1.46), edwin/tximod.scm
	  (1.34), edwin/txtprp.scm (1.29), edwin/undo.scm (1.69),
	  edwin/unix.scm (1.124), edwin/utils.scm (1.63), edwin/utlwin.scm
	  (1.66), edwin/vc.scm (1.112), edwin/verilog.scm (1.16),
	  edwin/vhdl.scm (1.15), edwin/webster.scm (1.12), edwin/win32.scm
	  (1.22), edwin/win32com.scm (1.14), edwin/wincom.scm (1.139),
	  edwin/window.scm (1.166), edwin/winout.scm (1.21),
	  edwin/winren.scm (1.12), edwin/xcom.scm (1.29), edwin/xform.scm
	  (1.18), edwin/xmodef.scm (1.9), edwin/xterm.scm (1.82),
	  etc/Clean.sh (1.25), etc/Setup.sh (1.16), etc/Stage.sh (1.9),
	  etc/Tags.sh (1.7), etc/build-bands.sh (1.14),
	  etc/build-boot-compiler.sh (1.4), etc/c-bundle.sh (1.7),
	  etc/c-compile.sh (1.9), etc/c-prepare.sh (1.11),
	  etc/compile-boot-compiler.sh (1.3), etc/compile.scm (1.28),
	  etc/compile.sh (1.15), etc/create-makefiles.sh (1.5),
	  etc/functions.sh (1.11), etc/install-bin-symlinks.sh (1.4),
	  etc/make-in-subdirs.sh (1.2), etc/make-liarc-dist.sh (1.3),
	  etc/make-liarc.sh (1.4), etc/make-native.sh (1.4),
	  etc/native-prepare.sh (1.4), etc/optiondb.scm (1.23),
	  etc/std-makefile-prefix (1.4), etc/utilities.scm (1.9),
	  imail/compile.scm (1.25), imail/ed-ffi.scm (1.26),
	  imail/imail-browser.scm (1.15), imail/imail-core.scm (1.166),
	  imail/imail-file.scm (1.93), imail/imail-imap.scm (1.215),
	  imail/imail-rmail.scm (1.77), imail/imail-summary.scm (1.56),
	  imail/imail-top.scm (1.302), imail/imail-umail.scm (1.57),
	  imail/imail-util.scm (1.51), imail/imail.pkg (1.104),
	  imail/imap-response.scm (1.53), imail/imap-syntax.scm (1.24),
	  imail/load.scm (1.51), imail/print.sh (1.14), microcode/Clean.sh
	  (1.9), microcode/Setup.sh (1.13), microcode/artutl.c (1.22),
	  microcode/avltree.c (1.12), microcode/avltree.h (1.11),
	  microcode/bignmint.h (1.12), microcode/bignum.c (9.60),
	  microcode/bignum.h (9.37), microcode/bigprm.c (1.12),
	  microcode/bitstr.c (9.70), microcode/bitstr.h (1.16),
	  microcode/bkpt.c (9.38), microcode/bkpt.h (9.40),
	  microcode/boot.c (9.130), microcode/char.c (9.39),
	  microcode/cmpgc.h (1.38), microcode/cmpint.c (1.111),
	  microcode/cmpint.h (10.17), microcode/comlin.c (1.16),
	  microcode/comlin.h (1.13), microcode/comutl.c (1.40),
	  microcode/configure.ac (1.60), microcode/confshared.h (11.18),
	  microcode/const.h (9.57), microcode/copyrigh.c (1.9),
	  microcode/critsec.h (1.10), microcode/daemon.c (9.38),
	  microcode/debug.c (9.63), microcode/dfloat.c (1.12),
	  microcode/dstack.h (1.17), microcode/edwin.h (1.16),
	  microcode/error.c (1.14), microcode/errors.h (9.50),
	  microcode/extern.c (9.45), microcode/extern.h (9.71),
	  microcode/extract-liarc-decls.c (9.2), microcode/fasdump.c
	  (9.73), microcode/fasl.c (11.3), microcode/fasl.h (9.46),
	  microcode/fasload.c (9.105), microcode/findprim.c (9.62),
	  microcode/fixnum.c (9.51), microcode/fixobj.h (9.44),
	  microcode/flonum.c (9.49), microcode/gc.h (9.40),
	  microcode/gccode.h (9.64), microcode/gcloop.c (9.55),
	  microcode/gen-nonce.c (1.2), microcode/generic.c (9.45),
	  microcode/history.h (9.38), microcode/hooks.c (9.70),
	  microcode/hppacach.c (1.19), microcode/hppacach.h (1.11),
	  microcode/hppanwca.c (1.10), microcode/hunk.c (9.35),
	  microcode/intern.c (9.68), microcode/interp.c (9.108),
	  microcode/interp.h (9.55), microcode/intext.c (1.11),
	  microcode/intext.h (1.11), microcode/intprm.c (1.16),
	  microcode/intrpt.h (1.28), microcode/liarc-cc.in (1.4),
	  microcode/liarc-ld.in (1.4), microcode/liarc.h (1.33),
	  microcode/list.c (9.39), microcode/lookprm.c (1.25),
	  microcode/lookup.c (9.76), microcode/lookup.h (9.60),
	  microcode/memmag.c (9.78), microcode/memmag.h (1.14),
	  microcode/missing.c (9.39), microcode/mul.c (9.41),
	  microcode/nt.h (1.15), microcode/ntapi.h (1.22),
	  microcode/ntasutl.asm (1.11), microcode/ntenv.c (1.25),
	  microcode/ntfile.c (1.19), microcode/ntfs.c (1.35),
	  microcode/ntfs.h (1.10), microcode/ntgui.c (1.36),
	  microcode/ntgui.h (1.13), microcode/ntio.c (1.36),
	  microcode/ntio.h (1.18), microcode/ntproc.c (1.14),
	  microcode/ntproc.h (1.7), microcode/ntscmlib.h (1.16),
	  microcode/ntscreen.c (1.56), microcode/ntscreen.h (1.27),
	  microcode/ntsig.c (1.29), microcode/ntsock.c (1.23),
	  microcode/ntsys.c (1.15), microcode/ntsys.h (1.13),
	  microcode/ntterm.h (1.9), microcode/nttop.c (1.41),
	  microcode/nttop.h (1.9), microcode/nttrap.c (1.32),
	  microcode/nttrap.h (1.11), microcode/nttterm.c (1.11),
	  microcode/nttty.c (1.14), microcode/object.h (9.66),
	  microcode/obstack.c (1.11), microcode/obstack.h (1.17),
	  microcode/option.c (1.66), microcode/option.h (1.20),
	  microcode/os.h (1.14), microcode/os2.c (1.15), microcode/os2.h
	  (1.14), microcode/os2api.h (1.17), microcode/os2conio.c (1.15),
	  microcode/os2cthrd.c (1.15), microcode/os2cthrd.h (1.12),
	  microcode/os2ctty.c (1.9), microcode/os2ctty.h (1.7),
	  microcode/os2env.c (1.20), microcode/os2file.c (1.8),
	  microcode/os2fs.c (1.20), microcode/os2io.c (1.14),
	  microcode/os2io.h (1.9), microcode/os2msg.c (1.21),
	  microcode/os2msg.h (1.22), microcode/os2pipe.c (1.13),
	  microcode/os2pm.c (1.38), microcode/os2pm.h (1.18),
	  microcode/os2pm.scm (1.19), microcode/os2pmcon.c (1.35),
	  microcode/os2pmcon.h (1.9), microcode/os2pmcon.rc (1.10),
	  microcode/os2proc.c (1.13), microcode/os2proc.h (1.7),
	  microcode/os2sock.c (1.23), microcode/os2term.c (1.10),
	  microcode/os2thrd.c (1.11), microcode/os2thrd.h (1.9),
	  microcode/os2top.c (1.27), microcode/os2tty.c (1.8),
	  microcode/os2xcpt.c (1.20), microcode/osctty.h (1.10),
	  microcode/osenv.h (1.16), microcode/osfile.h (1.10),
	  microcode/osfs.h (1.16), microcode/osio.h (1.24),
	  microcode/osproc.h (1.17), microcode/ospty.h (1.10),
	  microcode/osscheme.c (1.19), microcode/osscheme.h (1.18),
	  microcode/ossig.h (1.9), microcode/osterm.h (1.17),
	  microcode/ostop.h (1.11), microcode/ostty.c (1.10),
	  microcode/ostty.h (1.11), microcode/outf.c (1.19),
	  microcode/outf.h (1.11), microcode/prbfish.c (1.18),
	  microcode/prdb4.c (1.10), microcode/prdb4.scm (1.2),
	  microcode/prename.h (1.14), microcode/prgdbm.c (1.12),
	  microcode/prim.c (9.50), microcode/prim.h (9.54),
	  microcode/prims.h (9.58), microcode/primutl.c (9.85),
	  microcode/prmcrypt.c (1.11), microcode/prmd5.c (1.13),
	  microcode/prmhash.c (11.13), microcode/prntenv.c (1.17),
	  microcode/prntfs.c (1.23), microcode/prntio.c (1.19),
	  microcode/pros2fs.c (1.24), microcode/pros2io.c (1.17),
	  microcode/pros2pm.c (1.28), microcode/prosenv.c (1.24),
	  microcode/prosfile.c (1.16), microcode/prosfs.c (1.24),
	  microcode/prosio.c (1.30), microcode/prosproc.c (1.27),
	  microcode/prospty.c (1.11), microcode/prosterm.c (1.22),
	  microcode/prostty.c (1.14), microcode/prpgsql.c (1.15),
	  microcode/pruxdld.c (1.26), microcode/pruxenv.c (1.28),
	  microcode/pruxfs.c (9.63), microcode/pruxio.c (1.14),
	  microcode/pruxsock.c (1.29), microcode/ptrvec.c (1.10),
	  microcode/purify.c (9.69), microcode/purutl.c (9.58),
	  microcode/regex.c (1.26), microcode/regex.h (1.13),
	  microcode/returns.h (9.49), microcode/rgxprim.c (1.20),
	  microcode/sample.c (9.32), microcode/scheme.h (9.46),
	  microcode/scode.h (9.33), microcode/sdata.h (9.46),
	  microcode/stack.h (9.48), microcode/stackops.h (11.5),
	  microcode/step.c (9.43), microcode/storage.c (9.64),
	  microcode/string.c (9.56), microcode/svm1-defns.h (11.2),
	  microcode/svm1-interp.c (11.2), microcode/syntax.c (1.40),
	  microcode/syntax.h (1.18), microcode/syscall.h (1.23),
	  microcode/sysprim.c (9.56), microcode/term.c (1.25),
	  microcode/termcap.c (1.11), microcode/terminfo.c (1.10),
	  microcode/tparam.c (1.11), microcode/transact.c (1.11),
	  microcode/trap.h (9.55), microcode/tterm.c (1.22),
	  microcode/types.h (9.44), microcode/unstackify.c (11.7),
	  microcode/usrdef.h (9.50), microcode/utabmd.scm (9.95),
	  microcode/utabmd.sh (1.11), microcode/utils.c (9.92),
	  microcode/ux.c (1.35), microcode/ux.h (1.88), microcode/uxctty.c
	  (1.20), microcode/uxenv.c (1.27), microcode/uxfile.c (1.17),
	  microcode/uxfs.c (1.32), microcode/uxio.c (1.59),
	  microcode/uxio.h (1.11), microcode/uxproc.c (1.37),
	  microcode/uxproc.h (1.11), microcode/uxselect.h (1.12),
	  microcode/uxsig.c (1.50), microcode/uxsig.h (1.14),
	  microcode/uxsock.c (1.37), microcode/uxsock.h (1.17),
	  microcode/uxterm.c (1.36), microcode/uxterm.h (1.11),
	  microcode/uxtop.c (1.39), microcode/uxtop.h (1.9),
	  microcode/uxtrap.c (1.47), microcode/uxtrap.h (1.42),
	  microcode/uxtty.c (1.17), microcode/uxutil.c (1.13),
	  microcode/uxutil.h (1.9), microcode/vector.c (9.46),
	  microcode/wind.c (1.13), microcode/winder.h (9.32),
	  microcode/x11.h (1.25), microcode/x11base.c (1.97),
	  microcode/x11color.c (1.11), microcode/x11graph.c (1.47),
	  microcode/x11term.c (1.36), microcode/xdebug.c (9.41),
	  microcode/cmpauxmd/alpha.m4 (1.4), microcode/cmpauxmd/asmcvt.c
	  (1.7), microcode/cmpauxmd/c.c (1.25), microcode/cmpauxmd/hppa.m4
	  (1.45), microcode/cmpauxmd/i386.m4 (1.69),
	  microcode/cmpauxmd/m4-dos (1.7), microcode/cmpauxmd/makefile
	  (1.13), microcode/cmpauxmd/mc68k.m4 (1.33),
	  microcode/cmpauxmd/mips.m4 (1.21), microcode/cmpauxmd/vax.m4
	  (1.10), microcode/cmpintmd/alpha.h (1.10),
	  microcode/cmpintmd/c-config.h (1.3), microcode/cmpintmd/c.c
	  (1.3), microcode/cmpintmd/c.h (1.15), microcode/cmpintmd/hppa.h
	  (1.58), microcode/cmpintmd/i386-config.h (1.3),
	  microcode/cmpintmd/i386.c (1.3), microcode/cmpintmd/i386.h
	  (1.42), microcode/cmpintmd/mc68k.h (1.42),
	  microcode/cmpintmd/mips.h (1.29),
	  microcode/cmpintmd/none-config.h (1.3), microcode/cmpintmd/none.c
	  (1.3), microcode/cmpintmd/none.h (1.4),
	  microcode/cmpintmd/svm1-config.h (1.3), microcode/cmpintmd/svm1.c
	  (1.3), microcode/cmpintmd/svm1.h (1.3), microcode/cmpintmd/vax.h
	  (1.15), microcode/makegen/Makefile.in.in (1.64),
	  microcode/makegen/bundles-liarc.scm (1.6),
	  microcode/makegen/dirs-liarc.scm (1.4),
	  microcode/makegen/files-core.scm (1.8),
	  microcode/makegen/files-optional.scm (1.10),
	  microcode/makegen/files-os-prim.scm (1.7),
	  microcode/makegen/files-other.scm (1.10),
	  microcode/makegen/files-unix.scm (1.7),
	  microcode/makegen/liarc-base-rules (1.6), microcode/makegen/m4.sh
	  (1.7), microcode/makegen/makegen.scm (1.25),
	  microcode/makegen/makeinit.sh (1.18),
	  microcode/makegen/pkds-liarc.scm (1.2),
	  microcode/ntutl/bch-p-nt.lst (1.11), microcode/ntutl/config.bat
	  (1.9), microcode/ntutl/config.h (1.16), microcode/ntutl/makefile
	  (1.34), microcode/ntutl/makefile.wcc (1.26),
	  microcode/ntutl/scheme16.c (1.17), microcode/ntutl/scheme16.mak
	  (1.8), microcode/ntutl/scheme31.c (1.16),
	  microcode/ntutl/scheme32.c (1.23), microcode/ntutl/scm-p-nt.lst
	  (1.11), microcode/ntutl/setenv.bat (1.4),
	  microcode/ntutl/wconfig.bat (1.7), microcode/os2utl/config.cmd
	  (1.7), microcode/os2utl/config.h (1.14),
	  microcode/os2utl/makefile (1.20), microcode/os2utl/makefile.cmn
	  (1.19), microcode/os2utl/makefile.emx (1.14),
	  microcode/os2utl/makefile.gcc (1.13),
	  microcode/os2utl/makefile.vac (1.13),
	  microcode/os2utl/makefile.wcc (1.14),
	  microcode/os2utl/mkos2pm.scm (1.7), pcsample/load.scm (1.12),
	  pcsample/pcs.cbf (1.8), pcsample/pcs.pkg (1.8), pcsample/pcs.sf
	  (1.8), pcsample/pcsample.c (1.11), pcsample/pcsample.scm (1.9),
	  pcsample/pcsboot.scm (1.7), pcsample/pcscobl.c (1.7),
	  pcsample/pcscobl.scm (1.8), pcsample/pcsdisp.scm (1.9),
	  pcsample/pcsdld.c (1.10), pcsample/pcsintrp.scm (1.7),
	  pcsample/pcsiproc.c (1.7), pcsample/pcsiproc.scm (1.7),
	  pcsample/pribinut.scm (1.7), rcs/compile.scm (1.9),
	  rcs/format.scm (1.8), rcs/load.scm (1.10), rcs/logmer.scm (1.32),
	  rcs/mklogs.scm (1.27), rcs/nparse.scm (1.8), rcs/object.scm
	  (1.11), rcs/rcs.pkg (1.12), runtime/advice.scm (14.24),
	  runtime/apply.scm (1.10), runtime/apropos.scm (1.10),
	  runtime/arith.scm (1.66), runtime/berkeley-db.scm (1.7),
	  runtime/bitstr.scm (14.9), runtime/blowfish.scm (1.29),
	  runtime/boole.scm (14.10), runtime/boot.scm (14.29),
	  runtime/char.scm (14.34), runtime/chrset.scm (14.23),
	  runtime/chrsyn.scm (1.11), runtime/codwlk.scm (14.9),
	  runtime/conpar.scm (14.52), runtime/contin.scm (14.18),
	  runtime/cpoint.scm (14.13), runtime/cpress.scm (1.17),
	  runtime/crypto.scm (14.21), runtime/datime.scm (14.44),
	  runtime/dbgcmd.scm (14.21), runtime/dbgutl.scm (14.28),
	  runtime/debug.scm (14.50), runtime/defstr.scm (14.58),
	  runtime/dosdir.scm (1.15), runtime/dosprm.scm (1.50),
	  runtime/dosproc.scm (1.8), runtime/dospth.scm (1.47),
	  runtime/dragon4.scm (1.21), runtime/ed-ffi.scm (1.40),
	  runtime/emacs.scm (14.43), runtime/equals.scm (14.15),
	  runtime/error.scm (14.74), runtime/events.scm (14.10),
	  runtime/fileio.scm (1.35), runtime/fixart.scm (1.18),
	  runtime/format.scm (14.12), runtime/framex.scm (14.24),
	  runtime/gc.scm (14.27), runtime/gcdemn.scm (14.14),
	  runtime/gcfinal.scm (14.13), runtime/gcnote.scm (14.21),
	  runtime/gcstat.scm (14.11), runtime/gdatab.scm (14.12),
	  runtime/gdbm.scm (1.11), runtime/gencache.scm (1.8),
	  runtime/geneqht.scm (1.7), runtime/generic.scm (1.17),
	  runtime/genio.scm (1.57), runtime/genmult.scm (1.9),
	  runtime/gensym.scm (14.11), runtime/gentag.scm (1.9),
	  runtime/global.scm (14.81), runtime/graphics.scm (1.27),
	  runtime/hash.scm (14.13), runtime/hashtb.scm (1.38),
	  runtime/histry.scm (14.11), runtime/infstr.scm (1.21),
	  runtime/infutl.scm (1.74), runtime/input.scm (14.39),
	  runtime/intrpt.scm (14.30), runtime/io.scm (14.88),
	  runtime/krypt.scm (1.17), runtime/kryptdum.scm (1.7),
	  runtime/lambda.scm (14.22), runtime/lambdx.scm (14.15),
	  runtime/list.scm (14.57), runtime/load.scm (14.102),
	  runtime/make.scm (14.112), runtime/mime-codec.scm (14.20),
	  runtime/mit-syntax.scm (14.32), runtime/msort.scm (14.14),
	  runtime/ntdir.scm (1.7), runtime/ntprm.scm (1.51),
	  runtime/numint.scm (1.11), runtime/numpar.scm (14.24),
	  runtime/option.scm (14.58), runtime/optiondb.scm (1.21),
	  runtime/ordvec.scm (1.8), runtime/os2ctype.scm (1.9),
	  runtime/os2dir.scm (1.10), runtime/os2graph.scm (1.28),
	  runtime/os2prm.scm (1.57), runtime/os2winp.scm (1.23),
	  runtime/output.scm (14.40), runtime/packag.scm (14.56),
	  runtime/parse.scm (14.70), runtime/parser-buffer.scm (1.21),
	  runtime/partab.scm (14.12), runtime/pathnm.scm (14.54),
	  runtime/pgsql.scm (1.14), runtime/poplat.scm (14.9),
	  runtime/port.scm (1.52), runtime/pp.scm (14.53),
	  runtime/prgcop.scm (1.12), runtime/process.scm (1.35),
	  runtime/prop1d.scm (14.11), runtime/prop2d.scm (14.8),
	  runtime/qsort.scm (14.10), runtime/queue.scm (14.10),
	  runtime/random.scm (14.41), runtime/rbtree.scm (1.12),
	  runtime/record.scm (1.60), runtime/recslot.scm (1.13),
	  runtime/regexp.scm (1.18), runtime/rep.scm (14.71),
	  runtime/rexp.scm (1.28), runtime/rgxcmp.scm (1.129),
	  runtime/runtime.cbf (1.8), runtime/runtime.pkg (14.630),
	  runtime/runtime.sf (14.24), runtime/savres.scm (14.49),
	  runtime/scan.scm (14.12), runtime/scode.scm (14.25),
	  runtime/scomb.scm (14.28), runtime/sdata.scm (14.8),
	  runtime/sfile.scm (14.43), runtime/site.scm.dos (1.19),
	  runtime/site.scm.unix (1.20), runtime/socket.scm (1.33),
	  runtime/srfi-1.scm (1.4), runtime/starbase.scm (1.23),
	  runtime/stream.scm (14.23), runtime/string.scm (14.67),
	  runtime/strnin.scm (14.21), runtime/strott.scm (14.18),
	  runtime/strout.scm (14.29), runtime/symbol.scm (1.25),
	  runtime/syncproc.scm (1.14), runtime/syntactic-closures.scm
	  (14.19), runtime/syntax-check.scm (14.8),
	  runtime/syntax-output.scm (14.15), runtime/syntax-rules.scm
	  (14.12), runtime/syntax-transforms.scm (14.10),
	  runtime/sysclk.scm (14.9), runtime/sysmac.scm (14.17),
	  runtime/system.scm (14.19), runtime/thread.scm (1.48),
	  runtime/tscript.scm (1.12), runtime/ttyio.scm (1.28),
	  runtime/tvector.scm (1.8), runtime/udata.scm (14.26),
	  runtime/uenvir.scm (14.63), runtime/uerror.scm (14.58),
	  runtime/unicode.scm (1.36), runtime/unpars.scm (14.69),
	  runtime/unsyn.scm (14.35), runtime/unxdir.scm (14.17),
	  runtime/unxprm.scm (1.75), runtime/unxpth.scm (14.35),
	  runtime/uproc.scm (1.22), runtime/url.scm (1.53),
	  runtime/urtrap.scm (14.20), runtime/usrint.scm (1.28),
	  runtime/utabs.scm (14.27), runtime/vector.scm (14.28),
	  runtime/version.scm (14.224), runtime/where.scm (14.17),
	  runtime/win32-registry.scm (1.4), runtime/wind.scm (14.14),
	  runtime/wrkdir.scm (14.14), runtime/wttree.scm (1.15),
	  runtime/x11graph.scm (1.61), runtime/xeval.scm (1.15),
	  runtime/ystep.scm (1.10), runtime-check/Clean.sh (1.9),
	  runtime-check/Setup.sh (1.12), runtime-check/runtime.cbf (1.6),
	  sf/butils.scm (4.18), sf/cgen.scm (4.11), sf/chtype.scm (4.9),
	  sf/copy.scm (4.11), sf/emodel.scm (4.9), sf/free.scm (4.9),
	  sf/gconst.scm (4.37), sf/gimprt.scm (4.7), sf/lsets.scm (4.8),
	  sf/make.scm (4.50), sf/object.scm (4.22), sf/pardec.scm (4.19),
	  sf/pthmap.scm (4.10), sf/reduct.scm (4.15), sf/sf.cbf (1.8),
	  sf/sf.pkg (4.22), sf/sf.sf (4.17), sf/subst.scm (4.23),
	  sf/table.scm (4.10), sf/tables.scm (4.8), sf/toplev.scm (4.33),
	  sf/usicon.scm (4.11), sf/usiexp.scm (4.49), sf/xform.scm (4.17),
	  sicp/compat.scm (1.14), sicp/genenv.scm (1.8), sicp/graphics.scm
	  (1.10), sicp/sbuild.scm (1.11), sicp/stream.scm (1.7),
	  sicp/strmac.scm (1.8), sicp/studen.scm (1.17), sos/class.scm
	  (1.21), sos/compile.scm (1.12), sos/ed-ffi.scm (1.8),
	  sos/instance.scm (1.20), sos/load.scm (1.22), sos/macros.scm
	  (1.22), sos/method.scm (1.19), sos/microbench.scm (1.8),
	  sos/printer.scm (1.8), sos/slot.scm (1.13), sos/sos.pkg (1.16),
	  ssp/compile.scm (1.10), ssp/expenv.scm (1.4), ssp/load.scm
	  (1.12), ssp/mod-lisp.scm (1.38), ssp/ssp.pkg (1.25),
	  ssp/xhtml-expander.scm (1.16), ssp/xmlrpc.scm (1.16),
	  star-parser/compile.scm (1.12), star-parser/ed-ffi.scm (1.11),
	  star-parser/load.scm (1.24), star-parser/matcher.scm (1.38),
	  star-parser/parser.pkg (1.25), star-parser/parser.scm (1.39),
	  star-parser/shared.scm (1.35), star-parser/test-parser.scm
	  (1.10), swat/scheme/swat.sf (1.9), wabbit/load.scm (1.9),
	  wabbit/wabbit.cbf (1.7), wabbit/wabbit.pkg (1.7),
	  wabbit/wabbit.scm (1.7), wabbit/wabbit.sf (1.9),
	  win32/clipbrd.scm (1.11), win32/dib.scm (1.11),
	  win32/ffimacro.scm (1.13), win32/graphics.scm (1.23),
	  win32/make.scm (1.20), win32/module.scm (1.9), win32/protect.scm
	  (1.8), win32/wf_user.scm (1.15), win32/win32.cbf (1.8),
	  win32/win32.pkg (1.20), win32/win32.sf (1.15), win32/win_ffi.scm
	  (1.17), win32/wingdi.scm (1.8), win32/winnt.scm (1.8),
	  win32/winuser.scm (1.8), win32/wt_user.scm (1.11),
	  win32/dibutils/dibutils.c (1.9), win32/dibutils/dibutils.def
	  (1.8), win32/dibutils/dibutils.h (1.9),
	  win32/dibutils/makefile.msc (1.9), win32/dibutils/makefile.wcc
	  (1.9), xdoc/compile.scm (1.5), xdoc/db.scm (1.8), xdoc/load.scm
	  (1.9), xdoc/validate-xdoc.scm (1.4), xdoc/xdoc.pkg (1.9),
	  xdoc/xdoc.scm (1.7), xml/compile.scm (1.21), xml/ed-ffi.scm
	  (1.13), xml/load.scm (1.23), xml/parser-macro.scm (1.12),
	  xml/rdf-nt.scm (1.15), xml/rdf-struct.scm (1.35),
	  xml/test-parser.scm (1.16), xml/test-turtle.scm (1.5),
	  xml/turtle.scm (1.43), xml/xhtml-entities.scm (1.7),
	  xml/xhtml.scm (1.24), xml/xml-chars.scm (1.11), xml/xml-names.scm
	  (1.19), xml/xml-output.scm (1.43), xml/xml-parser.scm (1.78),
	  xml/xml-rpc.scm (1.11), xml/xml-struct.scm (1.59), xml/xml.pkg
	  (1.102), xml/xpath.scm (1.7):

	Update copyright for 2008.

2008-01-30 09:33  Chris Hanson <org/chris-hanson/cph>

	* runtime/thread.scm (1.47):

	Optimize handling of #F events, so that they are added to the event
	queue only when necessary.

2008-01-30 03:02  Chris Hanson <org/chris-hanson/cph>

	* runtime/thread.scm (1.46):

	Fix bug in previous change.  Repaginate.

2008-01-30 02:50  Chris Hanson <org/chris-hanson/cph>

	* edwin/editor.scm (1.265):

	In INFERIOR-THREAD-OUTPUT!, signal one thread event, then no more
	until after this batch of output is accepted.  The previous behavior
	was causing significant delays when the inferior thread generated a
	lot of output.

2008-01-30 02:45  Chris Hanson <org/chris-hanson/cph>

	* runtime/thread.scm (1.45):

	Make sure %MAYBE-TOGGLE-THREAD-TIMER is called at every point where it
	might be needed.

2008-01-29 01:09  Chris Hanson <org/chris-hanson/cph>

	* microcode/: prdb4.c (1.9), prdb4.scm (1.1):

	Update RC-code tables for version 4.6.  Implement Scheme program to
	generate the tables automatically.

2008-01-28 22:12  Chris Hanson <org/chris-hanson/cph>

	* microcode/cmpauxmd/i386.m4 (1.68):

	Eliminate mixed fix/flo cases in binary operations.  These do the
	wrong thing for multiply, so we might as well let the Scheme code
	handle it.

2008-01-28 21:27  Chris Hanson <org/chris-hanson/cph>

	* microcode/confshared.h (11.17):

	Change GCC restriction to be versioned.

2008-01-28 21:26  Chris Hanson <org/chris-hanson/cph>

	* microcode/confshared.h (11.16):

	Oops, older GCC used different "guard" macro name.

2008-01-28 21:21  Chris Hanson <org/chris-hanson/cph>

	* microcode/confshared.h (11.15):

	Add "guard" to prevent use of <stdbool.h> in old versions of GCC.
	Although we don't load that file, it is indirectly loaded by some
	other include files.

2008-01-28 21:01  Chris Hanson <org/chris-hanson/cph>

	* microcode/confshared.h (11.14):

	Eliminate incorrect reference to HAVE__BOOL.

2008-01-28 21:01  Chris Hanson <org/chris-hanson/cph>

	* microcode/interp.h (9.54):

	Eliminate compilation error.

2008-01-27 23:26  Chris Hanson <org/chris-hanson/cph>

	* runtime/list.scm (14.56):

	Change WEAK-LIST->LIST and LIST->WEAK-LIST to use iterative
	algorithms.

2008-01-26 21:25  Chris Hanson <org/chris-hanson/cph>

	* edwin/fileio.scm (1.172):

	When parsing local variables, convert editor errors into failures.

2008-01-22 17:46  Chris Hanson <org/chris-hanson/cph>

	* runtime/thread.scm (1.44):

	Don't hand non-positive values to REAL-TIMER-SET!.  (Thanks Taylor!)

2008-01-14 23:39  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.42):

	Base URI of READ-RDF/TURTLE-FILE should never have a file type.

2008-01-13 22:14  Chris Hanson <org/chris-hanson/cph>

	* runtime/thread.scm (1.43):

	Tweak handling of the thread timer so that it is set only when needed.
	This saves power by avoiding unnecessary interrupts, and additionally
	saves computation.

2008-01-09 14:23  Chris Hanson <org/chris-hanson/cph>

	* edwin/vc.scm (1.111):

	Fix bug: VC-CONTROL-DIRECTORIES must handle shadowing of inherited
	control directories.  In other words, if directory A has a .bzr
	subdirectory, and A/B has a .svn directory, then files in A/B/C
	should ignore the .bzr directory in A.

2008-01-07 09:31  Chris Hanson <org/chris-hanson/cph>

	* edwin/: evlcom.scm (1.76), intmod.scm (1.128):

	Modify handling of EVALUATE-IN-INFERIOR-REPL and RUN-LIGHT so that
	they adapt when SCHEME-ENVIRONMENT is set to a procedure.

2008-01-02 19:30  Chris Hanson <org/chris-hanson/cph>

	* microcode/: ntproc.c (1.13), os2proc.c (1.12), osio.h (1.23),
	  osproc.h (1.16), prosio.c (1.29), prosproc.c (1.26), ux.h (1.87),
	  uxio.c (1.58), uxproc.c (1.36), uxterm.c (1.35):

	Don't allocate tables based on the values of POSIX configuration
	variables.  These values may be undefined, or unreasonably large.
	Instead, allocate small tables and grow them as needed.

2007-12-19 21:49  Chris Hanson <org/chris-hanson/cph>

	* edwin/vc.scm (1.110):

	Rework last change to allow full type-specific mode-line status
	rendering.  Tweak bzr mode-line to be a little clearer.

2007-12-19 20:24  Chris Hanson <org/chris-hanson/cph>

	* edwin/vc.scm (1.109):

	Optimize performance of bzr-controlled buffers.  It turns out that
	"bzr log" is very slow (several seconds on a Core Duo), even with
	"--limit=1".  So disable display of the revision in the mode line, and
	reduce the number of places that need to know the revision.  Also,
	cache the output of "bzr ls", which is also slow-ish.

2007-12-17 22:59  Chris Hanson <org/chris-hanson/cph>

	* edwin/vc.scm (1.108):

	Fix brokenness in previous change: can't pass "." for PATH argument to
	"bzr ls --non-recursive".  Instead pass no PATH arg and it does the
	right thing.  Also: don't forget to quote the filename before passing
	it to RE-STRING-SEARCH-FORWARD.

2007-12-15 20:10  Chris Hanson <org/chris-hanson/cph>

	* edwin/vc.scm (1.107):

	Pass "--non-recursive" when calling "bzr ls", since we don't care
	about files in sub-directories.

2007-12-09 23:24  Chris Hanson <org/chris-hanson/cph>

	* runtime/global.scm (14.80):

	Use notification mechanism for SHOW-TIME.

2007-12-09 01:12  Chris Hanson <org/chris-hanson/cph>

	* runtime/genio.scm (1.56):

	Be more specific that column tracking works only for ASCII graphic
	characters.

2007-12-09 01:09  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.41):

	Improve line breaking to have a more accurate idea where the break
	should go.

2007-12-09 00:53  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.40):

	Change indentation style to put open paren inline, contents indented,
	and close paren unindented.  Change indentation increment from 2 to 4.
	Generate optional trailing ";" in bnodes and "." in subgraphs.  Don't
	automatically indent multiple objects; instead try to break lines
	where needed.  Add space after an unquoted literal, to prevent
	confusion should it be followed by ".".

2007-12-09 00:45  Chris Hanson <org/chris-hanson/cph>

	* runtime/genio.scm (1.55):

	Simplify column tracking: track columns as long as only simple
	characters are used, independent of the port coding.

2007-12-09 00:09  Chris Hanson <org/chris-hanson/cph>

	* xml/: turtle.scm (1.39), xml.pkg (1.101):

	Implement WRITE-RDF/TURTLE-SUBGRAPH.

2007-12-09 00:02  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.38):

	Change WRITE-RDF/TURTLE-TRIPLES so that it doesn't indent before
	initial output and doesn't generate a trailing newline.  Change
	WRITE-RDF/TURTLE-TRIPLES and WRITE-RDF/TURTLE-TRIPLE to preserve their
	initial indentation.

2007-12-08 23:50  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.37):

	Provide abstraction for balanced grouping syntax.

2007-12-08 23:42  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.36):

	Favor use of SRFI-1 procedures.

2007-12-08 13:19  Chris Hanson <org/chris-hanson/cph>

	* microcode/configure.ac (1.59):

	Replace MAC_ARCH hack with more general mechanism to preserve CFLAGS
	when using GCC.

2007-12-04 21:47  Chris Hanson <org/chris-hanson/cph>

	* edwin/vc.scm (1.106):

	Rewrite handling of control directories and master files again.  This
	design is simpler and should be faster.

2007-12-04 00:21  Chris Hanson <org/chris-hanson/cph>

	* edwin/: vc.scm (1.104), vc.scm (1.105):

	Don't search for ".bzr" in parent directories if some other
	version-control system is available for the current directory.

2007-11-26 00:19  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.58), liarc-ld.in (1.3),
	  makegen/Makefile.in.in (1.62), makegen/Makefile.in.in (1.63):

	Fix problem introduced by previous change: argument to
	"-bundle_loader" must always point to the reference binary, but the
	reference must take several different forms for this to work.

2007-11-26 00:15  Chris Hanson <org/chris-hanson/cph>

	* runtime/load.scm (14.101), ssp/xhtml-expander.scm (1.15):

	Revert change to WITH-EVAL-UNIT, which broke building of C back end.
	(Specifically, the reference to "base/make" in
	"compiler/machines/C/make.scm".)

2007-11-25 23:00  Chris Hanson <org/chris-hanson/cph>

	* microcode/debug.c (9.62):

	Fix formatting type error.

2007-11-25 00:24  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.57), makegen/Makefile.in.in (1.61):

	Refine the gcc build flags for Mac OS X.  Target version 10.4 if SDK
	available.

2007-11-03 00:00  Chris Hanson <org/chris-hanson/cph>

	* imail/imail-imap.scm (1.214):

	Fix bug: IMAP-MAILBOX-DELIMITER was using the mailbox name as a key
	into a global table, without considering the server that the mailbox
	resided on.  Consequently there were collisions when multiple servers
	had different delimiters.

2007-11-02 22:57  Chris Hanson <org/chris-hanson/cph>

	* imail/imap-response.scm (1.52):

	Work around bug in Gmail IMAP server.

2007-10-22 00:13  Chris Hanson <org/chris-hanson/cph>

	* edwin/vc.scm (1.103):

	bzr doesn't have a meaningful default-revision method; stub it out.
	Remove unused ERROR? argument from all the default-revision methods.

2007-10-19 13:28  Chris Hanson <org/chris-hanson/cph>

	* edwin/vc.scm (1.102):

	Rework bzr caching to use standard vc cache support.

2007-10-18 11:57  Chris Hanson <org/chris-hanson/cph>

	* edwin/vc.scm (1.101):

	Fix bzr command cache to pay attention to timestamp of workfile.

2007-10-17 14:50  Chris Hanson <org/chris-hanson/cph>

	* edwin/vc.scm (1.100):

	Add support for bzr.

2007-10-12 15:08  Chris Hanson <org/chris-hanson/cph>

	* ssp/mod-lisp.scm (1.37):

	Always parse POST variables, so that alternate content handlers can
	use them.

2007-10-11 22:19  Chris Hanson <org/chris-hanson/cph>

	* ssp/ssp.pkg (1.24):

	Provide DEFINE-MIME-HANDLER and DEFINE-SUBTREE-HANDLER to XHTML
	expanders.

2007-10-11 22:13  Chris Hanson <org/chris-hanson/cph>

	* ssp/xhtml-expander.scm (1.14):

	Eliminate ugly load hack; use WITH-EVAL-UNIT and WITH-LOAD-ENVIRONMENT
	to make loader work right for embedded Scheme code.

2007-10-11 22:12  Chris Hanson <org/chris-hanson/cph>

	* runtime/: load.scm (14.100), rep.scm (14.70), runtime.pkg
	  (14.629):

	Change WITH-EVAL-UNIT to change the current working directory if it is
	given a pathname URI.  Rename SET-CURRENT-LOAD-ENVIRONMENT! and
	WITH-CURRENT-LOAD-ENVIRONMENT to SET-LOAD-ENVIRONMENT! and
	WITH-LOAD-ENVIRONMENT, respectively.

2007-10-11 22:00  Chris Hanson <org/chris-hanson/cph>

	* runtime/: load.scm (14.99), runtime.pkg (14.628):

	Implement WITH-CURRENT-LOAD-ENVIRONMENT.

2007-10-11 21:24  Chris Hanson <org/chris-hanson/cph>

	* xml/: turtle.scm (1.35), xml.pkg (1.100):

	Implement READ-RDF/TURTLE.

2007-10-11 21:08  Chris Hanson <org/chris-hanson/cph>

	* runtime/: load.scm (14.98), rep.scm (14.69), runtime.pkg
	  (14.627):

	Implement CURRENT-LOAD-ENVIRONMENT.

2007-10-09 00:43  Chris Hanson <org/chris-hanson/cph>

	* edwin/: artdebug.scm (1.38), evlcom.scm (1.75):

	Allow scheme-environment variable to be set to a procedure, which is
	called at reference time to compute the environment.

2007-10-09 00:41  Chris Hanson <org/chris-hanson/cph>

	* edwin/schmod.scm (1.77):

	Add indentation rule to override "DEF" prefix for "DEFAULT".

2007-10-09 00:26  Chris Hanson <org/chris-hanson/cph>

	* edwin/buffer.scm (1.196):

	Allow ->BUFFER to accept #!DEFAULT.

2007-10-09 00:20  Chris Hanson <org/chris-hanson/cph>

	* edwin/filcom.scm (1.229):

	Move "bad evaluation environment" message to "evlcom.scm".

2007-10-09 00:14  Chris Hanson <org/chris-hanson/cph>

	* edwin/macros.scm (1.81):

	Fix thinko.

2007-10-09 00:14  Chris Hanson <org/chris-hanson/cph>

	* edwin/comman.scm (1.91):

	Eliminate kludge to work around old DEFAULT-OBJECT? macro.

2007-10-07 23:05  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.34):

	Make port args optional on output procedures.

2007-10-05 16:13  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.33):

	Eliminate INDENTATION argument from WRITE-RDF/TURTLE-TRIPLE.  Fix
	indentation bug in WRITE-GROUP.

2007-09-25 20:25  Taylor R. Campbell <net/mumble/campbell>

	* edwin/xterm.scm (1.81):

	Fix detection of ^G in PREVIEW-EVENT.

2007-09-24 01:22  Taylor R. Campbell <net/mumble/campbell>

	* edwin/nntp.scm (1.36):

	Fix typo in FIND-HEADER: the local variable is named STRING, not TEXT.

2007-09-17 01:07  Chris Hanson <org/chris-hanson/cph>

	* ssp/mod-lisp.scm (1.36):

	Fix bug in handling of URL bindings (thanks Aaron Hsu).  Closes
	savannah #21096.

2007-09-16 22:31  Taylor R. Campbell <net/mumble/campbell>

	* runtime/parse.scm (14.69):

	Omit superfluous octothorpe from error message for illegal boolean
	conditions.

2007-09-14 11:52  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: syscall.h (1.22), uxtop.c (1.38):

	Add support for socket-related errno values.

2007-09-13 09:58  Chris Hanson <org/chris-hanson/cph>

	* runtime/input.scm (14.38):

	Fix READ-CHAR-NO-HANG to account for CHAR-READY? returning #T on EOF.

2007-09-13 08:49  Chris Hanson <org/chris-hanson/cph>

	* compiler/base/toplev.scm (4.76):

	Fix two WNA errors that occur when generating RTL and/or LAP files.

2007-09-12 19:36  Chris Hanson <org/chris-hanson/cph>

	* edwin/: nntp.scm (1.35), webster.scm (1.11):

	Eliminate now-unnecessary definitions of INPUT-PORT/EOF?.

2007-09-12 19:35  Chris Hanson <org/chris-hanson/cph>

	* runtime/: input.scm (14.37), runtime.pkg (14.626):

	Implement INPUT-PORT/EOF?.

2007-09-12 19:32  Chris Hanson <org/chris-hanson/cph>

	* runtime/genio.scm (1.54):

	Return #T from CHAR-READY? when at EOF.

2007-09-10 15:19  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-mime.scm (1.10):

	Clarify multipart handling, and calculate lengths more carefully:
	MESSAGE-LENGTH is supposed to yield the length of the whole message,
	header included, not just the length of its content.

2007-09-10 13:19  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-mime.scm (1.9):

	Fix typo in DEFINE-MIME-MEDIA-PARSER for the case of replacing the
	parser for a specific type/subtype pair: set the cdr of SUB-LEVEL, not
	the cdr of TOP-LEVEL.

2007-09-10 13:18  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-mime.scm (1.8):

	Simplify calculation of octet and line counts.

2007-09-10 12:27  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-file.scm (1.92):

	Update SAVE-RESOURCE method on file folders to reflect six-year-old
	change of status symbol from FOLDER-MODIFIED to CACHE-MODIFIED.

2007-09-10 12:21  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-mime.scm (1.7):

	Fix bug whereby MIME parser for multipart messages would omit text
	from parts with no headers starting from the beginning until the first
	blank line.  Do this by changing MIME:PARSE-PARTS to handle the case
	of properly headerless messages, which begin with an empty line.

2007-09-09 14:48  Taylor R. Campbell <net/mumble/campbell>

	* imail/imap-response.scm (1.51):

	In READ-CHAR-INTERNAL and READ-STRING-INTERNAL, write the result of
	READ-STRING to the IMAP transcript port only if it is not an EOF
	object.

2007-09-09 12:51  Taylor R. Campbell <net/mumble/campbell>

	* edwin/edwin.pkg (1.303):

	Export Edwin variable MAIL-RELAY-HOST from (EDWIN SENDMAIL) package so
	that it can actually be set in init files.

2007-09-09 12:36  Taylor R. Campbell <net/mumble/campbell>

	* edwin/sendmail.scm (1.92):

	New Edwin variable MAIL-RELAY-SERVICE, to specify the service on which
	to connect to the mail relay host.

2007-09-08 23:09  Chris Hanson <org/chris-hanson/cph>

	* runtime/parse.scm (14.68):

	Change error message generated when an unmatched close parenthesis or
	bracket is encountered.

2007-09-03 23:35  Taylor R. Campbell <net/mumble/campbell>

	* compiler/configure (1.19), etc/Setup.sh (1.15), etc/functions.sh
	  (1.10), etc/install-bin-symlinks.sh (1.3), microcode/configure.ac
	  (1.56), microcode/confshared.h (11.13), microcode/unstackify.c
	  (11.6), microcode/ux.h (1.86), microcode/uxtop.c (1.37),
	  microcode/uxtrap.h (1.41):

	Revive SPARC Solaris support:

	- Do canonical host checking earlier in `microcode/configure.ac', so
	  that OS-dependent customization can insert options to `LDFLAGS' for
	  the configuration tests.  Add `-lsocket -lnsl' to `LDFLAGS' in
	  Solaris; this is necessary to get at sockets, `gethostbyname', &c.

	- Introduce a temporary variable `GNU_LD' in `microcode/configure.ac',
	  set among the OS-dependent customization, which determines whether or
	  not the GNU-specific `-export-dynamic' option should be passed to the
	  C linker.  Solaris's `ld' will see that option as `-e' with an
	  argument of `xport-dynamic', and fail; it is safe to omit the option
	  altogether, however, because the default (`-z record') is the
	  behaviour we want.

	- Use `-f' and `-d' instead of `-e' in `test' in shell scripts.  `test'
	  in Solaris's `sh' does not recognize `-e'.

	- Use a horrid, horrid, hack to imitate the non-standard `-ef' in
	  `test'.  If there is a better (preferably standard, but widely
	  supported is good enough) way to do this than grovelling through the
	  output of `ls -l', please tell me!

	- Fix the emulation of <stdbool.h> in "confshared.h".  Solaris needs
	  this because if `-std=c99' is not passed to GCC, there is no
	  <stdbool.h>, but if `-std=c99' is passed to GCC, <ucontext.h>
	  elsewhere makes GCC choke.

	- Use "config.h" in `unstackify.c', not <stdbool.h>.

	- Use the `__sparc' cpp macro throughout the microcode to test for the
	  SPARC, not `sparc'.

	- Update "uxtrap.h" to include support for SPARC Solaris.

2007-08-24 09:19  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: configure.ac (1.55), ux.h (1.85), uxtrap.h (1.40):

	Implement preliminary support for Dragonfly BSD, thanks to Francis Gudin.

2007-08-22 13:26  Chris Hanson <org/chris-hanson/cph>

	* edwin/vc.scm (1.99):

	Don't call UNIX/CURRENT-UID on non-unix systems.

2007-08-16 23:42  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.32):

	Eliminate spurious newlines and indentation from
	WRITE-RDF/TURTLE-TRIPLE.

2007-08-16 23:41  Chris Hanson <org/chris-hanson/cph>

	* xml/rdf-struct.scm (1.34):

	When merging prefix registries, ignore ":" prefixes.

2007-08-16 22:34  Chris Hanson <org/chris-hanson/cph>

	* edwin/intmod.scm (1.127):

	Implement BYTES-WRITTEN operation for REPL buffer ports.

2007-08-16 10:42  Chris Hanson <org/chris-hanson/cph>

	* xml/: turtle.scm (1.31), xml.pkg (1.99):

	Implement WRITE-RDF/TURTLE-TRIPLE.

2007-08-13 22:57  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.30):

	Don't inline the first part of a pgroup unless the subject is inline
	(which it might not be if it's a graph).  Do inline if there's only
	one pgroup and the object is linear.  Suppress final dot in subgraph,
	and don't add extra blank lines between triple groups.

2007-08-13 22:18  Chris Hanson <org/chris-hanson/cph>

	* xml/: rdf-struct.scm (1.33), turtle.scm (1.29):

	When parsing, record null prefix in prefix registry.  Fix several
	problems in Turtle output, caused by introduction of subgraphs.

2007-08-13 21:05  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.28):

	In sub-graph notation, final dot is optional.

2007-08-13 13:17  Chris Hanson <org/chris-hanson/cph>

	* xml/: rdf-struct.scm (1.32), xml.pkg (1.98):

	Add predicates and guarantees to validate components of a triple.

2007-08-11 23:30  Chris Hanson <org/chris-hanson/cph>

	* microcode/interp.c (9.107):

	Do _not_ do SAVE_CONT after returning from compiled code.  Assume that
	the compiled-code interface has left the stack in the correct state.

2007-08-10 15:26  Chris Hanson <org/chris-hanson/cph>

	* xml/: rdf-struct.scm (1.31), xml.pkg (1.97):

	Add EVENT:NEW-RDF-GRAPH.

2007-08-10 15:08  Chris Hanson <org/chris-hanson/cph>

	* runtime/string.scm (14.66):

	Allow URIs to be given to STRING and UTF8-STRING.

2007-08-10 15:07  Chris Hanson <org/chris-hanson/cph>

	* runtime/: runtime.pkg (14.625), url.scm (1.52):

	Implement URI-PREFIX.

2007-08-10 15:01  Chris Hanson <org/chris-hanson/cph>

	* runtime/char.scm (14.33):

	Fix thinko in GUARANTEE-8-BIT-CHAR.

2007-08-10 14:09  Chris Hanson <org/chris-hanson/cph>

	* runtime/char.scm (14.32):

	Fix typo.

2007-08-10 14:09  Chris Hanson <org/chris-hanson/cph>

	* runtime/runtime.pkg (14.624):

	Oops... remove old binding of SYMBOL-APPEND.

2007-08-10 14:08  Chris Hanson <org/chris-hanson/cph>

	* runtime/: runtime.pkg (14.623), symbol.scm (1.24):

	Change SYMBOL to use UTF8-STRING.  Change SYMBOL-APPEND to be an alias
	for SYMBOL.

2007-08-10 14:06  Chris Hanson <org/chris-hanson/cph>

	* runtime/: runtime.pkg (14.622), string.scm (14.65):

	Extend STRING to accept a large class of objects, each of which it
	converts to a string.  Implement UTF8-STRING to do the same thing for
	the UTF-8 encoding.

2007-08-10 13:57  Chris Hanson <org/chris-hanson/cph>

	* runtime/: char.scm (14.31), port.scm (1.51), runtime.pkg
	  (14.621):

	Implement 8-BIT-CHAR?.  Move GUARANTEE-8-BIT-CHAR to "char.scm".

2007-08-05 19:57  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.213):

	Handle an empty selector in WRITE-MIME-MESSAGE-BODY-PART on IMAP
	messages by interpreting it as a selector of (TEXT).  This lets IMAIL
	save MIME entities that the whole message comprises, such as S/MIME
	application/pkcs7-mime messages.

2007-08-05 04:26  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-mime.scm (1.6):

	Clarify the method of WRITE-MIME-MESSAGE-BODY-PART specialized on
	<MESSAGE> instances, and fix two bugs in it:

	1. Message part selectors may be empty lists, in which case the whole
	   message body is meant; this may arise, for instance, when a MIME
	   message is sent with a wholly unrecognize Content-Type (like
	   application/pkcs7-mime), and the user tries to save the MIME entity
	   that represents the whole message to a file.

	2. WRITE-HEADER-FIELDS takes a list of header field strings, not a
	   message.  How this never arose, I don't know.

2007-08-05 04:08  Taylor R. Campbell <net/mumble/campbell>

	* runtime/mime-codec.scm (14.19):

	Escape the backslash within `#\=' in the error message `Misplaced #\=
	in BASE64 input.'  Perhaps the message should use quote marks, rather
	than Scheme's #\ notation.

2007-08-02 13:20  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.27):

	Fix various problems with output of subgraphs.  Eliminate whitespace
	preceding trailing ".".

2007-08-02 12:54  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.26):

	Fix some thinkos in graph parsing.

2007-08-02 00:44  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.25):

	Add support for subject/object graphs using N3's {} notation.

2007-08-02 00:40  Chris Hanson <org/chris-hanson/cph>

	* xml/: rdf-struct.scm (1.30), xml.pkg (1.96):

	Implement RDF graph type.  Hash cons all structures, including triples
	and literals.  Add event distributor EVENT:NEW-RDF-TRIPLE that is
	called whenever a new triple is allocated; this is a hook for
	indexing.

2007-08-02 00:37  Chris Hanson <org/chris-hanson/cph>

	* xml/test-turtle.scm (1.4):

	Update for new name READ-RDF/TURTLE-FILE.

2007-08-02 00:37  Chris Hanson <org/chris-hanson/cph>

	* xml/rdf-nt.scm (1.14):

	Fix bug: hex-encoded string escapes were missing leading u/U.

2007-07-31 20:15  Chris Hanson <org/chris-hanson/cph>

	* xml/: rdf-struct.scm (1.29), xml.pkg (1.95):

	Eliminate obsolete RDF index.

2007-07-31 20:13  Chris Hanson <org/chris-hanson/cph>

	* xml/: rdf-nt.scm (1.13), rdf-struct.scm (1.28), turtle.scm
	  (1.24), xml.pkg (1.94):

	Simplify bnode-registry mechanism to use a single procedure.

2007-07-29 12:20  Chris Hanson <org/chris-hanson/cph>

	* microcode/fixnum.c (9.50):

	Fix type-coercion bug in FIXNUM-LSH.  Eliminate abstraction-breaking
	uses of UNSIGNED_FIXNUM_TO_LONG and LONG_TO_FIXNUM in logical
	operations.  Tweak for style.

2007-07-23 00:52  Chris Hanson <org/chris-hanson/cph>

	* runtime/load.scm (14.97):

	Fix WITH-LOADER-BASE-URI so that it correctly recognizes system
	library URIs and generates relative references to them.

2007-07-23 00:12  Chris Hanson <org/chris-hanson/cph>

	* xml/: xml.pkg (1.93), xml-chars.scm (1.10), xml-names.scm (1.18),
	  xml-parser.scm (1.77):

	Require all names to conform to XML namespace specification; this is a
	consequence of conforming to the specification.

2007-07-22 22:46  Chris Hanson <org/chris-hanson/cph>

	* xml/: xml-names.scm (1.17), xml.pkg (1.92), xml-parser.scm
	  (1.76), xml-struct.scm (1.58):

	Change XML name type to represent namespace URI as a string, and to
	compare namespace URIs using string comparison.

2007-07-22 21:43  Chris Hanson <org/chris-hanson/cph>

	* xml/: xml-names.scm (1.16), xml-parser.scm (1.75):

	Allow relative URIs as namespace names.

2007-07-22 21:39  Chris Hanson <org/chris-hanson/cph>

	* runtime/unicode.scm (1.35):

	Allow representation of characters in class "Cs".

2007-07-22 20:34  Chris Hanson <org/chris-hanson/cph>

	* xml/xml-parser.scm (1.74):

	Compare XML names as strings rather than as expanded names.

2007-07-17 00:40  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: liarc.h (1.32), cmpauxmd/c.c (1.24):

	Fix bug in liarc object initialization: dload_initialize_file must
	return the complete object name with the prefix in order for it to be
	properly loaded.  Formerly it was returning only the name without the
	prefix, so the run-time system thought that the load failed, even
	though it registered the object by its full URI, and so the top-level
	forms would not be executed until the file was loaded a second time.

2007-07-15 18:03  Chris Hanson <org/chris-hanson/cph>

	* microcode/x11base.c (1.96):

	Various style tweaks, mostly spacing and indentation.

2007-07-15 17:40  Chris Hanson <org/chris-hanson/cph>

	* microcode/x11base.c (1.95):

	Ignore key events with unknown keysyms.

2007-07-08 20:46  Chris Hanson <org/chris-hanson/cph>

	* microcode/bignum.c (9.59):

	Make sure left-shifted constants are always cast to unsigned long.

2007-07-08 18:21  Chris Hanson <org/chris-hanson/cph>

	* microcode/bignum.c (9.58):

	Fix some indentation problems.

2007-07-08 12:49  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/cout.scm (1.42):

	Fix bug in dynamic initialization code: the nonce must be quoted.
	Otherwise the C compiler will choke on any file compiled for dynamic
	loading.  Was this ever tested??

	This same change could be effected in liarc.h by changing
	DECLARE_DYNAMIC_INITIALIZATION & DECLARE_DYNAMIC_OBJECT_INITIALIZATION
	so that they generate the line

	  const char dload_nonce [] = #nonce;

	rather than

	  const char dload_nonce [] = nonce;

2007-07-08 02:37  Taylor R. Campbell <net/mumble/campbell>

	* edwin/sendmail.scm (1.91):

	Work around bug lurking after change to store buffer contents in
	external strings: %GROUP-WRITE, called in WRITE-MIME-MESSAGE-BODY-1,
	passes along an external string to the writer procedure, but
	ENCODE-QUOTED-PRINTABLE:UPDATE expects an internal string.  Copy the
	string into the heap for now with XSUBSTRING, rather than fixing the
	MIME encoder to accept external strings.

2007-07-07 13:22  Chris Hanson <org/chris-hanson/cph>

	* edwin/bufinp.scm (1.16), imail/imail-rmail.scm (1.76),
	  imail/imail-util.scm (1.50), runtime/genio.scm (1.53),
	  runtime/input.scm (14.36), runtime/parse.scm (14.67),
	  runtime/runtime.pkg (14.620), runtime/unicode.scm (1.34):

	Implement and use EOF-OBJECT procedure.

2007-07-07 13:21  Chris Hanson <org/chris-hanson/cph>

	* runtime/ntprm.scm (1.50):

	Rewrite OS/PARSE-PATH-STRING to treat multiple adjacent backslashes as
	equivalent to a single backslash.  (Thanks to Matthew Halfant for
	noticing this.)

2007-07-07 13:20  Chris Hanson <org/chris-hanson/cph>

	* edwin/paths.scm (1.22):

	Eliminate unbound-variable reference.

2007-06-30 19:16  Chris Hanson <org/chris-hanson/cph>

	* runtime/numpar.scm (14.23):

	Don't depend on -i and +i syntax in number parser.

2007-06-23 01:56  Chris Hanson <org/chris-hanson/cph>

	* Makefile.in (1.47):

	Explicitly specify mit-scheme-native when that's intended.

2007-06-23 01:47  Chris Hanson <org/chris-hanson/cph>

	* configure.ac (1.19), microcode/configure.ac (1.54),
	  microcode/makegen/Makefile.in.in (1.60):

	For native system, install executable as mit-scheme-native rather than
	just mit-scheme.

2007-06-22 17:25  Taylor R. Campbell <net/mumble/campbell>

	* microcode/ux.c (1.34):

	Fix thinko in recent change: || in C yields 1 or 0, not the first
	non-zero value.

2007-06-22 16:18  Taylor R. Campbell <net/mumble/campbell>

	* microcode/ux.c (1.33):

	Rework mmap_heap_malloc so that it checks /proc/<pid>/maps only on
	Linux, and on other systems just goes ahead and tries a fixed map.

	Previously, mmap_heap_malloc would try a fixed map, and if it failed,
	try an unfixed map; then it was changed so that it would try a fixed
	map only if it knew there was a good address.  I think that this only
	affects Linux, so on other systems it will again try a fixed map first,
	and an unfixed map only if that fails.

2007-06-22 14:46  Taylor R. Campbell <net/mumble/campbell>

	* microcode/configure.ac (1.53):

	Fix typo in recent change for OpenBSD: DO_GCC_TESTS, not DO_GCC_TEST.

2007-06-22 04:09  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: configure.ac (1.52), ux.h (1.84):

	Add initial trivial configuration for OpenBSD.

	This works well enough to build Scheme with liarc; whether there are
	other bugs lurking, I don't know, but I imagine that it is probably OK.

2007-06-22 01:18  Chris Hanson <org/chris-hanson/cph>

	* Makefile.in (1.46):

	Use --library option with boot compiler to override an environment
	variable that misidentifies the library directory.

2007-06-21 22:31  Chris Hanson <org/chris-hanson/cph>

	* etc/utilities.scm (1.8), microcode/configure.ac (1.51),
	  microcode/makegen/Makefile.in.in (1.59):

	Eliminate the use of the (non-POSIX) make variable $^.  Prevent
	"utabmd.bin" from being a microcode "make all" dependency when
	configured for liarc.

2007-06-21 22:29  Chris Hanson <org/chris-hanson/cph>

	* etc/: create-makefiles.sh (1.4), make-native.sh (1.3):

	Force the use of mit-scheme-c when configuring for liarc-to-native
	compilation.

2007-06-21 22:27  Chris Hanson <org/chris-hanson/cph>

	* compiler/base/crsend.scm (1.19):

	Don't use ASSQ with all interrupts off -- it can generate an unbounded
	amount of garbage and overflow the heap.

2007-06-21 18:39  Chris Hanson <org/chris-hanson/cph>

	* configure.ac (1.18):

	Fix typo: "liarcc" -> "liarc".

2007-06-21 12:55  Chris Hanson <org/chris-hanson/cph>

	* microcode/fasdump.c (9.72):

	Don't align heap_start and constant_start when doing DISK-SAVE.  This
	is totally wrong -- I can't imagine why it ever worked.

2007-06-21 02:17  Taylor R. Campbell <net/mumble/campbell>

	* microcode/configure.ac (1.50):

	On OS X, for dynamically loadable modules, use `-bundle', not
	`-dynamiclib' when invoking `ld'.  The main difference is that dylibs
	don't work for our purposes on older versions of OS X, whereas bundles
	do, and are generally recommended for these purposes.  I've forgotten
	the technical details.

2007-06-18 19:58  Chris Hanson <org/chris-hanson/cph>

	* etc/: compile.scm (1.26), compile.scm (1.27):

	Prevent liarc from recompiling files that are up to date.

2007-06-18 13:31  Chris Hanson <org/chris-hanson/cph>

	* compiler/: machines/C/rules2.scm (1.10), rtlgen/opncod.scm
	  (4.81):

	Fix two bugs in the implementation of index-fixnum type checks.

2007-06-17 14:45  Chris Hanson <org/chris-hanson/cph>

	* Clean.sh (1.18):

	Remove makefiles_created on maintainer-clean.

2007-06-17 12:54  Chris Hanson <org/chris-hanson/cph>

	* compiler/: base/make.scm (4.130), machines/C/make.scm (1.12),
	  machines/alpha/make.scm (1.9), machines/i386/make.scm (1.11),
	  machines/spectrum/make.scm (4.95), machines/vax/make.scm (4.94):

	Change system ID for LIAR to show arch.

2007-06-15 22:32  Chris Hanson <org/chris-hanson/cph>

	* microcode/cmpintmd/none.h (1.3):

	Remove obsolete #defines that cause trouble for older gcc.

2007-06-15 22:14  Chris Hanson <org/chris-hanson/cph>

	* etc/create-makefiles.sh (1.3):

	Don't regenerate makefiles if they are already present and correct.

2007-06-15 14:09  Chris Hanson <org/chris-hanson/cph>

	* Makefile.in (1.45), etc/compile.sh (1.14), etc/make-in-subdirs.sh
	  (1.1), etc/make-liarc.sh (1.3), etc/make-native.sh (1.2):

	Make changes to support maintenance of liarc with installed liarc.
	Simplify top-level makefile.  Clean up boot-root and stamp files after
	finishing cross compilation.

2007-06-15 14:07  Chris Hanson <org/chris-hanson/cph>

	* etc/utilities.scm (1.7):

	If using installed liarc compiler, also use its utilities.

2007-06-15 14:05  Chris Hanson <org/chris-hanson/cph>

	* configure.ac (1.17):

	Eliminate now-unneeded "sos" link in "lib/".

2007-06-14 23:41  Chris Hanson <org/chris-hanson/cph>

	* Makefile.in (1.44), etc/make-native.sh (1.1):

	Get native-from-liarc compilation working (finally).

2007-06-14 23:40  Chris Hanson <org/chris-hanson/cph>

	* etc/: build-bands.sh (1.13), build-boot-compiler.sh (1.3),
	  c-compile.sh (1.8), compile-boot-compiler.sh (1.2), compile.sh
	  (1.13), c-prepare.sh (1.10), create-makefiles.sh (1.2),
	  functions.sh (1.9), install-bin-symlinks.sh (1.2),
	  make-liarc-dist.sh (1.2), make-liarc.sh (1.2), native-prepare.sh
	  (1.3):

	Create more flexible set of command functions in "etc/functions.sh",
	and change the shell files to use them.

2007-06-14 13:41  Chris Hanson <org/chris-hanson/cph>

	* compiler/base/crstop.scm (1.19):

	Eliminate now-unused procedures to finish cross compilation.

2007-06-14 13:39  Chris Hanson <org/chris-hanson/cph>

	* compiler/base/crsend.scm (1.18):

	Rename top-level procedures to FINISH-CROSS-COMPILATION:foo, and add
	new procedure FINISH-CROSS-COMPILATION:DIRECTORY.  Rewrite to update
	and style.

2007-06-14 09:31  Chris Hanson <org/chris-hanson/cph>

	* microcode/: fasl.c (11.2), fasl.h (9.45), fasload.c (9.104):

	Eliminate requirement that fasload files have the same
	HEAP_IN_LOW_MEMORY state as the microcode loading them.

2007-06-13 09:36  Chris Hanson <org/chris-hanson/cph>

	* Makefile.in (1.43), etc/compile.scm (1.25):

	Change SOS so that it's not a boot bundle.  Use cross compiler when
	building native system with liarc.

2007-06-13 09:34  Chris Hanson <org/chris-hanson/cph>

	* runtime/load.scm (14.96):

	Fix thinko: OBJECT-FILE-PREFIX must always be a URI.

2007-06-13 09:33  Chris Hanson <org/chris-hanson/cph>

	* compiler/base/asstop.scm (1.20), compiler/base/crstop.scm (1.18),
	  compiler/base/toplev.scm (4.75), compiler/machines/C/compiler.pkg
	  (1.29), compiler/machines/C/ctop.scm (1.31),
	  compiler/machines/i386/compiler.pkg (1.35), sf/butils.scm (4.17),
	  etc/Clean.sh (1.24):

	Resurrect the cross compiler.

2007-06-10 14:29  Chris Hanson <org/chris-hanson/cph>

	* etc/make-liarc-dist.sh (1.1):

	Initial revision.

2007-06-08 22:42  Chris Hanson <org/chris-hanson/cph>

	* etc/: compile.scm (1.24), utilities.scm (1.6):

	Implement COMPILER-MAKE-FILE to determine the correct "make" file to
	load based on the contents of the "compiler/machine" symlink.

2007-06-08 22:37  Chris Hanson <org/chris-hanson/cph>

	* etc/: compile.scm (1.23), c-prepare.sh (1.9), native-prepare.sh
	  (1.2):

	Eliminate COMPILE-BOOTSTRAP-3 by moving its contents into C-PREPARE
	and NATIVE-PREPARE, each of which needs more specific initialization.

2007-06-08 21:22  Chris Hanson <org/chris-hanson/cph>

	* Makefile.in (1.42), Setup.sh (1.27), edwin/Makefile-fragment
	  (1.4), edwin/paths.scm (1.21), runtime/infutl.scm (1.73),
	  runtime/Makefile-fragment (1.4), runtime/optiondb.scm (1.20),
	  runtime/option.scm (14.57):

	Rationalize arrangement of library directory.  Rename "options" to
	"runtime"; move contents of "edwin/autoload" and "edwin/etc" to
	"edwin" and eliminate those now-empty directories; and eliminate "SRC"
	by moving its contents into "edwin" and "runtime".

2007-06-08 21:19  Chris Hanson <org/chris-hanson/cph>

	* etc/compile.scm (1.22):

	Make sure "sos" is consistently treated as a boot dir.

2007-06-08 21:19  Chris Hanson <org/chris-hanson/cph>

	* etc/c-prepare.sh (1.8):

	Add "--stack 200" to compiler options.

2007-06-08 02:03  Chris Hanson <org/chris-hanson/cph>

	* Clean.sh (1.17), configure.ac (1.16), Makefile.in (1.41),
	  compiler/choose-machine.sh (1.2), etc/build-boot-compiler.sh
	  (1.2), etc/compile.scm (1.21), etc/make-liarc.sh (1.1),
	  etc/optiondb.scm (1.22), etc/utilities.scm (1.5),
	  microcode/configure.ac (1.49):

	Redesign the liarc compilation strategy again.  The new strategy has
	two features: (1) it uses a shell script to control the compilation
	sequence, rather than trying to get make to do the job; and (2) it
	creates the second bootstrap compiler by installing it into a
	subdirectory, which isolates it from the state of the build tree.

2007-06-08 01:58  Chris Hanson <org/chris-hanson/cph>

	* compiler/base/make.scm (4.129):

	Don't use WITH-LOADER-BASE-URI here -- it doesn't work correctly.  For
	the moment, I'm reverting the change, until I figure out the right
	fix.

2007-06-07 11:12  Chris Hanson <org/chris-hanson/cph>

	* runtime/runtime.pkg (14.619):

	Export ADD-PRIMITIVE-GC-DAEMON! to global.

2007-06-07 11:11  Chris Hanson <org/chris-hanson/cph>

	* runtime/gcdemn.scm (14.13):

	Eliminate trailing whitespace.

2007-06-06 16:03  Chris Hanson <org/chris-hanson/cph>

	* 6001/make.scm (15.41), compiler/base/make.scm (4.128),
	  cref/make.scm (1.33), imail/load.scm (1.50), rcs/load.scm (1.9),
	  sf/make.scm (4.49), sos/load.scm (1.21), ssp/load.scm (1.11),
	  star-parser/load.scm (1.23), win32/make.scm (1.19), xdoc/load.scm
	  (1.8), xml/load.scm (1.22):

	Use WITH-LOADER-BASE-URI in all the subsystem loaders.

2007-06-06 15:42  Chris Hanson <org/chris-hanson/cph>

	* Makefile.in (1.40), Setup.sh (1.26), configure.ac (1.15),
	  compiler/choose-machine.sh (1.1), compiler/configure (1.18),
	  compiler/machines/C/compiler.pkg (1.28),
	  compiler/machines/C/cout.scm (1.41), compiler/machines/C/ctop.scm
	  (1.30), compiler/machines/C/make.scm (1.11), cref/make.scm
	  (1.32), edwin/make.scm (3.124), etc/build-bands.sh (1.12),
	  etc/build-boot-compiler.sh (1.1), etc/c-boot-compiler-2.sh (1.2),
	  etc/c-boot-compiler.sh (1.8), etc/c-bundle.sh (1.6),
	  etc/c-prepare.sh (1.7), etc/compile-boot-compiler.sh (1.1),
	  etc/compile.scm (1.20), etc/create-makefiles.sh (1.1),
	  etc/native-prepare.sh (1.1), etc/optiondb.scm (1.21),
	  etc/std-makefile-prefix (1.3), etc/utilities.scm (1.4),
	  imail/load.scm (1.49), microcode/comutl.c (1.39),
	  microcode/configure.ac (1.48), microcode/extract-liarc-decls.c
	  (9.1), microcode/fasload.c (9.103), microcode/liarc.h (1.31),
	  microcode/pruxdld.c (1.25), microcode/cmpauxmd/c.c (1.23),
	  microcode/cmpintmd/c.h (1.14), microcode/makegen/Makefile.in.in
	  (1.58), microcode/makegen/liarc-base-rules (1.5),
	  runtime/input.scm (14.35), runtime/io.scm (14.87),
	  runtime/load.scm (14.95), runtime/make.scm (14.111),
	  runtime/option.scm (14.56), runtime/packag.scm (14.55),
	  runtime/pathnm.scm (14.53), runtime/runtime.pkg (14.618),
	  runtime/utabs.scm (14.26), sf/make.scm (4.48), sos/load.scm
	  (1.20), ssp/load.scm (1.10), star-parser/load.scm (1.22),
	  xdoc/load.scm (1.7), xml/load.scm (1.21):

	Reorganize the Scheme loader to simplify it so that I can understand
	what it's doing.  In the process, the LOAD-NOISILY and LOAD-NEWEST
	_features_ have been eliminated, although the procedures remain as
	aliases for LOAD.

	New procedures FILE-LOADABLE? and FILE-FASLOADABLE? test whether a
	particular file is one that LOAD or FASLOAD (respectively) knows how
	to handle.  New procedures SYSTEM-URI, SYSTEM-LIBRARY-URI, and
	WITH-LOADER-BASE-URI provide a standard mechanism to refer to files in
	the system library directory.

	Eliminate DECLARE-SHARED-LIBRARY; register every .so file that's
	loaded, and reload it on disk-restore.

	Change the dynamic-loader interface to support unloading object files.
	Make sure that all loaded object files are unloaded on DISK-RESTORE.
	Implement low-level interface to the dynamic loader in
	"runtime/io.scm" and use that in "runtime/load.scm".  Implement new
	primitive LIARC-COMPILED-BLOCKS, to simplify examination of the
	compiled_blocks table.

	Change registration of .so files to use URIs rather than ad-hoc
	abbreviations.  Standard URIs refer to parts of the system, and are
	independent of the file-system details; file URIs refer to .so files
	stored in particular locations.

	Add an 8-byte random nonce to each .c file generated by liarc, so that
	the loader can tell if it's the same file as a previously loaded one.
	Write new program gen-nonce for use by c-bundle.sh.

	Move makefile creation from Setup.sh to configure, so that it can
	depend on the architecture.

	Rewrite parts of "Makefile.in" and "etc/compile.scm" to support
	compiling a native-code system using liarc.  Change
	"etc/utilities.scm" to support liarc when it is installed as well as
	when it is being built.

	Write new program extract-liarc-decls for c-bundle.sh to use, in place
	of of grep.  This program rewrites each declaration to specialize it
	for bundling.

2007-06-06 15:41  Chris Hanson <org/chris-hanson/cph>

	* microcode/uxfs.c (1.31):

	Make sure that all open directory handles are closed on DISK-RESTORE.

2007-06-06 15:39  Chris Hanson <org/chris-hanson/cph>

	* runtime/unxpth.scm (14.34):

	Rewrite PATHNAME-SIMPLIFY so that it better handles the case where
	part of the pathname refers to non-existing file structure.

2007-06-06 15:29  Chris Hanson <org/chris-hanson/cph>

	* microcode/utils.c (9.91):

	Change error_with_argument() to signal ERR_IN_SYSTEM_CALL when
	appropriate.

2007-06-06 15:14  Chris Hanson <org/chris-hanson/cph>

	* compiler/base/toplev.scm (4.74):

	Make sure that the values of *COMPILER-INPUT-PATHNAME* and
	*COMPILER-OUTPUT-PATHNAME* are absolute pathnames.

2007-06-05 22:53  Chris Hanson <org/chris-hanson/cph>

	* runtime/wrkdir.scm (14.13):

	Don't signal error if new working directory doesn't exist.  This can
	sometimes be OK.

2007-06-02 23:49  Chris Hanson <org/chris-hanson/cph>

	* runtime/boole.scm (14.9):

	Signal error if THERE-EXISTS? or FOR-ALL? is given a non-list
	argument.

2007-05-23 13:18  Chris Hanson <org/chris-hanson/cph>

	* microcode/gen-nonce.c (1.1):

	Initial revision.

2007-05-21 13:33  Chris Hanson <org/chris-hanson/cph>

	* runtime/: option.scm (14.55), pathnm.scm (14.52):

	Add optional REQUIRED? arguments to SYSTEM-LIBRARY-PATHNAME and
	SYSTEM-LIBRARY-DIRECTORY-PATHNAME.  When new arg not supplied, each
	behaves as it used to.

2007-05-19 22:02  Chris Hanson <org/chris-hanson/cph>

	* microcode/pruxdld.c (1.24):

	While loading a shared object file, remember the file name so that it
	can be used by liarc declarations.

2007-05-19 21:55  Chris Hanson <org/chris-hanson/cph>

	* runtime/load.scm (14.94):

	Make sure that notifications for built-in object files are
	"initialized" rather than "loaded".

2007-05-19 21:52  Chris Hanson <org/chris-hanson/cph>

	* runtime/packag.scm (14.54):

	Don't bother calling BUILT-IN-OBJECT-FILE; it's already being done by
	FASLOAD.

2007-05-19 21:51  Chris Hanson <org/chris-hanson/cph>

	* compiler/machines/C/ctop.scm (1.29):

	Change notification messages for liarc-cc and liarc-ld to reduce
	clutter.

2007-05-16 15:24  Taylor R. Campbell <net/mumble/campbell>

	* runtime/mit-syntax.scm (14.31):

	Add SRFI-62 to the list of features, and add an identifying comment to
	each SRFI feature.

2007-05-15 01:23  Chris Hanson <org/chris-hanson/cph>

	* etc/utilities.scm (1.3):

	Fix bug: edwin bundle was missing "make".

2007-05-15 01:15  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/Makefile.in.in (1.57):

	Make sure liarc-cc and liarc-ld get installed.

2007-05-15 01:02  Chris Hanson <org/chris-hanson/cph>

	* configure.ac (1.14), Makefile.in (1.39), etc/utilities.scm (1.2):

	Fix bug: "make install" wasn't installing liarc bundles.

2007-05-14 21:49  Chris Hanson <org/chris-hanson/cph>

	* cref/Makefile-fragment (1.2), imail/Makefile-fragment (1.2),
	  sf/Makefile-fragment (1.2), sos/Makefile-fragment (1.2),
	  ssp/Makefile-fragment (1.2), star-parser/Makefile-fragment (1.2),
	  xdoc/Makefile-fragment (1.2), xml/Makefile-fragment (1.2):

	Eliminate misguided whitespace formatting.

2007-05-14 21:46  Chris Hanson <org/chris-hanson/cph>

	* edwin/Makefile-fragment (1.3), runtime/Makefile-fragment (1.3):

	Fix mis-quoted variable references in install rules.

2007-05-14 21:27  Chris Hanson <org/chris-hanson/cph>

	* sos/class.scm (1.20):

	<number> should be subclass of <object>, not <instance>.  Thanks
	Taylor.

2007-05-14 12:50  Chris Hanson <org/chris-hanson/cph>

	* Clean.sh (1.16), configure.ac (1.13), Makefile.in (1.38),
	  Setup.sh (1.25), 6001/Makefile-fragment (1.1),
	  compiler/Makefile-fragment (1.1), compiler/machines/C/ctop.scm
	  (1.28), edwin/Clean.sh (1.16), edwin/Makefile-fragment (1.2),
	  etc/build-bands.sh (1.11), etc/c-boot-compiler-2.sh (1.1),
	  etc/c-bundle.sh (1.5), etc/c-compile.sh (1.7), etc/Clean.sh
	  (1.23), etc/compile.scm (1.19), etc/functions.sh (1.8),
	  etc/Setup.sh (1.14), etc/std-makefile-prefix (1.2),
	  etc/std-makefile-suffix (1.2), etc/utilities.scm (1.1),
	  microcode/configure.ac (1.47), microcode/liarc-cc.in (1.3),
	  microcode/liarc.h (1.30), microcode/liarc-ld.in (1.2),
	  microcode/makegen/liarc-base-rules (1.4),
	  microcode/makegen/Makefile.in.in (1.56),
	  microcode/makegen/makegen.scm (1.24), runtime/Makefile-fragment
	  (1.2), sf/Makefile-fragment (1.1), win32/Makefile-fragment (1.1),
	  Makefile.std (1.16), etc/build-runtime.sh (1.3):

	Move building of LIARC bundles into their respective directories.
	Create bundle file lists from .pkg files rather than from directory
	listings.

	Change "make c" to "make liarc-dist".  Restructure top-level makefile
	to generate "liarc-dist" in distinct stages: (1) build a compiler in
	the directory "boot-lib"; (2) run c-clean to discard all .c files; and
	(3) rebuild everything using boot-lib compiler.

	Delete "Makefile.std"; generate all subdirectory makefiles (except
	microcode) using "Makefile-fragment" and standard prefix/suffix.
	Rename COMPILE_FOR_DYNAMIC_LOADING to ENABLE_LIARC_FILE_INIT.  Don't
	build 6001 or xdoc subdirs.  Use -fPIC only for shared objects, not
	for scheme executable.  Make sure -fPIC is given to linker as well as
	compiler.

2007-05-14 12:49  Chris Hanson <org/chris-hanson/cph>

	* compiler/machines/C/: compiler.pkg (1.27), cout.scm (1.40):

	Simplify naming; guarantee that nonces are present in all exported
	symbols.

2007-05-13 08:22  Chris Hanson <org/chris-hanson/cph>

	* etc/Clean.sh (1.22):

	Fix bug: "Makefile.in" is cleaned by maintainer-clean, not by
	distclean.

2007-05-10 12:44  Chris Hanson <org/chris-hanson/cph>

	* etc/c-boot-compiler.sh (1.7):

	Fix copyright statement.

2007-05-09 23:45  Chris Hanson <org/chris-hanson/cph>

	* cref/triv.pkg (1.12):

	Forgot to update "triv.pkg" to match change to "cref.pkg".

2007-05-09 23:45  Chris Hanson <org/chris-hanson/cph>

	* cref/redpkg.scm (1.33):

	A couple of tweaks so that CREF/PACKAGE-FILES doesn't generate errors.

2007-05-09 16:01  Chris Hanson <org/chris-hanson/cph>

	* Makefile.in (1.37), Setup.sh (1.24), cref/Makefile-fragment
	  (1.1), cref/Makefile.in (1.10), edwin/Makefile-fragment (1.1),
	  edwin/Makefile.in (1.14), etc/Clean.sh (1.21),
	  etc/std-makefile-prefix (1.1), etc/std-makefile-suffix (1.1),
	  imail/Makefile-fragment (1.1), imail/Makefile.in (1.10),
	  microcode/makegen/Makefile.in.in (1.55),
	  runtime/Makefile-fragment (1.1), runtime/Makefile.in (1.14),
	  sos/Makefile-fragment (1.1), sos/Makefile.in (1.10),
	  ssp/Makefile-fragment (1.1), ssp/Makefile.in (1.7),
	  star-parser/Makefile-fragment (1.1), star-parser/Makefile.in
	  (1.9), xdoc/Makefile-fragment (1.1), xdoc/Makefile.in (1.6),
	  xml/Makefile-fragment (1.1), xml/Makefile.in (1.10):

	Generate most of the Makefile.in files from fragments and boilerplate.
	Replace "top_builddir = ." with "top_builddir = @top_builddir@" in all
	configured makefiles, since autoconf now provides a reasonable default
	for these.

2007-05-09 15:12  Chris Hanson <org/chris-hanson/cph>

	* microcode/liarc-cc.in (1.2):

	Fix typo: missing "-c".

2007-05-08 22:05  Chris Hanson <org/chris-hanson/cph>

	* configure.ac (1.12), Setup.sh (1.23),
	  compiler/machines/C/compiler.pkg (1.26),
	  compiler/machines/C/ctop.scm (1.27), microcode/configure.ac
	  (1.46), microcode/liarc-cc.in (1.1), microcode/liarc-ld.in (1.1),
	  microcode/makegen/Makefile.in.in (1.54):

	Restructure liarc to use shell scripts to compile and link its C
	output files.  These scripts are customized by the microcode's
	configure script to have the right invocations.  Removing this
	knowledge from the compiler eliminates redundancy.

2007-05-08 21:56  Chris Hanson <org/chris-hanson/cph>

	* cref/toplev.scm (1.29):

	Forgot to change calls to FORMAT-PACKAGES and FORMAT-PACKAGES-UNUSUAL.

2007-05-08 21:55  Chris Hanson <org/chris-hanson/cph>

	* cref/: cref.pkg (1.15), forpkg.scm (1.15), toplev.scm (1.28):

	Implement CREF/PACKAGE-FILES to extract a list of filenames from a
	.pkg file.  Update some of the code, particularly in "forpkg.scm".

2007-05-08 08:54  Chris Hanson <org/chris-hanson/cph>

	* Makefile.in (1.36), configure.ac (1.11), etc/c-boot-compiler.sh
	  (1.6), etc/c-prepare.sh (1.6):

	Restructure top-level makefile to have different targets for C and
	native compilation.

2007-05-07 01:32  Chris Hanson <org/chris-hanson/cph>

	* runtime/unicode.scm (1.33):

	Fix bug: CODE-POINTS->ALPHABET wasn't storing high-valued code points
	correctly.  This had no effect on correctness, but had a space and
	time cost.

2007-05-06 10:16  Chris Hanson <org/chris-hanson/cph>

	* Clean.sh (1.15), Makefile.in (1.35), etc/c-boot-compiler.sh
	  (1.5), etc/c-compile.sh (1.6), etc/compile.scm (1.18),
	  etc/compile.sh (1.12), etc/c-prepare.sh (1.5):

	Restructure the build scripts to allow building a native system from a
	liarc system.  More work needs to be done, but these changes don't
	break the other builds.

2007-05-06 00:45  Chris Hanson <org/chris-hanson/cph>

	* Setup.sh (1.22):

	Create "lib/include" to allow liarc compilation outside of the
	microcode directory.

2007-05-06 00:43  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.45), makegen/Makefile.in.in (1.53):

	Add "install-include" rule to create the "lib/include" directory for
	liarc.

2007-05-05 20:01  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/makegen.scm (1.23):

	Fix typo.

2007-05-04 15:34  Chris Hanson <org/chris-hanson/cph>

	* etc/: c-compile.sh (1.5), c-bundle.sh (1.4), c-prepare.sh (1.4):

	Fix FSF address.

2007-05-04 14:51  Chris Hanson <org/chris-hanson/cph>

	* etc/c-bundle.sh (1.3):

	Eliminate support for microcode v14.

2007-05-03 21:27  Chris Hanson <org/chris-hanson/cph>

	* configure.ac (1.10), Makefile.in (1.34):

	Fix typo: we no longer have "etc/c-build-bands.sh".

2007-05-03 21:26  Chris Hanson <org/chris-hanson/cph>

	* etc/compile.scm (1.17):

	Fix several bugs in the "etc/compile.scm" rewrite.

2007-05-03 21:26  Chris Hanson <org/chris-hanson/cph>

	* etc/build-runtime.sh (1.2):

	Fix typo: missing value for --fasl option.

2007-05-03 21:24  Chris Hanson <org/chris-hanson/cph>

	* compiler/configure (1.17):

	Make sure "compiler/machine" link is made properly.

2007-05-03 14:53  Chris Hanson <org/chris-hanson/cph>

	* etc/compile.scm (1.16):

	C-PREPARE must compile "microcode/utabmd".

2007-05-03 08:49  Chris Hanson <org/chris-hanson/cph>

	* etc/compile.scm (1.15):

	Conditionally compile .pkd files.  Fix typos.

2007-05-03 08:48  Chris Hanson <org/chris-hanson/cph>

	* compiler/configure (1.16):

	Link "make.com" even for liarc.

2007-05-03 08:48  Chris Hanson <org/chris-hanson/cph>

	* compiler/Clean.sh (1.19):

	Tweak echo line to be more specific.

2007-05-02 23:49  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/: liarc-base-rules (1.3), makegen.scm (1.22):

	"etc/c-bundle.sh" is now executable, so we can call it directly rather
	than invoking it via the shell.

2007-05-02 23:45  Chris Hanson <org/chris-hanson/cph>

	* etc/: build-bands.sh (1.10), build-runtime.sh (1.1),
	  c-boot-compiler.sh (1.4), c-build-bands.sh (1.4), c-compile.scm
	  (1.2), c-compile.sh (1.4), c-initial-bands.sh (1.7),
	  c-prepare.scm (1.2), c-prepare.sh (1.3), compile.scm (1.14),
	  compile.sh (1.11):

	Rewrite code to compile Scheme files; now "etc/compile.scm" contains
	all of the compilation programs.  Each shell script loads
	"etc/compile.scm" and invokes the appropriate entry point.
	Additionally, differences between native compilation and liarc
	compilation have been integrated, so that there are now fewer
	necessary scripts.

2007-05-02 23:40  Chris Hanson <org/chris-hanson/cph>

	* Clean.sh (1.14), Makefile.in (1.33), compiler/Clean.sh (1.18),
	  edwin/Clean.sh (1.15), etc/Clean.sh (1.20), etc/functions.sh
	  (1.7):

	Change "Clean.sh" files to use common shell function to manage file removal.

2007-05-02 23:35  Chris Hanson <org/chris-hanson/cph>

	* compiler/configure (1.15):

	Don't clean "make.dylib"; we don't generate it any more.

2007-05-02 09:51  Chris Hanson <org/chris-hanson/cph>

	* etc/install-bin-symlinks.sh (1.1),
	  microcode/makegen/Makefile.in.in (1.52):

	Set up "scheme" and "bchscheme" symlinks properly when installing.

2007-05-02 09:50  Chris Hanson <org/chris-hanson/cph>

	* etc/: c-initial-bands.sh (1.6), optiondb.scm (1.20):

	Fix "(load-option 'compiler)" to work right with liarc.

2007-05-02 09:50  Chris Hanson <org/chris-hanson/cph>

	* etc/c-compile.sh (1.3):

	Simplify: no need for SCHEME_COMPILER variable since this script
	should always use the compiler we just built.

2007-05-02 09:49  Chris Hanson <org/chris-hanson/cph>

	* etc/build-bands.sh (1.9):

	Eliminate unnecessary "(load-option 'sf)".

2007-05-01 23:58  Chris Hanson <org/chris-hanson/cph>

	* Clean.sh (1.13), Setup.sh (1.21), compiler/Clean.sh (1.17),
	  compiler/Setup.sh (1.10), edwin/Clean.sh (1.14), etc/Clean.sh
	  (1.19), etc/Setup.sh (1.13), microcode/Clean.sh (1.8),
	  microcode/Setup.sh (1.12), microcode/makegen/Makefile.in.in
	  (1.51):

	Change meaning of "make c-clean" to delete only those files created by
	"make c".  Clean up "Setup.sh" and "Clean.sh" scripts to use "set -e",
	to avoid gratuitous uses of "exit", and to have consistent quoting.

2007-05-01 20:11  Chris Hanson <org/chris-hanson/cph>

	* runtime/: runtime.pkg (14.617), utabs.scm (14.25):

	Add new variable MICROCODE-ID/COMPILED-CODE-TYPE.  Add optional ERROR?
	argument to MICROCODE-IDENTIFICATION-VECTOR-SLOT and
	MICROCODE-IDENTIFICATION-ITEM.

2007-05-01 20:09  Chris Hanson <org/chris-hanson/cph>

	* microcode/boot.c (9.129):

	Handle case where cc-arch isn't known.  Change cc-arch names to match
	the names used in "cmpintmd/".

2007-05-01 20:07  Chris Hanson <org/chris-hanson/cph>

	* microcode/string.c (9.55):

	Simplify char_pointer_to_string.

2007-05-01 15:52  Chris Hanson <org/chris-hanson/cph>

	* microcode/: boot.c (9.128), utabmd.scm (9.94):

	Add identification item for compiled-code architecture.

2007-05-01 10:12  Chris Hanson <org/chris-hanson/cph>

	* runtime/genio.scm (1.52):

	Eliminate output optimization for binary; it was breaking column
	tracking.

2007-05-01 10:09  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/makegen.scm (1.21):

	Use output port's column tracking rather than computing it ourselves.
	Simplify organization of code.

2007-05-01 00:54  Chris Hanson <org/chris-hanson/cph>

	* Setup.sh (1.20), etc/c-initial-bands.sh (1.5), etc/optiondb.scm
	  (1.19), microcode/makegen/liarc-base-rules (1.2),
	  microcode/makegen/Makefile.in.in (1.50),
	  microcode/makegen/makegen.scm (1.20), runtime/option.scm (14.54):

	Eliminate "lib/shared"; move contents to "lib/lib".

2007-04-30 03:08  Chris Hanson <org/chris-hanson/cph>

	* configure.ac (1.9), microcode/configure.ac (1.44),
	  microcode/makegen/Makefile.in.in (1.49):

	Change liarc system to use "mit-scheme-c" as name of executable and of
	library directory.  Otherwise "mit-scheme" is used as before.  The
	installer needs some work to deal with symlinks for the "scheme" and
	"bchscheme" names.

2007-04-29 21:49  Chris Hanson <org/chris-hanson/cph>

	* etc/c-boot-compiler.sh (1.3):

	Increase heap size to eliminate weird compilation error.

2007-04-29 21:42  Chris Hanson <org/chris-hanson/cph>

	* etc/: build-bands.sh (1.8), c-build-bands.sh (1.3):

	Build only two bands: "runtime.com" and "all.com".  Others aren't
	nearly as useful as those two.

2007-04-29 21:36  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/makeinit.sh (1.17):

	Pass --disable-native-code when setting up.

2007-04-29 21:35  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/makegen.scm (1.19):

	Eliminate use of $(^:.o=.c) which is a GNU make extension.

2007-04-29 16:46  Chris Hanson <org/chris-hanson/cph>

	* etc/c-prepare.sh (1.2):

	Bump heap size so that compilation finishes.

2007-04-29 16:19  Chris Hanson <org/chris-hanson/cph>

	* compiler/machines/: i386/decls.scm (1.18), C/decls.scm (1.14):

	"base/scode" no longer produces a .ext file.

2007-04-29 16:17  Chris Hanson <org/chris-hanson/cph>

	* compiler/fgopt/simapp.scm (4.15):

	Fix typo in previous change.

2007-04-29 16:16  Chris Hanson <org/chris-hanson/cph>

	* compiler/: back/linear.scm (4.22), fgopt/blktyp.scm (4.21),
	  fgopt/simapp.scm (4.14), rtlgen/rgproc.scm (4.19):

	Eliminate useless compiler warnings.

2007-04-29 15:48  Chris Hanson <org/chris-hanson/cph>

	* cref/redpkg.scm (1.32):

	Fix typo: reverse sense of flag passed to FASLOAD.

2007-04-29 15:25  Chris Hanson <org/chris-hanson/cph>

	* runtime/boot.scm (14.28), runtime/gc.scm (14.26),
	  runtime/global.scm (14.79), runtime/runtime.pkg (14.616),
	  runtime/uerror.scm (14.57), sf/gconst.scm (4.36):

	Eliminate runtime support for pure space, which no longer exists.

2007-04-29 15:23  Chris Hanson <org/chris-hanson/cph>

	* microcode/utabmd.scm (9.93):

	Eliminate now-unused error code.

2007-04-29 14:39  Chris Hanson <org/chris-hanson/cph>

	* compiler/machines/: i386/decls.scm (1.17), C/decls.scm (1.13):

	Clean up output; use WITH-NOTIFICATION-LINE to normalize it.

2007-04-29 14:38  Chris Hanson <org/chris-hanson/cph>

	* compiler/configure (1.14), microcode/configure.ac (1.43):

	More tweaks to make liarc.stamp work right.

2007-04-29 14:26  Chris Hanson <org/chris-hanson/cph>

	* runtime/boot.scm (14.27):

	Fix typos in previous change.

2007-04-29 14:24  Chris Hanson <org/chris-hanson/cph>

	* cref/: anfile.scm (1.12), redpkg.scm (1.31):

	Suppress loading/dumping messages for most files.

2007-04-29 14:01  Chris Hanson <org/chris-hanson/cph>

	* Clean.sh (1.12), Makefile.in (1.32), configure.ac (1.8):

	After "make c" completes, generate a file "liarc.stamp" and use that
	file to change the default value of "--enable-native-code" in
	"./configure".

2007-04-29 13:56  Chris Hanson <org/chris-hanson/cph>

	* etc/Clean.sh (1.18):

	Eliminate unused ${FULL}.

2007-04-27 21:58  Chris Hanson <org/chris-hanson/cph>

	* microcode/configure.ac (1.42):

	Signal error if liarc used without dynamic library support.

2007-04-25 10:06  Chris Hanson <org/chris-hanson/cph>

	* runtime/boot.scm (14.26):

	Eliminate distinction between pure and constant.

2007-04-24 01:31  Chris Hanson <org/chris-hanson/cph>

	* microcode/: cmpint.c (1.110), cmpint.h (10.16), extern.h (9.70),
	  ntapi.h (1.21), ntgui.c (1.35), ntsig.c (1.28), nttrap.c (1.31),
	  outf.c (1.18), cmpintmd/i386.h (1.41), ntutl/makefile.wcc (1.25),
	  ntutl/wconfig.bat (1.6):

	Changes to get v15 working in win32.

2007-04-22 14:04  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.41), ntutl/config.h (1.15),
	  os2utl/config.h (1.13):

	Bump version number.

2007-04-22 12:41  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/Makefile.in.in (1.48):

	When installing, create symlink from bchscheme to scheme.

2007-04-22 12:40  Chris Hanson <org/chris-hanson/cph>

	* microcode/fasload.c (9.102):

	Must conditionalize references to memory_base.

2007-04-22 12:31  Chris Hanson <org/chris-hanson/cph>

	* microcode/: ansidecl.h (1.10), array.c (9.51), array.h (9.41),
	  artutl.c (1.21), avltree.c (1.11), avltree.h (1.10), bchdmp.c
	  (9.95), bchdrn.c (1.15), bchdrn.h (1.15), bchgcc.h (9.68),
	  bchgcl.c (9.59), bchmmg.c (9.110), bchpur.c (9.77), bchutl.c
	  (1.18), bignmint.h (1.11), bignum.c (9.57), bignum.h (9.36),
	  bigprm.c (1.11), bintopsb.c (9.82), bitstr.c (9.69), bitstr.h
	  (1.15), bkpt.c (9.37), bkpt.h (9.39), bltdef.h (1.9), boot.c
	  (9.127), breakup.c (9.30), char.c (9.38), cmpgc.h (1.37),
	  cmpint.c (1.109), cmpint.h (10.15), cmptype.h (1.9), comlin.c
	  (1.15), comlin.h (1.12), comutl.c (1.38), config.sub (11.7),
	  configure.ac (1.40), confshared.h (11.12), const.h (9.56),
	  copyrigh.c (1.8), critsec.h (1.9), daemon.c (9.37), debug.c
	  (9.61), default.h (9.50), dfloat.c (1.11), dmpwrld.c (9.46),
	  dstack.h (1.16), dump.c (9.45), edwin.h (1.15), error.c (1.13),
	  errors.h (9.49), extern.c (9.44), extern.h (9.69), fasdump.c
	  (9.71), fasl.c (11.1), fasl.h (9.44), fasload.c (9.101), fft.c
	  (9.38), fhooks.c (9.40), findprim.c (9.61), fixnum.c (9.49),
	  fixobj.h (9.43), flonum.c (9.48), foreign.c (1.10), foreign.h
	  (1.8), future.c (9.34), futures.h (9.35), gc.h (9.39), gccode.h
	  (9.63), gcloop.c (9.54), gctype.c (9.39), generic.c (9.44),
	  getpgsz.h (1.2), gpio.c (1.16), hard-par.c (1.3), history.h
	  (9.37), hooks.c (9.69), hppacach.c (1.18), hunk.c (9.34), image.c
	  (9.40), image.h (9.30), intercom.c (9.39), intern.c (9.67),
	  interp.c (9.106), interp.h (9.53), intext.c (1.10), intext.h
	  (1.10), intprm.c (1.15), intrpt.h (1.27), liarc.h (1.29), list.c
	  (9.38), load.c (9.48), locks.h (9.31), lookprm.c (1.24), lookup.c
	  (9.75), memmag.c (9.77), memmag.h (1.13), missing.c (9.38), mul.c
	  (9.40), nt.h (1.14), ntenv.c (1.24), ntfs.c (1.34), ntgui.c
	  (1.34), ntio.c (1.35), ntio.h (1.17), ntscmlib.h (1.15),
	  ntscreen.c (1.55), ntscreen.h (1.26), ntsig.c (1.27), ntsys.c
	  (1.14), nttop.c (1.40), nttrap.c (1.30), nttrap.h (1.10),
	  nttterm.c (1.10), nttty.c (1.13), object.h (9.65), obstack.c
	  (1.10), obstack.h (1.16), option.c (1.65), option.h (1.19), os.h
	  (1.13), os2.c (1.14), os2.h (1.13), os2env.c (1.19), os2fs.c
	  (1.19), os2msg.c (1.20), os2msg.h (1.21), os2pmcon.c (1.34),
	  os2term.c (1.9), os2top.c (1.26), os2tty.c (1.7), os2xcpt.c
	  (1.19), osctty.h (1.9), osenv.h (1.15), osfile.h (1.9), osfs.h
	  (1.15), osio.h (1.22), osproc.h (1.15), ospty.h (1.9), osscheme.c
	  (1.18), osscheme.h (1.17), osterm.h (1.16), ostop.h (1.10),
	  ostty.c (1.9), ostty.h (1.10), outf.c (1.17), outf.h (1.10),
	  pagesize.h (9.39), ppband.c (9.69), prbfish.c (1.17), prdb4.c
	  (1.8), prgdbm.c (1.11), prim.c (9.49), prim.h (9.53), prims.h
	  (9.57), primutl.c (9.84), prmcon.c (1.10), prmcon.h (1.9),
	  prmcrypt.c (1.10), prmd5.c (1.12), prmhash.c (11.12), prntenv.c
	  (1.16), prntfs.c (1.22), prntio.c (1.18), pros2fs.c (1.23),
	  pros2io.c (1.16), pros2pm.c (1.27), prosenv.c (1.23), prosfile.c
	  (1.15), prosfs.c (1.23), prosio.c (1.28), prosproc.c (1.25),
	  prospty.c (1.10), prosterm.c (1.21), prostty.c (1.13), prpgsql.c
	  (1.14), pruxdld.c (1.23), pruxenv.c (1.27), pruxfs.c (9.62),
	  pruxio.c (1.13), pruxsock.c (1.28), psbmap.h (9.50), psbtobin.c
	  (9.67), ptrvec.c (1.9), purify.c (9.68), purutl.c (9.57), regex.c
	  (1.25), regex.h (1.12), returns.h (9.48), rgxprim.c (1.19),
	  sample.c (9.31), scheme.h (9.45), scode.h (9.32), sdata.h (9.45),
	  sgraph.h (1.12), sgraph_a.c (1.22), sgx.c (1.14), sgx11.c (1.9),
	  stack.h (9.47), stackops.h (11.4), starbase.c (1.12), starbasx.c
	  (1.11), step.c (9.42), storage.c (9.63), string.c (9.54),
	  svm1-defns.h (11.1), svm1-interp.c (11.1), syntax.c (1.39),
	  syntax.h (1.17), syscall.h (1.21), sysprim.c (9.55), term.c
	  (1.24), termcap.c (1.10), terminfo.c (1.9), tparam.c (1.10),
	  transact.c (1.10), trap.h (9.54), tterm.c (1.21), types.h (9.43),
	  unexec.c (9.27), unexhppa.c (1.2), unstackify.c (11.5), usrdef.h
	  (9.49), utabmd.scm (9.92), utils.c (9.90), ux.c (1.32), ux.h
	  (1.83), uxctty.c (1.19), uxenv.c (1.26), uxfile.c (1.16), uxfs.c
	  (1.30), uxio.c (1.57), uxio.h (1.10), uxproc.c (1.35), uxselect.h
	  (1.11), uxsig.c (1.49), uxsig.h (1.13), uxsock.c (1.36), uxsock.h
	  (1.16), uxterm.c (1.34), uxterm.h (1.10), uxtop.c (1.36), uxtop.h
	  (1.8), uxtrap.c (1.46), uxtrap.h (1.39), uxtty.c (1.16), uxutil.c
	  (1.12), uxutil.h (1.8), uxyp.c (1.8), uxyp.h (1.2), vector.c
	  (9.45), wabbit.c (1.14), wind.c (1.12), winder.h (9.31), wsize.c
	  (9.39), x11.h (1.24), x11base.c (1.94), x11color.c (1.10),
	  x11graph.c (1.46), x11term.c (1.35), xdebug.c (9.40), zones.h
	  (9.31), cmpauxmd/c.c (1.22), cmpauxmd/i386.m4 (1.67),
	  cmpintmd/alpha.h (1.9), cmpintmd/c-config.h (1.2), cmpintmd/c.c
	  (1.2), cmpintmd/c.h (1.13), cmpintmd/hppa.h (1.57),
	  cmpintmd/i386-config.h (1.2), cmpintmd/i386.c (1.2),
	  cmpintmd/i386.h (1.40), cmpintmd/mc68k.h (1.41), cmpintmd/mips.h
	  (1.28), cmpintmd/none-config.h (1.2), cmpintmd/none.c (1.2),
	  cmpintmd/none.h (1.2), cmpintmd/svm1-config.h (1.2),
	  cmpintmd/svm1.c (1.2), cmpintmd/svm1.h (1.2), cmpintmd/vax.h
	  (1.14), makegen/Makefile.in.in (1.47), makegen/files-core.scm
	  (1.7), makegen/files-gc-bch.scm (1.7), makegen/files-gc-std.scm
	  (1.7), makegen/files-optional.scm (1.9), makegen/files-other.scm
	  (1.9), ntutl/config.h (1.14), ntutl/ntgui.rc (1.14),
	  os2utl/config.h (1.12):

	Final merge from pre-v15 branch.

2007-04-20 22:51  Chris Hanson <org/chris-hanson/cph>

	* microcode/cmpauxmd/c.c (1.15.2.11):

	Fix typo in previous change.

2007-04-20 22:19  Chris Hanson <org/chris-hanson/cph>

	* microcode/: cmpint.c (1.103.2.19), cmpint.h (10.12.2.11),
	  fasload.c (9.96.2.21), gccode.h (9.60.2.14), gcloop.c
	  (9.51.2.23), cmpintmd/c.c (1.1.2.4), cmpintmd/c.h (1.9.2.6),
	  cmpintmd/i386.c (1.1.2.6), cmpintmd/i386.h (1.37.2.11),
	  cmpintmd/svm1.c (1.1.2.5), cmpintmd/svm1.h (1.1.2.12):

	Simplify initialization/reset sequences for compiled-code interface;
	revert previous change that caused disk-restore to fail on liarc.

	Change raw-address operations (e.g. read_uuo_target) to work directly
	with addresses rather than translating to and from objects.  This
	translation is different for fasload.

	The GC now has customizable operations for translating raw addresses
	to and from objects.  This allows LOAD-BAND to override the read
	translation so as to get the right behavior.

	LOAD-BAND must relocate addresses if memory_base is different in the
	band.  It also now reads pointers using the memory_base from the file,
	and writes them using memory_base from the microcode.

2007-04-20 22:04  Chris Hanson <org/chris-hanson/cph>

	* microcode/cmpauxmd/c.c (1.15.2.10):

	Fix two bugs: (1) declare_compiled_code_ns wasn't initializing the
	CODE_PROC field right, and (2) store_trampoline_insns was completely
	wrong due to my misunderstanding of the original design.

2007-04-20 22:01  Chris Hanson <org/chris-hanson/cph>

	* microcode/cmpauxmd/c.c (1.15.2.9):

	A bunch of name changes and some code reorganization to improve
	readability.

2007-04-20 21:44  Chris Hanson <org/chris-hanson/cph>

	* microcode/fasdump.c (9.68.2.20):

	Fix bug: DUMP-BAND was setting FASLHDR_HEAP_END to the wrong value.

2007-04-19 00:44  Chris Hanson <org/chris-hanson/cph>

	* microcode/gccode.h (9.60.2.13):

	Remove extra parens.

2007-04-18 16:27  Taylor R. Campbell <net/mumble/campbell>

	* edwin/lspcom.scm (1.166):

	Handle definitions that start at the beginning of the buffer in
	MARK-DEFUN command.

2007-04-17 10:35  Chris Hanson <org/chris-hanson/cph>

	* microcode/gcloop.c (9.51.2.22):

	Fix typo.

2007-04-17 08:30  Chris Hanson <org/chris-hanson/cph>

	* microcode/: cmpint.c (1.103.2.18), cmpauxmd/c.c (1.15.2.8),
	  cmpintmd/c.c (1.1.2.3), cmpintmd/c.h (1.9.2.5), cmpintmd/i386.c
	  (1.1.2.5):

	Fix several problems with liarc compiled-code interface.

2007-04-17 08:23  Chris Hanson <org/chris-hanson/cph>

	* microcode/: liarc.h (1.21.2.6), unstackify.c (11.1.2.3):

	Improve debugging support.

2007-04-17 08:22  Chris Hanson <org/chris-hanson/cph>

	* microcode/fasdump.c (9.68.2.19):

	Put back code to dump C code table.

2007-04-17 08:21  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/: bundles-liarc.scm (1.1.2.2), Makefile.in.in
	  (1.25.2.20), makegen.scm (1.7.2.7):

	Update for new build strategy.

2007-04-17 08:19  Chris Hanson <org/chris-hanson/cph>

	* microcode/primutl.c (9.80.2.5):

	In make_primitive, make sure to copy the name if we will be keeping
	it.

2007-04-17 08:18  Chris Hanson <org/chris-hanson/cph>

	* microcode/boot.c (9.118.2.10):

	Eliminate now-unused FILE_READABLE.

2007-04-17 02:02  Chris Hanson <org/chris-hanson/cph>

	* compiler/machines/C/cout.scm (1.39), microcode/liarc.h (1.28),
	  microcode/unstackify.c (11.4):

	Tell unstackify how large the bytes block is.

2007-04-15 15:21  Chris Hanson <org/chris-hanson/cph>

	* compiler/machines/C/cout.scm (1.38):

	Use .so extension only when input file is a .bin file; otherwise use
	input file's extension.

2007-04-15 15:21  Chris Hanson <org/chris-hanson/cph>

	* etc/c-initial-bands.sh (1.4):

	Adapt to another change in built-in object handle naming.

2007-04-15 14:02  Chris Hanson <org/chris-hanson/cph>

	* compiler/machines/C/compiler.pkg (1.25):

	Forgot to export C-OUTPUT-EXTENSION.

2007-04-15 13:50  Chris Hanson <org/chris-hanson/cph>

	* runtime/load.scm (14.93):

	In FIND-PATHNAME, don't do built-in test for pathnames without types;
	that will be handled by LOAD/DEFAULT-FIND-PATHNAME-WITH-TYPE.

2007-04-15 13:43  Chris Hanson <org/chris-hanson/cph>

	* runtime/unxpth.scm (14.33):

	Tweak.

2007-04-15 13:38  Chris Hanson <org/chris-hanson/cph>

	* runtime/load.scm (14.92):

	Ignore .sl and .dylib file extensions; we're now using .so for all
	systems.

2007-04-15 13:36  Chris Hanson <org/chris-hanson/cph>

	* compiler/machines/C/cout.scm (1.37):

	Use correct output extension for built-in object handles.

2007-04-15 13:36  Chris Hanson <org/chris-hanson/cph>

	* compiler/machines/C/: compiler.pkg (1.24), ctop.scm (1.26):

	Force use of .so suffix independent of operating system.

2007-04-15 11:49  Chris Hanson <org/chris-hanson/cph>

	* edwin/decls.scm (1.82):

	Suppress "because of" messages.

2007-04-15 11:42  Chris Hanson <org/chris-hanson/cph>

	* runtime/load.scm (14.90):

	Back out last change; shouldn't be necessary with change to compiler.

2007-04-15 11:41  Chris Hanson <org/chris-hanson/cph>

	* compiler/base/toplev.scm (4.73), compiler/machines/C/compiler.pkg
	  (1.23), compiler/machines/C/cout.scm (1.36), runtime/load.scm
	  (14.91), runtime/make.scm (14.110), runtime/utabs.scm (14.24):

	Change handles for liarc files to use output pathname, not input
	pathname.

2007-04-15 04:16  Taylor R. Campbell <net/mumble/campbell>

	* etc/c-compile.sh (1.2):

	Bump the stack size to two hundred blocks, rather than the default of
	one hundred blocks, when compiling Scheme with liarc.  One hundred
	blocks is insufficient to compile sos/instance.scm with liarc.

2007-04-15 03:49  Taylor R. Campbell <net/mumble/campbell>

	* runtime/load.scm (14.89):

	Use liarc built-in objects only for LOAD, not for FASLOAD.  When we're
	actually loading code for execution, we need them; when we're loading
	code for data (e.g., when loading scode for the compiler -- especially
	when it is compiling itself, or other parts of the system that are
	loaded into the compiler image), we need the file and not the compiled
	expression statically linked into the microcode.

	This is a kludge, but it is necessary for bootstrapping liarc.  I
	don't know whether there is any code that relies on FASLOAD yielding
	built-in objects, however; I suspect not.

2007-04-14 18:00  Taylor R. Campbell <net/mumble/campbell>

	* compiler/base/blocks.scm (4.20), compiler/fggen/declar.scm
	  (1.11), compiler/fggen/fggen.scm (4.43),
	  compiler/rtlgen/opncod.scm (4.80), runtime/syntax-output.scm
	  (14.14), sf/cgen.scm (4.10):

	New declarations (TYPE-CHECKS), (RANGE-CHECKS), (NO-TYPE-CHECKS),
	(NO-RANGE-CHECKS) for local scopes.  I wrote a much longer
	description, but it was eaten by CVS, which left no trace of it, and
	I am now disinclined to rewrite it.

2007-04-14 10:23  Chris Hanson <org/chris-hanson/cph>

	* compiler/machines/C/ctop.scm (1.25):

	Suppress "loading" and "dumping" messages for compiler.

2007-04-14 10:06  Chris Hanson <org/chris-hanson/cph>

	* microcode/fasl.c (1.1.2.9):

	Fix typo.

2007-04-14 10:02  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/bundles-liarc.scm (1.5):

	Tweak whitespace.

2007-04-14 01:52  Chris Hanson <org/chris-hanson/cph>

	* compiler/base/asstop.scm (1.18), compiler/base/toplev.scm (4.72),
	  sf/toplev.scm (4.32), compiler/base/asstop.scm (1.19):

	Suppress "loading" and "dumping" messages for compiler.

2007-04-14 01:39  Chris Hanson <org/chris-hanson/cph>

	* microcode/load.c (9.47):

	Fix previous tweak to work when HEAP_IN_LOW_MEMORY defined.

2007-04-13 23:55  Chris Hanson <org/chris-hanson/cph>

	* compiler/Clean.sh (1.16):

	Don't delete compiler-unx.c for c-clean rule.

2007-04-13 23:54  Chris Hanson <org/chris-hanson/cph>

	* Setup.sh (1.19), compiler/machines/C/make.scm (1.10),
	  cref/make.scm (1.31), etc/c-initial-bands.sh (1.3),
	  microcode/makegen/bundles-liarc.scm (1.4),
	  microcode/makegen/makegen.scm (1.18), sf/make.scm (4.47),
	  star-parser/load.scm (1.21):

	Restructure bundling so that each subsystem has its own bundle.  Add
	necessary shared-library declarations in a few places.

2007-04-13 23:53  Chris Hanson <org/chris-hanson/cph>

	* microcode/fasload.c (9.100):

	Fix old typo.

2007-04-13 23:52  Chris Hanson <org/chris-hanson/cph>

	* compiler/base/toplev.scm (4.71), compiler/machines/C/compiler.pkg
	  (1.22), compiler/machines/C/cout.scm (1.35),
	  compiler/machines/C/ctop.scm (1.24), edwin/autold.scm (1.70),
	  runtime/load.scm (14.88), runtime/make.scm (14.109),
	  runtime/option.scm (14.53), runtime/packag.scm (14.53),
	  runtime/runtime.pkg (14.615), runtime/utabs.scm (14.23):

	Redesign interface to built-in object files, so that (1) they include
	the pathname type of the file, and (2) the mapping from pathnames to
	handles is specified in fewer places.

2007-04-13 23:45  Chris Hanson <org/chris-hanson/cph>

	* microcode/load.c (9.46):

	Add error check for case where FASL file and microcode have different
	settings for HEAP_IN_LOW_MEMORY.

2007-04-11 15:33  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/bundles-liarc.scm (1.3):

	Fix typo.

2007-04-11 15:32  Chris Hanson <org/chris-hanson/cph>

	* sf/xform.scm (4.16):

	Use standard formatting for usual-integrations warning.

2007-04-09 12:44  Chris Hanson <org/chris-hanson/cph>

	* etc/c-initial-bands.sh (1.2):

	Initial compiler should have cref support.

2007-04-09 12:43  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/makegen.scm (1.17):

	Generate "cref.so" for boot bundles.

2007-04-09 12:43  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/Makefile.in.in (1.46):

	Clean up "microcode/compinit.c".

2007-04-09 12:42  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/bundles-liarc.scm (1.2):

	Fix thinkos: "make" files are sometimes compiled.

2007-04-09 12:41  Chris Hanson <org/chris-hanson/cph>

	* runtime/load.scm (14.87):

	Reorder LOAD types for consistency with FASLOAD.

2007-04-07 15:53  Chris Hanson <org/chris-hanson/cph>

	* microcode/boot.c (9.126):

	Fix typo in previous change.

2007-04-07 08:43  Chris Hanson <org/chris-hanson/cph>

	* microcode/boot.c (9.125):

	Add missing #include "osfs.h".

2007-04-07 08:38  Chris Hanson <org/chris-hanson/cph>

	* microcode/: Clean.sh (1.4.2.3), compinit.c (1.6.2.5),
	  configure.ac (1.6.2.33), make-compinit (1.1.2.2),
	  makegen/Makefile.in.in (1.25.2.19), makegen/bundles-liarc.scm
	  (1.1.2.1), makegen/dirs-liarc.scm (1.1.2.3),
	  makegen/liarc-base-rules (1.1.2.1), makegen/liarc-rules-2
	  (1.1.2.2), makegen/makegen.scm (1.7.2.6), makegen/pkds-liarc.scm
	  (1.1.2.1):

	Port liarc build changes to pre-v15 branch.

2007-04-07 08:37  Chris Hanson <org/chris-hanson/cph>

	* microcode/option.c (1.61.2.11):

	For liarc, don't test for existence of --fasl file.

2007-04-07 08:35  Chris Hanson <org/chris-hanson/cph>

	* microcode/cmpauxmd/c.c (1.15.2.7):

	Fix thinko.

2007-04-07 08:35  Chris Hanson <org/chris-hanson/cph>

	* microcode/: boot.c (9.118.2.9), const.h (9.52.2.7):

	Put back liarc --fasl support; simplify startup code.

2007-04-07 00:05  Chris Hanson <org/chris-hanson/cph>

	* runtime/load.scm (14.86):

	Back out previous change; it's the right behavior but too disruptive
	right now.

2007-04-07 00:03  Chris Hanson <org/chris-hanson/cph>

	* etc/c-bundle.sh (1.2):

	Changes to support microcode's pre-v15 branch.

2007-04-07 00:03  Chris Hanson <org/chris-hanson/cph>

	* etc/c-boot-compiler.sh (1.2):

	Fix syntax error (quoting problem).  Rewrite hereis documents to be
	single Scheme expressions so that an error prevents any subsequent
	expressions from being evaluated.

2007-04-07 00:02  Chris Hanson <org/chris-hanson/cph>

	* compiler/Clean.sh (1.15):

	Delete "compiler-unx.*".

2007-04-07 00:02  Chris Hanson <org/chris-hanson/cph>

	* Makefile.in (1.31):

	All clean rules must delete "boot-compiler.com".

2007-04-05 18:42  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.301):

	Use BUFFER-REMOVE!, rather than (BUFFER-PUT! ... #F).

2007-04-05 18:36  Taylor R. Campbell <net/mumble/campbell>

	* edwin/utils.scm (1.62):

	Tweak EDWIN-SET-STRING-MAXIMUM-LENGTH!, too.

2007-04-05 18:24  Taylor R. Campbell <net/mumble/campbell>

	* edwin/utils.scm (1.61):

	Tweak EDWIN-STRING-ALLOCATE so that it doesn't rely on range-checking
	being disabled when NUL-terminating the string.

2007-04-05 15:52  Chris Hanson <org/chris-hanson/cph>

	* compiler/base/switch.scm (4.33):

	Don't show compilation of individual procedures.

2007-04-05 13:49  Chris Hanson <org/chris-hanson/cph>

	* Makefile.in (1.30), Setup.sh (1.18), etc/c-build-bands.sh (1.2):

	Eliminate runtime-check directory and 6.001 band.

2007-04-05 13:49  Chris Hanson <org/chris-hanson/cph>

	* runtime/load.scm (14.85):

	When loading a file, change the working directory to that of the file,
	so that relative pathnames work right.

2007-04-05 13:43  Chris Hanson <org/chris-hanson/cph>

	* etc/build-bands.sh (1.7):

	Don't build 6.001 band.

2007-04-05 13:42  Chris Hanson <org/chris-hanson/cph>

	* etc/compile.scm (1.13):

	Eliminate separate runtime-check.

2007-04-05 13:36  Chris Hanson <org/chris-hanson/cph>

	* compiler/base/switch.scm (4.32):

	Tweak defaults to enable type and range checking by default.

2007-04-04 23:23  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.212):

	Fix three problems in completion of IMAP mailbox names and listing of
	the contents of IMAP containers:

	1. Some IMAP servers refuse a pattern of `/%' for the LIST command, or
	   yield an empty list of results, so send `%' if we're examining the
	   root mailbox.

	2. Some IMAP servers return the container itself that we're trying to
	   list the contents of, so filter that out if we see it.

	3. Some IMAP servers hand out folder URLs and container URLs, so
	   canonicalize them appropriately in order that RUN-LIST-COMMAND may
	   return only folder URLs.

2007-04-04 22:35  Taylor R. Campbell <net/mumble/campbell>

	* sos/macros.scm (1.21):

	Associate names with generic procedures generated by DEFINE {ACCESSOR,
	MODIFIER, INITPRED} clauses for slots in DEFINE-CLASS.

2007-04-04 21:56  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.300):

	Remember when MIME entities are collapsed or expanded, in a hash table
	per IMAIL folder buffer.  (This information will still be forgotten
	when the buffer is killed and the folder reopened, but that probably
	doesn't matter.)

2007-04-04 20:25  Taylor R. Campbell <net/mumble/campbell>

	* compiler/Clean.sh (1.14):

	Use `pwd`, rather than $(pwd), which standard sh does not support.

2007-04-04 14:35  Taylor R. Campbell <net/mumble/campbell>

	* runtime/packag.scm (14.52):

	Use WITH-NOTIFICATION to notify of initialization and finalization of
	packages, rather than formatting the message to the notification
	output port directly.

2007-04-04 01:08  Taylor R. Campbell <net/mumble/campbell>

	* Clean.sh (1.11), Makefile.in (1.29), Setup.sh (1.17),
	  configure.ac (1.7), compiler/Clean.sh (1.13), compiler/configure
	  (1.13), cref/Makefile.in (1.9), edwin/Clean.sh (1.13),
	  edwin/Makefile.in (1.13), edwin/autold.scm (1.69), etc/Clean.sh
	  (1.17), etc/c-boot-compiler.sh (1.1), etc/c-build-bands.sh (1.1),
	  etc/c-bundle.sh (1.1), etc/c-compile.scm (1.1), etc/c-compile.sh
	  (1.1), etc/c-initial-bands.sh (1.1), etc/c-prepare.scm (1.1),
	  etc/c-prepare.sh (1.1), etc/optiondb.scm (1.18), etc/script.scm
	  (1.5), imail/Makefile.in (1.9), imail/load.scm (1.48),
	  microcode/Clean.sh (1.7), microcode/compinit.c (1.11),
	  microcode/configure.ac (1.39), microcode/make-compinit (1.3),
	  microcode/makegen/Makefile.in.in (1.45),
	  microcode/makegen/bundles-liarc.scm (1.1),
	  microcode/makegen/dirs-liarc.scm (1.3),
	  microcode/makegen/liarc-base-rules (1.1),
	  microcode/makegen/liarc-rules-2 (1.3),
	  microcode/makegen/makegen.scm (1.16),
	  microcode/makegen/pkds-liarc.scm (1.1), runtime/Makefile.in
	  (1.13), runtime/packag.scm (14.51), sos/Makefile.in (1.9),
	  sos/load.scm (1.19), ssp/Makefile.in (1.6), ssp/load.scm (1.9),
	  star-parser/Makefile.in (1.8), xdoc/Makefile.in (1.5),
	  xdoc/load.scm (1.6), xml/Makefile.in (1.9), xml/load.scm (1.20):

	Very belatedly, many changes to smooth many rough edges with the C back
	end.  It should now be possible to bootstrap and install the system
	using the C back end much more cleanly, by the following steps:

	  # Prepare the tree for compiling from C.
	  ./Setup.sh
	  ./configure --enable-native-code=c
	  make c

	  # Optionally, clean everything except the bare minimum of the C code
	  # to generate a distribution tree.  Doing so requires reconfiguring.
	  make c-clean
	  # ...distribute the tree..
	  ./configure --enable-native-code=c

	  # Make the system from C, without needing an existing Scheme
	  # installation for bootstrapping.
	  make

	  # Install.
	  make install

2007-04-03 20:06  Taylor R. Campbell <net/mumble/campbell>

	* microcode/ux.c (1.27.2.5):

	Forward-port long-delayed hack of mmap_heap_malloc for OS X.

2007-04-03 01:27  Chris Hanson <org/chris-hanson/cph>

	* microcode/: edwin.h (1.11.2.4), extern.h (9.65.2.12), prims.h
	  (9.52.2.5), prosio.c (1.24.2.4), rgxprim.c (1.15.2.4), string.c
	  (9.49.2.4), syntax.c (1.30.2.5), term.c (1.20.2.5):

	Port edwin-buffer changes to pre-v15 branch.

2007-04-03 00:11  Chris Hanson <org/chris-hanson/cph>

	* runtime/uerror.scm (14.56):

	Add a few missing primitives to FILE-PRIMITIVE-DESCRIPTION.

2007-04-02 23:58  Chris Hanson <org/chris-hanson/cph>

	* microcode/: uxtop.c (1.35), uxtop.c (1.30.2.6):

	Don't return error message for syserr_unknown.

2007-04-01 13:51  Taylor R. Campbell <net/mumble/campbell>

	* runtime/string.scm (14.64):

	Commit forgotten changes to runtime/string.scm in the last checkin (to
	make Edwin buffers use external strings).

2007-04-01 13:33  Taylor R. Campbell <net/mumble/campbell>

	* edwin/bufwin.scm (1.319), edwin/fileio.scm (1.171),
	  edwin/grpops.scm (1.34), edwin/image.scm (1.143),
	  edwin/search.scm (1.162), edwin/struct.scm (1.104),
	  edwin/utils.scm (1.60), imail/imail-util.scm (1.49),
	  microcode/edwin.h (1.14), microcode/prims.h (9.56),
	  microcode/rgxprim.c (1.18), microcode/string.c (9.53),
	  microcode/syntax.c (1.38), microcode/term.c (1.23),
	  runtime/runtime.pkg (14.614):

	Use external strings to store the contents of Edwin buffers.  Edwin can
	now edit files and buffers up to 32 MB without occupying more than a
	small and (roughly) constant amount of space in the Scheme heap.

	New procedures in the system global environment:

	  EXTERNAL-STRING-DESCRIPTOR (Edwin needs this to initialize the group
	    structure so that the microcode can get at it.)
	  XSTRING-FILL!
	  XSTRING-REF
	  XSTRING-SET!
	  XSUBSTRING (This was in imail/imail-util.scm.)
	  XSUBSTRING-FILL!
	  XSUBSTRING-FIND-NEXT-CHAR
	  XSUBSTRING-FIND-NEXT-CHAR-CI
	  XSUBSTRING-FIND-NEXT-CHAR-IN-SET
	  XSUBSTRING-FIND-PREVIOUS-CHAR
	  XSUBSTRING-FIND-PREVIOUS-CHAR-CI
	  XSUBSTRING-FIND-PREVIOUS-CHAR-IN-SET

	(There is probably a better way to deal with most of the above
	procedures -- I expect that wouldn't hurt just to fold them into the
	string operations by similar names, since we already check argument
	types in those operations.  This kludginess works for now, though.)

2007-03-30 04:17  Taylor R. Campbell <net/mumble/campbell>

	* runtime/genio.scm (1.51):

	Use XSUBSTRING-MOVE! in WRITE-SUBSTRING:EXTERNAL-SUBSTRING, not
	SUBSTRING-MOVE! -- the latter does not accept external strings.

2007-03-27 22:29  Taylor R. Campbell <net/mumble/campbell>

	* compiler/rtlgen/opncod.scm (4.79):

	Use true or false pcfgs, as appropriate, instead of null cfgs, when
	generating disabled open-coded checks.  Although OPEN-CODE:WITH-CHECKS
	filters out true pcfgs and null cfgs, these cfgs may be used directly
	in pcfg predicates, as in OPEN-CODE:INDEX-CHECK, which permits only
	pcfgs, not null cfgs.

2007-03-26 19:54  Taylor R. Campbell <net/mumble/campbell>

	* edwin/intmod.scm (1.126):

	When evaluating a region, if the region is from the REPL buffer, set
	the buffer's point to the line start after the region, not the end of
	the region.

2007-03-26 19:33  Taylor R. Campbell <net/mumble/campbell>

	* edwin/intmod.scm (1.125):

	When switching between Inferior REPL and Inferior CMDL modes, adjust
	the comtabs more carefully, so that only the major modes' comtabs are
	affected, leaving any minor modes' untouched.

	This allows minor modes that bind keys to be used in the REPL even
	after errors occur; before, the keys they bound would be forgotten
	after errors.  Paredit Mode can be now used in the REPL as a result.

2007-03-21 11:06  Chris Hanson <org/chris-hanson/cph>

	* runtime/: list.scm (14.55), runtime.pkg (14.613):

	Implement REDUCE-LEFT, which has semantics of old REDUCE.

2007-03-11 18:38  Taylor R. Campbell <net/mumble/campbell>

	* imail/: imail-core.scm (1.165), imail-file.scm (1.91),
	  imail-imap.scm (1.211):

	Unmap the message indices returned by SEARCH-FOLDER.  Define
	%SEARCH-FOLDER as a generic procedure which the non-generic procedure
	SEARCH-FOLDER calls.

2007-03-11 18:30  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.299):

	Bump the default size limit for in-line display of MIME text parts to
	65536, since we by default cache message bodies of that size anyway.

2007-03-11 18:26  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.298):

	New Edwin variable IMAIL-INLINE-MIME-TEXT-LIMIT, to prevent gargantuan
	text parts that satisfy all the other rules for in-line display from
	screwing Edwin.

	This affects the main body of the message, too, however.  We could
	work around this easily for unipart messges, although anything else
	would require a little more effort.  In any case, although it is a
	minor annoyance to have to type `C-c C-t C-e' to show the body of a
	very long message, it is a much more major annoyance for Edwin to lose
	spectacularly for a message too large to fit in its heap.

2007-03-11 13:33  Taylor R. Campbell <net/mumble/campbell>

	* imail/: imail-core.scm (1.164), imail-file.scm (1.90),
	  imail-imap.scm (1.210):

	Don't record the folder's cached modification count in folder orders;
	simply check that it has not changed since we built the tree.

	New procedure MESSAGE-ORDER-KEY computes a message's key into the
	folder order tree, if the message's folder is ordered.  This must be
	computed before a message is actually expunged, because the key may
	require information that is destroyed when expunging the message.
	EXPUNGE modification events on folders now accept an extra parameter,
	the key of the message being expunged.

2007-03-11 11:49  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.163):

	Remove Edwin indentation settings for no longer used forms.

2007-03-11 11:48  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.162):

	Fix thinko in previous commit: if the folder's modification count has
	changed, unconditionally build the order's tree, instead of building a
	tree only if there is none already there.

2007-03-11 11:35  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.161):

	Preload folder outlines before memoizing folder order.  This improves
	the performance of sorting IMAIL folders dramatically.

2007-03-11 11:04  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.160):

	Use a modification count cache to verify and commit memoized folder
	orders, instead of blocking interrupts, so that MEMOIZE-FOLDER-ORDER
	may now be interrupted.

	Memoize the folder order immediately before it is assigned to a folder
	in SET-FOLDER-ORDER!.  This means that it can no longer be delayed
	until actually needed, but also that if it is interrupted it won't
	actually set the folder's order and thereby wedge IMAIL until the
	messages are sorted.

	Allow message indices to fall outside the range of folder orders, and
	leave them as they are, in case the folder order has not been updated
	yet to reflect them.

2007-03-10 23:32  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.159):

	Fix another bug, with receiving and ignoring modification events for ordering.

2007-03-10 22:59  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.158):

	Fix bug in previous commit with modification event arguments.

2007-03-10 20:11  Taylor R. Campbell <net/mumble/campbell>

	* imail/: imail-core.scm (1.157), imail-top.scm (1.297), load.scm
	  (1.47):

	New implementation of folder orders that uses AVL trees instead of
	sorted vectors to store the order of messages.  Modifications to the
	folder are now reflected in incremental updates to the folder order by
	AVL insertions, instead of rebuilding the order vector for every
	modification to the folder.  Also, the key by which the message is
	sorted is now computed once per message in the order record, instead
	of every time that the message comparison predicate is called.

2007-03-10 12:35  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.209):

	Use %MESSAGE-INDEX instead of MESSAGE-INDEX in FETCH-MESSAGE-ITEMS.
	This will give the correct index in the mailbox's sequence to the IMAP
	server, and if the folder is sorted it will also not cause an infinite
	loop, because in that case MESSAGE-INDEX may require fetching the
	message to determine how to sort it, which may require calling
	MESSAGE-INDEX.

2007-03-05 23:43  Taylor R. Campbell <net/mumble/campbell>

	* etc/usermap (1.8):

	Include middle initial in `Taylor R. Campbell', to disambiguate from
	the large-breasted porn star that will turn up by Googling `Taylor
	Campbell'...

2007-03-05 19:30  Taylor R. Campbell <net/mumble/campbell>

	* edwin/xcom.scm (1.28):

	Implement rudimentary font name completion and apropos.

	This does not handle gracefully the deluge of available fonts (over
	five thousand on my machine) by presenting common groups in palatable
	ways, and it does not attempt to cache the huge string tables, but it
	works.

2007-02-24 12:10  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.6.2.32), memmag.c (9.71.2.11),
	  prdb4.c (1.2.2.6), prgdbm.c (1.6.2.4), prpgsql.c (1.9.2.4),
	  pruxenv.c (1.22.2.5), purify.c (9.65.2.13), uxtrap.h (1.35.2.6):

	Forward-port Taylor's changes from trunk.

2007-02-24 12:09  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.38), makegen/Makefile.in.in (1.44):

	Backport changes from pre-v15 branch.

2007-02-23 18:45  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: configure.ac (1.37), uxtrap.h (1.38):

	Incorporate changes from Jesper Louis Andersen to make the microcode
	build on FreeBSD again.

2007-02-23 06:38  Taylor R. Campbell <net/mumble/campbell>

	* edwin/paredit.scm (1.10):

	In the double-quote command, actually insert an escaped double-quote
	if inside a string, not an escaped space.

2007-02-23 06:37  Taylor R. Campbell <net/mumble/campbell>

	* edwin/paredit.scm (1.9):

	After inserting newlines, reindent the following expression only if it
	starts on the same line as the point is now on.

2007-02-22 13:41  Chris Hanson <org/chris-hanson/cph>

	* xml/turtle.scm (1.23):

	Eliminate debugging statement.

2007-02-22 13:39  Chris Hanson <org/chris-hanson/cph>

	* xml/: turtle.scm (1.21), turtle.scm (1.22):

	Change WRITE-RDF/TURTLE-TRIPLES to elide unreferenced bnodes.

2007-02-20 11:29  Chris Hanson <org/chris-hanson/cph>

	* runtime/rgxcmp.scm (1.128):

	Fix type error in RE-DISASSEMBLE-PATTERN.  Eliminate unused
	HACK-FASTMAP.

2007-02-13 14:25  Chris Hanson <org/chris-hanson/cph>

	* microcode/ntutl/makefile.wcc (1.24):

	Don't build with optional libraries.

2007-02-12 15:47  Taylor R. Campbell <net/mumble/campbell>

	* edwin/dired.scm (1.202):

	Bind RET to DIRED-FIND-FILE.

2007-02-11 13:42  Taylor R. Campbell <net/mumble/campbell>

	* microcode/pruxenv.c (1.26):

	In HOSTNAME primitive, move PRIMITIVE_RETURN outside the conditional,
	since we return whether we have sockets or not.

2007-02-11 00:55  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: prdb4.c (1.7), prgdbm.c (1.10), prpgsql.c (1.13):

	Conditionalize inclusion of optional modules' header files to appease makegen.

2007-02-10 14:22  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: bchmmg.c (9.109), memmag.c (9.76):

	Oops: because the available space after subtracting the space the
	primitive requested may be negative, use LONG_TO_FIXNUM instead of
	LONG_TO_UNSIGNED_FIXNUM.

2007-02-10 14:16  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: memmag.c (9.71.2.10), bchmmg.c (9.108), memmag.c
	  (9.75):

	In the GARBAGE-COLLECT primitive, return the available heap space
	minus gc_space_needed, in case it was called by a primitive that
	requested a certain amount of space for allocation.  If we report only
	the newly available heap space and ignore gc_space_needed, then
	GC-FINISH will consider there to be ample space to proceed (more than
	4096 bytes), and the primitive will be restarted only to repeat the
	call to the GC, looping endlessly.

2007-02-07 22:36  Chris Hanson <org/chris-hanson/cph>

	* ssp/mod-lisp.scm (1.35):

	Tweak cookie parsing to allow #\= in RHS of binding.  Don't signal an
	error if there's a bad cookie; just ignore it and emit a warning.

2007-02-05 13:43  Chris Hanson <org/chris-hanson/cph>

	* compiler/configure (1.12):

	Remove leading parens that cause trouble on NetBSD.

2007-02-05 13:26  Chris Hanson <org/chris-hanson/cph>

	* edwin/: decls.scm (1.81), edwin.sf (1.37):

	Updates to make sure that Edwin can be compiled by previous snapshot.

2007-02-04 21:38  Chris Hanson <org/chris-hanson/cph>

	* imail/clean.sh (1.5):

	File conflicts with Clean.sh on win32.

2007-02-04 16:55  Taylor R. Campbell <net/mumble/campbell>

	* microcode/cmpint.c (1.108):

	Fix bug in compiler reference trap restarts: the name will be at the
	top of the stack, not in the expression register.

2007-02-04 13:39  Taylor R. Campbell <net/mumble/campbell>

	* microcode/x11base.c (1.93):

	Reinitialize the local display modifier mask table on MappingModifier
	requests in MappingNotify events, so that the user can reconfigure
	modifier masks on the fly without confusing Scheme programs.

2007-02-04 13:36  Taylor R. Campbell <net/mumble/campbell>

	* microcode/x11base.c (1.92):

	Eliminate compiler warning about non-return from non-void function
	x_close_window_io_error, which calls longjmp instead.

2007-02-03 19:17  Taylor R. Campbell <net/mumble/campbell>

	* runtime/syntax-rules.scm (14.11):

	Permit (SYNTAX-RULES ()), which is the only portable way to define a
	SYNTACTIC-ERROR macro.

2007-01-28 18:03  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/ctop.scm (1.23):

	ld on OS X wants `-dylib', not `-dynamiclib', now that we're actually
	using it instead of the C compiler executable.

2007-01-25 21:38  Taylor R. Campbell <net/mumble/campbell>

	* runtime/mit-syntax.scm (14.30):

	Use NAMED-LAMBDA in the output of named LET.

2007-01-22 13:30  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: boot.c (9.124), boot.c (9.118.2.8):

	Use `OS_file_access', not `access', in `FILE_READABLE' macro.

2007-01-22 09:34  Chris Hanson <org/chris-hanson/cph>

	* microcode/configure.ac (1.6.2.31):

	Simplify slightly.

2007-01-22 09:31  Chris Hanson <org/chris-hanson/cph>

	* microcode/configure.ac (1.6.2.30):

	Revert to using AC_CHECK_TYPE rather than AC_TYPE_[U]INTn, since the
	latter is too new for some platforms.

2007-01-22 09:23  Chris Hanson <org/chris-hanson/cph>

	* microcode/: makegen/Makefile.in.in (1.25.2.18), configure.ac
	  (1.6.2.29):

	Rename DLD_LDFLAGS to SCHEME_LDFLAGS.

2007-01-22 03:43  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: boot.c (9.123), interp.c (9.105), boot.c (9.118.2.7),
	  interp.c (9.102.2.8):

	Eliminate compiler warnings for obstack_chunk_alloc.

2007-01-22 03:35  Taylor R. Campbell <net/mumble/campbell>

	* microcode/configure.ac (1.36):

	On OS X, add -Wl,-pagezero_size,04000000 to DLD_LDFLAGS, not LDFLAGS,
	so that it is passed only when building the `scheme' and `bchscheme'
	binaries, not when compiling all object files.

2007-01-22 03:12  Taylor R. Campbell <net/mumble/campbell>

	* microcode/configure.ac (1.6.2.28):

	Comment out unused C99 fixed-width integer type tests, as in the new
	microcode.

2007-01-22 02:47  Taylor R. Campbell <net/mumble/campbell>

	* microcode/ux.c (1.31):

	Specialize mmap_heap_malloc on OS X to pass MAP_FIXED always.

	This conditional is ugly; perhaps it ought to be refactored.  However,
	after the change to the configuration script to add the linker option
	reserving low address space, this is necessary for anything to work at
	all on OS X for the moment.

2007-01-22 01:41  Chris Hanson <org/chris-hanson/cph>

	* microcode/cmpauxmd/c.c (1.15.2.6):

	Add code to relocate pointers in compiled_entries when compiled_blocks
	is relocated to a new address.  Fix typo.

2007-01-22 01:38  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.35), configure.ac (1.6.2.27):

	Fix typo.  Use AC_CHECK_FUNC(...) rather than AC_CHECK_LIB([c],...).

2007-01-22 01:06  Chris Hanson <org/chris-hanson/cph>

	* microcode/fasload.c (9.96.2.20):

	Fix typo in previous change.

2007-01-22 01:05  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.6.2.26), configure.ac (1.34):

	Incorporate changes for NetBSD from Jed Davis.

2007-01-22 01:02  Chris Hanson <org/chris-hanson/cph>

	* microcode/: fasdump.c (9.68.2.18), fasl.c (1.1.2.8), fasl.h
	  (9.40.2.11), fasload.c (9.96.2.19), cmpauxmd/c.c (1.15.2.5),
	  cmpintmd/c.h (1.9.2.4):

	Hook up code to export and import the C code table.  This was
	disconnected when redesigning the fasdump/fasload code and never
	reconnected.

2007-01-21 23:20  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.6.2.25), pruxsock.c (1.22.2.5):

	Forward-port riastradh's changes from trunk.

2007-01-21 18:19  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/cutl.scm (1.10):

	Fix up C comments so that */ inside them will not destroy the output.

2007-01-21 17:19  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/cout.scm (1.34):

	Hack STRINGIFY to support lap comments, in case the user set
	COMPILER:GENERATE-LAP-FILES? and COMPILER:INTERSPERSE-RTL-IN-LAP?, so
	that it puts comments in the C output instead of signalling an obscure
	error, even though the resulting *.lap files are not very useful.

2007-01-21 06:29  Taylor R. Campbell <net/mumble/campbell>

	* compiler/rtlgen/opncod.scm (4.78):

	Fix bug in the open-coder for HEAP-AVAILABLE? with type checking
	turned on.  It was passing the FINISH continuation on to
	OPEN-CODE:WITH-CHECKS, but that would call FINISH with an RTL
	expression, whereas the callers of the open-coder want an RTL
	predicate CFG.  Now, like other predicate open-coders,
	HEAP-AVAILABLE?'s wraps the expression in a true test.

2007-01-21 00:15  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/ctop.scm (1.22):

	In C-COMPILER-NAME, read from and write to the variable
	COMPILER:C-COMPILER-NAME, not COMPILER:C-LINKER-NAME.

2007-01-20 20:10  Taylor R. Campbell <net/mumble/campbell>

	* edwin/debuge.scm (1.61):

	Make DEBUG-SHOW-STANDARD-MARKS work again.  It doesn't show quite the
	same information as before, but at least it doesn't fail horribly now.

2007-01-20 18:49  Taylor R. Campbell <net/mumble/campbell>

	* microcode/pruxsock.c (1.27):

	Wrap the new SHUTDOWN-SOCKET primitive's body in SOCKET_CODE.

2007-01-20 16:59  Taylor R. Campbell <net/mumble/campbell>

	* microcode/configure.ac (1.33):

	Enclose the argument to `test -n' in double-quotes in the tests for
	the `struct tm' member `tm_gmtoff' and the `timezone' variable.

2007-01-19 22:08  Taylor R. Campbell <net/mumble/campbell>

	* microcode/configure.ac (1.32):

	Pass `-MG' to `gcc' in the generated `makegen-cc' script.  The meaning
	of `-MM' was changed in recent versions of GCC so that it does not
	mask errors about absent system headers, but with `-MG' it uses the
	old semantics.

2007-01-19 00:03  Taylor R. Campbell <net/mumble/campbell>

	* runtime/error.scm (14.73):

	In wrong-number-of-arguments errors where the minimum number of
	arguments is equal to the maximum number of arguments, write that
	number, not the confusing arity object, in the condition report.

2007-01-17 21:30  Taylor R. Campbell <net/mumble/campbell>

	* runtime/record.scm (1.59):

	Initialize newly constructed records in keyword constructors to have
	the proper dispatch tag.

2007-01-17 21:15  Taylor R. Campbell <net/mumble/campbell>

	* edwin/verilog.scm (1.15):

	In DEFINE-STANDARD-KEYWORD, pass a list of fragments to
	DEFINE-KEYPARSER-PATTERN as one argument, not the fragments as
	separate arguments.  This is supposed to be a `pattern' structure,
	although it might be better to have an abstract MAKE-PATTERN
	constructor or something instead of exposing the representation of
	patterns as lists.

2007-01-17 21:03  Taylor R. Campbell <net/mumble/campbell>

	* edwin/evlcom.scm (1.74):

	In PROMPT-FOR-EXPRESSION, don't pass the default expression through
	WRITE-TO-STRING before handing it to PROMPT-FOR-STRING, because
	PROMPT-FOR-STRING already does that.

2007-01-17 19:19  Taylor R. Campbell <net/mumble/campbell>

	* edwin/keyparse.scm (1.9):

	In DEFINE-KEYPARSER-STATEMENT-LEADER, compile the regular expression
	if it is *not* a compiled regular expression, not if it is.

2007-01-17 16:01  Chris Hanson <org/chris-hanson/cph>

	* runtime/url.scm (1.51):

	Fix another thinko.

2007-01-17 16:00  Chris Hanson <org/chris-hanson/cph>

	* xml/rdf-struct.scm (1.27):

	Fix broken definition of MATCH-TAIL.

2007-01-17 11:04  Chris Hanson <org/chris-hanson/cph>

	* runtime/url.scm (1.50):

	Fix thinko.

2007-01-17 10:58  Chris Hanson <org/chris-hanson/cph>

	* runtime/unicode.scm (1.32):

	Fix typo in previous change.

2007-01-17 10:42  Chris Hanson <org/chris-hanson/cph>

	* runtime/unicode.scm (1.31):

	Don't consider non-characters in WELL-FORMED-CODE-POINT-LIST?.

2007-01-16 22:42  Chris Hanson <org/chris-hanson/cph>

	* xml/: rdf-struct.scm (1.26), turtle.scm (1.20), xml.pkg (1.91),
	  xml-names.scm (1.15), xml-parser.scm (1.73):

	Use new matching/parsing utility procedures.  Implement
	UTF8-STRING->XML.  Fix turtle URI output so that qnames conform to
	turtle syntax.

2007-01-16 22:39  Chris Hanson <org/chris-hanson/cph>

	* runtime/: parser-buffer.scm (1.20), runtime.pkg (14.612):

	Add utility procedures for matching and parsing.

2007-01-16 22:31  Chris Hanson <org/chris-hanson/cph>

	* runtime/url.scm (1.49):

	Use new matching procedures.

2007-01-16 21:48  Chris Hanson <org/chris-hanson/cph>

	* runtime/: parser-buffer.scm (1.19), runtime.pkg (14.611):

	Implement UTF8-STRING->PARSER-BUFFER.

2007-01-16 16:16  Chris Hanson <org/chris-hanson/cph>

	* xml/rdf-struct.scm (1.25):

	Allow the local part of an RDF qname to be an arbitrary UTF-8 string.

2007-01-16 03:03  Chris Hanson <org/chris-hanson/cph>

	* runtime/unicode.scm (1.30):

	Add non-character range FDD0 through FDEF.  Simplify logic used to
	determine legal characters.

2007-01-13 20:58  Chris Hanson <org/chris-hanson/cph>

	* edwin/vc.scm (1.98):

	For svn, quote diff-switches with "-x" prefix.

2007-01-13 02:45  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.31), configure.ac (1.6.2.24):

	Properly handle case where pg_config isn't available.

2007-01-13 02:12  Chris Hanson <org/chris-hanson/cph>

	* microcode/configure.ac (1.6.2.23):

	Berkeley DB uses versioned symbols in older versions, so AC_CHECK_LIB
	can't be used; instead use AC_LINK_IFELSE.

2007-01-13 02:12  Chris Hanson <org/chris-hanson/cph>

	* microcode/configure.ac (1.30):

	Berkeley DB uses versioned symbols in older versions, so AC_CHECK_LIB
	can't be used; instead use AC_LINK_IFELSE.  Also, comment out C99
	fixed-width integer type tests which are (a) not used, and (b) only in
	the latest version of autoconf.

2007-01-12 05:23  Taylor R. Campbell <net/mumble/campbell>

	* runtime/load.scm (14.84):

	Use FILE-REGULAR?, not FILE-EXISTS?, to test for the existence of files
	to load, to avoid accidentally trying to load directories that happen
	to have the same name sans type as files we're interested in.

2007-01-12 01:29  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/: Makefile.in.in (1.25.2.17), Makefile.in.in
	  (1.43):

	Make sure that LIARC_OBJECTS are cleaned along with other .o files.

2007-01-12 01:27  Chris Hanson <org/chris-hanson/cph>

	* microcode/: liarc.h (1.27), liarc.h (1.21.2.5):

	Since COMPILE_FOR_STATIC_LINKING is now defined in "config.h",
	all references must be moved after that #include.

2007-01-12 01:19  Chris Hanson <org/chris-hanson/cph>

	* configure.ac (1.6), compiler/Clean.sh (1.12), compiler/configure
	  (1.11):

	Replace "--enable-c-back-end" with "--enable-native-code".  Update
	compiler cleaning and configuration to handle C shared-object files.

2007-01-12 01:18  Chris Hanson <org/chris-hanson/cph>

	* microcode/make-compinit (1.2):

	Add necessary file from pre-v15 branch.

2007-01-12 01:17  Chris Hanson <org/chris-hanson/cph>

	* microcode/: liarc.h (1.26), cmpauxmd/c.c (1.21):

	Fix two more places with pointer signedness warnings.

2007-01-11 22:53  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/: Makefile.in.in (1.42), Makefile.in.in
	  (1.25.2.16):

	Move "autom4te.cache" from "make maintainer-clean" to "make distclean".

2007-01-11 22:45  Chris Hanson <org/chris-hanson/cph>

	* microcode/: bchmmg.c (9.107), boot.c (9.122), comutl.c (1.37),
	  extern.c (9.43), extern.h (9.68), fasload.c (9.99), foreign.c
	  (1.9), intern.c (9.66), nttterm.c (1.9), object.h (9.64),
	  os2xcpt.c (1.18), prgdbm.c (1.9), prims.h (9.55), prntenv.c
	  (1.15), pros2pm.c (1.26), prosenv.c (1.22), prosfs.c (1.22),
	  prosio.c (1.27), prosproc.c (1.24), prospty.c (1.9), prostty.c
	  (1.12), prpgsql.c (1.12), pruxdld.c (1.22), pruxenv.c (1.25),
	  pruxfs.c (9.61), pruxsock.c (1.26), string.c (9.52), sysprim.c
	  (9.54), tterm.c (1.20), uxsock.c (1.35), uxtop.c (1.34), uxtrap.c
	  (1.45), x11base.c (1.91):

	Eliminate pointer signedness warnings.

2007-01-11 22:14  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.6.2.22), configure.ac (1.29):

	Fix two bugs causing mis-configuration of modules.

2007-01-11 21:57  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.28), liarc-gendeps.c (1.2),
	  makegen/Makefile.in.in (1.41), makegen/cbe-rules (1.3),
	  makegen/dirs-liarc.scm (1.2), makegen/liarc-rules-2 (1.2),
	  makegen/makegen.scm (1.15), makegen/makeinit.sh (1.16):

	Merge in most changes from pre-v15 branch.  In particular, the new
	mechanism for configuring the C back end.

2007-01-11 21:53  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/Makefile.in.in (1.25.2.15):

	Tweak to minimize diff with trunk.

2007-01-11 21:22  Chris Hanson <org/chris-hanson/cph>

	* microcode/configure.ac (1.27):

	Add --enable-debugging.

2007-01-11 21:16  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.26), makegen/Makefile.in.in (1.40):

	Eliminate COMPILED_DEFS.

2007-01-11 21:14  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.6.2.21), makegen/Makefile.in.in
	  (1.25.2.14):

	Eliminate MODULE_OBJECTS.

2007-01-11 16:07  Chris Hanson <org/chris-hanson/cph>

	* microcode/configure.ac (1.25):

	Merge in most of the changes from pre-v15 branch; eliminate gratuitous
	differences with that file.

2007-01-11 16:06  Chris Hanson <org/chris-hanson/cph>

	* microcode/configure.ac (1.6.2.20):

	Incorporate changes from trunk.  Tweak to conform to recommended shell
	practice.

	Use M4 macros to share #include sequences.  Use new macros
	AC_TYPE_[U]INTxx_T and AC_CHECK_MEMBER.

	Replace obsolete AC_TRY_xxx macros with AC_xxx_IFELSE.  Replace most
	instances of AC_TRY_COMPILE with AC_CHECK_TYPE and AC_CHECK_MEMBER.

	Eliminate most references to ac_cv_ variables; eliminate all
	scheme_cv_ variables.

2007-01-10 03:17  Chris Hanson <org/chris-hanson/cph>

	* microcode/configure.ac (1.24):

	Use AS_HELP_STRING to simplify --with and --enable descriptions.

2007-01-10 03:00  Chris Hanson <org/chris-hanson/cph>

	* microcode/configure.ac (1.23):

	Restructure handling of optional libraries; new code is simpler and
	hopefully more effective.  In particular, problems identified by Aaron
	Hsu should now be addressed.  Additionally, many changes were made to
	conform to the autoconf shell programming guidelines.

	A user-visible change is that --with-FOO may now specify a path, so
	that --with-FOO=BAR adds "-IBAR/include" to CFLAGS and "-LBAR/lib" to
	LDFLAGS.

2007-01-09 13:50  Chris Hanson <org/chris-hanson/cph>

	* microcode/configure.ac (1.22):

	Add Aaron Hsu's patch to support compilation of modules under OS X.

2007-01-09 01:38  Chris Hanson <org/chris-hanson/cph>

	* runtime/ttyio.scm (1.27):

	Set non-zero exit code if EOF reached inside error REPL.

2007-01-09 01:37  Chris Hanson <org/chris-hanson/cph>

	* runtime/scomb.scm (14.27):

	Don't allow MAKE-CONDITIONAL to accept two arguments; require three.
	Otherwise, programs of the form (IF <a> <b> #!DEFAULT) miscompile.

2007-01-09 01:36  Chris Hanson <org/chris-hanson/cph>

	* runtime/global.scm (14.78):

	Simplify UNDEFINED-VALUE?.

2007-01-09 01:16  Chris Hanson <org/chris-hanson/cph>

	* runtime/: input.scm (14.34), parse.scm (14.66), port.scm (1.50),
	  runtime.pkg (14.610), ttyio.scm (1.26):

	Fix echoing of input when standard input is redirected to a file.
	Eliminate separate implementation of DISCARD-CHAR; the top-level
	procedures are now aliases for READ-CHAR.

2007-01-08 22:56  Chris Hanson <org/chris-hanson/cph>

	* microcode/configure.ac (1.6.2.19):

	Remove overlooked vestige of LIB_X11 variable.

2007-01-08 22:56  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.21), makegen/Makefile.in.in (1.39):

	Fix bug: add X include and libraries directories to CFLAGS and LIBS
	respectively.

2007-01-08 22:52  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.6.2.18), makegen/Makefile.in.in
	  (1.25.2.13), makegen/liarc-rules-2 (1.1.2.1), makegen/makegen.scm
	  (1.7.2.5), makegen/makeinit.sh (1.10.2.6):

	Change makefile generation so that liarc fragments appear in makefile
	only when configuring for liarc.  Also, fix bug: add X include and
	libraries directories to CFLAGS and LIBS respectively.

2007-01-08 09:55  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/cbe-rules (1.2):

	Add copyright/license statements and fix typo.

2007-01-08 09:45  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.20), makegen/Makefile.in.in (1.38),
	  makegen/cbe-rules (1.1):

	Conditionally include C-back-end rules in Makefile, since it seems
	these are stimulating the bug in make.  Undo previous change since it
	did not fix the problem.

2007-01-08 00:38  Chris Hanson <org/chris-hanson/cph>

	* microcode/makegen/: Makefile.in.in (1.37), Makefile.in.in
	  (1.25.2.12):

	Work around bug in "make" prior to version 3.81 by changing the
	.SUFFIXES order.

2007-01-07 22:57  Chris Hanson <org/chris-hanson/cph>

	* runtime/strout.scm (14.28):

	Fix bug: GET-OUTPUT-STRING! would always return a null string.

2007-01-07 04:11  Chris Hanson <org/chris-hanson/cph>

	* runtime/: genio.scm (1.50), port.scm (1.49), runtime.pkg
	  (14.609), socket.scm (1.32):

	Implement PORT/OPEN?, PORT/INPUT-OPEN?, and PORT/OUTPUT-OPEN?.

2007-01-07 01:48  Chris Hanson <org/chris-hanson/cph>

	* runtime/rexp.scm (1.27):

	Elide nested groups.

2007-01-05 19:09  Chris Hanson <org/chris-hanson/cph>

	* microcode/: Clean.sh (1.4.2.2), Setup.sh (1.8.2.3), artutl.c
	  (1.18.2.5), avltree.c (1.8.2.3), avltree.h (1.7.2.3), bignmint.h
	  (1.8.2.3), bignum.c (9.52.2.5), bignum.h (9.33.2.4), bigprm.c
	  (1.8.2.3), bitstr.c (9.65.2.6), bitstr.h (1.12.2.3), bkpt.c
	  (9.34.2.3), bkpt.h (9.36.2.3), boot.c (9.118.2.6), char.c
	  (9.35.2.3), cmpgc.h (1.34.2.5), cmpint.c (1.103.2.17), cmpint.h
	  (10.12.2.10), comlin.c (1.11.2.4), comlin.h (1.9.2.3), compinit.c
	  (1.6.2.4), comutl.c (1.33.2.5), configure.ac (1.6.2.17),
	  confshared.h (11.8.2.9), const.h (9.52.2.6), copyrigh.c
	  (1.5.2.3), critsec.h (1.6.2.3), daemon.c (9.34.2.3), debug.c
	  (9.58.2.6), dfloat.c (1.8.2.3), dstack.h (1.13.2.3), edwin.h
	  (1.11.2.3), error.c (1.9.2.3), errors.h (9.46.2.6), extern.c
	  (9.40.2.3), extern.h (9.65.2.11), fasdump.c (9.68.2.17), fasl.c
	  (1.1.2.7), fasl.h (9.40.2.10), fasload.c (9.96.2.18), findprim.c
	  (9.58.2.3), fixnum.c (9.46.2.3), fixobj.h (9.40.2.3), flonum.c
	  (9.45.2.3), gc.h (9.36.2.5), gccode.h (9.60.2.12), gcloop.c
	  (9.51.2.21), generic.c (9.41.2.3), history.h (9.33.2.4), hooks.c
	  (9.66.2.5), hppacach.c (1.15.2.3), hppacach.h (1.8.2.3),
	  hppanwca.c (1.7.2.3), hunk.c (9.31.2.4), intern.c (9.61.2.7),
	  interp.c (9.102.2.7), interp.h (9.50.2.5), intext.c (1.7.2.3),
	  intext.h (1.7.2.3), intprm.c (1.12.2.3), intrpt.h (1.24.2.5),
	  liarc.h (1.21.2.4), list.c (9.35.2.4), lookprm.c (1.21.2.3),
	  lookup.c (9.70.2.5), lookup.h (9.57.2.3), memmag.c (9.71.2.9),
	  memmag.h (1.10.2.5), missing.c (9.35.2.3), mul.c (9.37.2.4), nt.h
	  (1.11.2.3), ntapi.h (1.17.2.3), ntasutl.asm (1.8.2.3), ntenv.c
	  (1.21.2.3), ntfile.c (1.16.2.2), ntfs.c (1.30.2.4), ntfs.h
	  (1.7.2.3), ntgui.c (1.31.2.3), ntgui.h (1.10.2.3), ntio.c
	  (1.31.2.4), ntio.h (1.14.2.3), ntproc.c (1.10.2.3), ntproc.h
	  (1.4.2.3), ntscmlib.h (1.12.2.3), ntscreen.c (1.51.2.4),
	  ntscreen.h (1.22.2.4), ntsig.c (1.24.2.3), ntsock.c (1.18.2.4),
	  ntsys.c (1.11.2.3), ntsys.h (1.10.2.3), ntterm.h (1.6.2.3),
	  nttop.c (1.35.2.6), nttop.h (1.6.2.3), nttrap.c (1.26.2.7),
	  nttrap.h (1.7.2.3), nttterm.c (1.6.2.3), nttty.c (1.10.2.3),
	  object.h (9.59.2.10), obstack.c (1.8.2.3), obstack.h (1.14.2.3),
	  option.c (1.61.2.10), option.h (1.16.2.4), os.h (1.9.2.4), os2.c
	  (1.10.2.4), os2.h (1.10.2.3), os2api.h (1.14.2.3), os2conio.c
	  (1.12.2.3), os2cthrd.c (1.12.2.3), os2cthrd.h (1.9.2.3),
	  os2ctty.c (1.6.2.3), os2ctty.h (1.4.2.3), os2env.c (1.16.2.3),
	  os2file.c (1.5.2.3), os2fs.c (1.16.2.3), os2io.c (1.11.2.2),
	  os2io.h (1.6.2.3), os2msg.c (1.17.2.4), os2msg.h (1.18.2.3),
	  os2pipe.c (1.10.2.3), os2pm.c (1.35.2.3), os2pm.h (1.15.2.3),
	  os2pmcon.c (1.31.2.3), os2pmcon.h (1.6.2.3), os2pmcon.rc
	  (1.7.2.3), os2proc.c (1.9.2.3), os2proc.h (1.4.2.3), os2sock.c
	  (1.20.2.3), os2term.c (1.6.2.3), os2thrd.c (1.8.2.3), os2thrd.h
	  (1.6.2.3), os2top.c (1.23.2.4), os2tty.c (1.4.2.3), os2xcpt.c
	  (1.15.2.6), osctty.h (1.6.2.3), osenv.h (1.12.2.3), osfile.h
	  (1.6.2.3), osfs.h (1.12.2.3), osio.h (1.19.2.3), osproc.h
	  (1.12.2.3), ospty.h (1.6.2.3), osscheme.c (1.14.2.4), osscheme.h
	  (1.13.2.4), ossig.h (1.6.2.3), osterm.h (1.13.2.3), ostop.h
	  (1.7.2.3), ostty.c (1.6.2.3), ostty.h (1.7.2.3), outf.c
	  (1.14.2.4), outf.h (1.7.2.3), prbfish.c (1.14.2.3), prdb4.c
	  (1.2.2.5), prename.h (1.11.2.3), prgdbm.c (1.6.2.3), prim.c
	  (9.45.2.5), prim.h (9.50.2.3), prims.h (9.52.2.4), primutl.c
	  (9.80.2.4), prmcrypt.c (1.5.2.4), prmd5.c (1.9.2.3), prmhash.c
	  (11.6.2.5), prntenv.c (1.12.2.3), prntfs.c (1.19.2.3), prntio.c
	  (1.15.2.3), pros2fs.c (1.20.2.3), pros2io.c (1.13.2.3), pros2pm.c
	  (1.23.2.3), prosenv.c (1.19.2.3), prosfile.c (1.12.2.3), prosfs.c
	  (1.18.2.4), prosio.c (1.24.2.3), prosproc.c (1.21.2.3), prospty.c
	  (1.6.2.3), prosterm.c (1.18.2.3), prostty.c (1.9.2.3), prpgsql.c
	  (1.9.2.3), pruxdld.c (1.19.2.3), pruxenv.c (1.22.2.4), pruxfs.c
	  (9.58.2.3), pruxio.c (1.10.2.3), pruxsock.c (1.22.2.4), ptrvec.c
	  (1.5.2.3), purify.c (9.65.2.12), purutl.c (9.54.2.11), regex.c
	  (1.22.2.3), regex.h (1.9.2.3), returns.h (9.45.2.3), rgxprim.c
	  (1.15.2.3), sample.c (9.28.2.3), scheme.h (9.42.2.4), scode.h
	  (9.29.2.3), sdata.h (9.42.2.3), stack.h (9.44.2.5), stackops.h
	  (11.1.2.2), step.c (9.39.2.3), storage.c (9.60.2.6), string.c
	  (9.49.2.3), svm1-defns.h (1.1.2.5), svm1-interp.c (1.1.2.3),
	  syntax.c (1.30.2.4), syntax.h (1.14.2.3), syscall.h (1.17.2.4),
	  sysprim.c (9.51.2.4), term.c (1.20.2.4), termcap.c (1.8.2.3),
	  terminfo.c (1.7.10.2), tparam.c (1.8.2.3), transact.c (1.7.2.3),
	  trap.h (9.51.2.4), tterm.c (1.16.2.3), types.h (9.40.2.6),
	  unstackify.c (11.1.2.2), usrdef.h (9.46.2.3), utabmd.scm
	  (9.88.2.6), utabmd.sh (1.5.2.4), utils.c (9.87.2.10), ux.c
	  (1.27.2.4), ux.h (1.78.2.6), uxctty.c (1.16.2.3), uxenv.c
	  (1.23.2.3), uxfile.c (1.13.2.3), uxfs.c (1.25.2.5), uxio.c
	  (1.53.2.4), uxio.h (1.7.2.3), uxproc.c (1.29.2.3), uxproc.h
	  (1.8.2.3), uxselect.h (1.8.2.3), uxsig.c (1.42.2.9), uxsig.h
	  (1.10.2.3), uxsock.c (1.31.2.4), uxsock.h (1.12.2.4), uxterm.c
	  (1.31.2.3), uxterm.h (1.7.2.3), uxtop.c (1.30.2.5), uxtop.h
	  (1.5.2.3), uxtrap.c (1.41.2.8), uxtrap.h (1.35.2.5), uxtty.c
	  (1.12.2.4), uxutil.c (1.9.2.3), uxutil.h (1.5.2.3), vector.c
	  (9.42.2.4), wind.c (1.8.2.3), winder.h (9.28.2.3), x11.h
	  (1.19.2.5), x11base.c (1.81.2.9), x11color.c (1.7.2.3),
	  x11graph.c (1.43.2.3), x11term.c (1.29.2.6), xdebug.c (9.37.2.5),
	  cmpauxmd/alpha.m4 (1.2.2.2), cmpauxmd/asmcvt.c (1.4.2.3),
	  cmpauxmd/c.c (1.15.2.4), cmpauxmd/hppa.m4 (1.42.2.3),
	  cmpauxmd/i386.m4 (1.64.2.3), cmpauxmd/m4-dos (1.4.2.3),
	  cmpauxmd/makefile (1.10.2.2), cmpauxmd/mc68k.m4 (1.30.2.3),
	  cmpauxmd/mips.m4 (1.18.2.3), cmpauxmd/vax.m4 (1.7.2.3),
	  cmpintmd/alpha.h (1.7.2.5), cmpintmd/c-config.h (1.1.2.2),
	  cmpintmd/c.c (1.1.2.2), cmpintmd/c.h (1.9.2.3), cmpintmd/hppa.h
	  (1.54.2.5), cmpintmd/i386-config.h (1.1.2.2), cmpintmd/i386.c
	  (1.1.2.4), cmpintmd/i386.h (1.37.2.10), cmpintmd/mc68k.h
	  (1.38.2.6), cmpintmd/mips.h (1.25.2.6), cmpintmd/none-config.h
	  (1.1.2.2), cmpintmd/none.c (1.1.2.2), cmpintmd/none.h (1.1.2.3),
	  cmpintmd/svm1-config.h (1.1.2.2), cmpintmd/svm1.c (1.1.2.4),
	  cmpintmd/svm1.h (1.1.2.11), cmpintmd/vax.h (1.11.2.5),
	  makegen/Makefile.in.in (1.25.2.11), makegen/dirs-liarc.scm
	  (1.1.2.2), makegen/files-core.scm (1.4.2.5),
	  makegen/files-optional.scm (1.6.2.5), makegen/files-os-prim.scm
	  (1.4.2.3), makegen/files-other.scm (1.4.2.3),
	  makegen/files-unix.scm (1.4.2.3), makegen/m4.sh (1.4.2.3),
	  makegen/makegen.scm (1.7.2.4), makegen/makeinit.sh (1.10.2.5),
	  ntutl/bch-p-nt.lst (1.8.2.3), ntutl/config.bat (1.7.2.1),
	  ntutl/config.h (1.7.2.5), ntutl/makefile (1.31.2.2),
	  ntutl/makefile.wcc (1.20.2.3), ntutl/scheme16.c (1.14.2.3),
	  ntutl/scheme16.mak (1.5.2.2), ntutl/scheme31.c (1.13.2.3),
	  ntutl/scheme32.c (1.20.2.3), ntutl/scm-p-nt.lst (1.8.2.3),
	  ntutl/setenv.bat (1.2.2.1), ntutl/wconfig.bat (1.4.2.2),
	  os2utl/config.cmd (1.5.2.1), os2utl/config.h (1.7.2.4),
	  os2utl/makefile (1.17.2.3), os2utl/makefile.cmn (1.16.2.2),
	  os2utl/makefile.emx (1.11.2.3), os2utl/makefile.gcc (1.10.2.3),
	  os2utl/makefile.vac (1.10.2.3), os2utl/makefile.wcc (1.11.2.3),
	  os2utl/mkos2pm.scm (1.4.2.3):

	Update copyright statements to GNU standard.

2007-01-05 17:23  Chris Hanson <org/chris-hanson/cph>

	* microcode/: configure.ac (1.6.2.16), os2pm.scm (1.16.2.3),
	  termcap.c (1.8.2.2), tparam.c (1.8.2.2):

	Update FSF address.

2007-01-05 16:19  Chris Hanson <org/chris-hanson/cph>

	* Clean.sh (1.10), Makefile.in (1.28), Makefile.std (1.15),
	  Setup.sh (1.16), Tags.sh (1.6), configure.ac (1.5), 6001/6001.cbf
	  (1.11), 6001/6001.pkg (1.19), 6001/6001.sf (1.18), 6001/arith.scm
	  (1.15), 6001/edextra.scm (1.38), 6001/floppy.scm (1.30),
	  6001/make.scm (15.40), 6001/nodefs.scm (1.18), 6001/pic-imag.scm
	  (1.14), 6001/pic-ops.scm (1.10), 6001/pic-read.scm (1.11),
	  6001/pic-reco.scm (1.13), 6001/picture.scm (1.34),
	  compiler/Clean.sh (1.11), compiler/Setup.sh (1.9),
	  compiler/Stage.sh (1.7), compiler/Tags.sh (1.6),
	  compiler/configure (1.10), compiler/back/asmmac.scm (1.22),
	  compiler/back/asutl.scm (1.7), compiler/back/bittop.scm (1.27),
	  compiler/back/bitutl.scm (1.14), compiler/back/insseq.scm (4.8),
	  compiler/back/lapgn1.scm (4.23), compiler/back/lapgn2.scm (1.27),
	  compiler/back/lapgn3.scm (4.20), compiler/back/linear.scm (4.21),
	  compiler/back/mermap.scm (1.9), compiler/back/regmap.scm (4.18),
	  compiler/back/syerly.scm (1.16), compiler/back/symtab.scm (1.51),
	  compiler/back/syntax.scm (1.33), compiler/base/asstop.scm (1.17),
	  compiler/base/blocks.scm (4.19), compiler/base/cfg1.scm (4.11),
	  compiler/base/cfg2.scm (4.8), compiler/base/cfg3.scm (4.9),
	  compiler/base/constr.scm (1.8), compiler/base/contin.scm (4.13),
	  compiler/base/crsend.scm (1.17), compiler/base/crstop.scm (1.17),
	  compiler/base/ctypes.scm (4.20), compiler/base/debug.scm (4.20),
	  compiler/base/enumer.scm (4.8), compiler/base/infnew.scm (4.16),
	  compiler/base/lvalue.scm (4.30), compiler/base/macros.scm (4.34),
	  compiler/base/make.scm (4.127), compiler/base/mvalue.scm (3.5),
	  compiler/base/object.scm (4.13), compiler/base/pmerly.scm (1.13),
	  compiler/base/pmlook.scm (1.14), compiler/base/pmpars.scm (1.12),
	  compiler/base/proced.scm (4.27), compiler/base/refctx.scm (1.7),
	  compiler/base/rvalue.scm (4.12), compiler/base/scode.scm (4.18),
	  compiler/base/sets.scm (4.6), compiler/base/subprb.scm (4.12),
	  compiler/base/switch.scm (4.31), compiler/base/toplev.scm (4.70),
	  compiler/base/utils.scm (4.34), compiler/documentation/cmpaux.txt
	  (1.5), compiler/documentation/cmpint.txt (1.13),
	  compiler/documentation/porting.guide (1.27), compiler/etc/asm.scm
	  (1.7), compiler/etc/comcmp.scm (1.15), compiler/etc/comfiles.scm
	  (1.11), compiler/etc/disload.scm (1.16), compiler/etc/stackp.scm
	  (1.11), compiler/etc/xcbfdir.scm (1.13), compiler/fggen/canon.scm
	  (1.27), compiler/fggen/declar.scm (1.10),
	  compiler/fggen/fggen.scm (4.42), compiler/fgopt/blktyp.scm
	  (4.20), compiler/fgopt/closan.scm (4.34),
	  compiler/fgopt/conect.scm (4.10), compiler/fgopt/contan.scm
	  (4.14), compiler/fgopt/delint.scm (1.8),
	  compiler/fgopt/desenv.scm (4.9), compiler/fgopt/envopt.scm
	  (1.14), compiler/fgopt/folcon.scm (4.13),
	  compiler/fgopt/offset.scm (4.13), compiler/fgopt/operan.scm
	  (4.12), compiler/fgopt/order.scm (4.22), compiler/fgopt/outer.scm
	  (4.10), compiler/fgopt/param.scm (1.8), compiler/fgopt/reord.scm
	  (1.7), compiler/fgopt/reteqv.scm (1.6), compiler/fgopt/reuse.scm
	  (1.12), compiler/fgopt/sideff.scm (1.13),
	  compiler/fgopt/simapp.scm (4.13), compiler/fgopt/simple.scm
	  (4.11), compiler/fgopt/subfre.scm (1.12),
	  compiler/fgopt/varind.scm (1.9), compiler/machines/C/compiler.cbf
	  (1.7), compiler/machines/C/compiler.pkg (1.21),
	  compiler/machines/C/compiler.sf (1.14),
	  compiler/machines/C/cout.scm (1.33), compiler/machines/C/ctop.scm
	  (1.21), compiler/machines/C/cutl.scm (1.9),
	  compiler/machines/C/decls.scm (1.12),
	  compiler/machines/C/lapgen.scm (1.23),
	  compiler/machines/C/machin.scm (1.14),
	  compiler/machines/C/make.scm (1.9),
	  compiler/machines/C/rgspcm.scm (1.7),
	  compiler/machines/C/rules1.scm (1.13),
	  compiler/machines/C/rules2.scm (1.9),
	  compiler/machines/C/rules3.scm (1.17),
	  compiler/machines/C/rules4.scm (1.7),
	  compiler/machines/C/rulfix.scm (1.11),
	  compiler/machines/C/rulflo.scm (1.12),
	  compiler/machines/C/rulrew.scm (1.9),
	  compiler/machines/C/stackify.scm (1.3),
	  compiler/machines/C/stackops.scm (1.3),
	  compiler/machines/C/traditional.scm (1.6),
	  compiler/machines/alpha/assmd.scm (1.8),
	  compiler/machines/alpha/coerce.scm (1.7),
	  compiler/machines/alpha/compiler.cbf (1.7),
	  compiler/machines/alpha/compiler.pkg (1.21),
	  compiler/machines/alpha/compiler.sf (1.14),
	  compiler/machines/alpha/dassm1.scm (1.8),
	  compiler/machines/alpha/dassm2.scm (1.8),
	  compiler/machines/alpha/dassm3.scm (1.6),
	  compiler/machines/alpha/decls.scm (1.13),
	  compiler/machines/alpha/inerly.scm (1.10),
	  compiler/machines/alpha/insmac.scm (1.10),
	  compiler/machines/alpha/instr1.scm (1.10),
	  compiler/machines/alpha/instr2.scm (1.8),
	  compiler/machines/alpha/instr3.scm (1.8),
	  compiler/machines/alpha/lapgen.scm (1.14),
	  compiler/machines/alpha/lapopt.scm (1.6),
	  compiler/machines/alpha/machin.scm (1.12),
	  compiler/machines/alpha/make.scm (1.8),
	  compiler/machines/alpha/rgspcm.scm (1.6),
	  compiler/machines/alpha/rules1.scm (1.8),
	  compiler/machines/alpha/rules2.scm (1.7),
	  compiler/machines/alpha/rules3.scm (1.14),
	  compiler/machines/alpha/rules4.scm (1.8),
	  compiler/machines/alpha/rulfix.scm (1.9),
	  compiler/machines/alpha/rulflo.scm (1.10),
	  compiler/machines/alpha/rulrew.scm (1.7),
	  compiler/machines/bobcat/assmd.scm (1.43),
	  compiler/machines/bobcat/coerce.scm (1.15),
	  compiler/machines/bobcat/compiler.cbf (1.7),
	  compiler/machines/bobcat/compiler.pkg (1.58),
	  compiler/machines/bobcat/compiler.sf (1.26),
	  compiler/machines/bobcat/dassm1.scm (4.26),
	  compiler/machines/bobcat/dassm2.scm (4.29),
	  compiler/machines/bobcat/dassm3.scm (4.13),
	  compiler/machines/bobcat/decls.scm (4.44),
	  compiler/machines/bobcat/flinstr1.scm (1.8),
	  compiler/machines/bobcat/flinstr2.scm (1.8),
	  compiler/machines/bobcat/inerly.scm (1.15),
	  compiler/machines/bobcat/insmac.scm (1.136),
	  compiler/machines/bobcat/instr1.scm (1.72),
	  compiler/machines/bobcat/instr2.scm (1.25),
	  compiler/machines/bobcat/instr3.scm (1.24),
	  compiler/machines/bobcat/instr4.scm (1.10),
	  compiler/machines/bobcat/insutl.scm (1.13),
	  compiler/machines/bobcat/lapgen.scm (4.58),
	  compiler/machines/bobcat/lapopt.scm (1.6),
	  compiler/machines/bobcat/machin.scm (4.38),
	  compiler/machines/bobcat/make.scm-68020 (4.93),
	  compiler/machines/bobcat/make.scm-68040 (4.94),
	  compiler/machines/bobcat/mc68ktgl.scm (1.7),
	  compiler/machines/bobcat/rgspcm.scm (4.7),
	  compiler/machines/bobcat/rules1.scm (4.43),
	  compiler/machines/bobcat/rules2.scm (4.19),
	  compiler/machines/bobcat/rules3.scm (4.47),
	  compiler/machines/bobcat/rules4.scm (4.19),
	  compiler/machines/bobcat/rulrew.scm (1.11),
	  compiler/machines/i386/assmd.scm (1.10),
	  compiler/machines/i386/coerce.scm (1.7),
	  compiler/machines/i386/compiler.cbf (1.8),
	  compiler/machines/i386/compiler.pkg (1.34),
	  compiler/machines/i386/compiler.sf (1.23),
	  compiler/machines/i386/dassm1.scm (1.17),
	  compiler/machines/i386/dassm2.scm (1.16),
	  compiler/machines/i386/dassm3.scm (1.14),
	  compiler/machines/i386/decls.scm (1.16),
	  compiler/machines/i386/inerly.scm (1.11),
	  compiler/machines/i386/insmac.scm (1.21),
	  compiler/machines/i386/instr1.scm (1.20),
	  compiler/machines/i386/instr2.scm (1.14),
	  compiler/machines/i386/instrf.scm (1.22),
	  compiler/machines/i386/insutl.scm (1.15),
	  compiler/machines/i386/lapgen.scm (1.37),
	  compiler/machines/i386/lapopt.scm (1.10),
	  compiler/machines/i386/machin.scm (1.23),
	  compiler/machines/i386/make.scm (1.10),
	  compiler/machines/i386/pc-make.scm (1.6),
	  compiler/machines/i386/rgspcm.scm (1.8),
	  compiler/machines/i386/rules1.scm (1.23),
	  compiler/machines/i386/rules2.scm (1.13),
	  compiler/machines/i386/rules3.scm (1.42),
	  compiler/machines/i386/rules4.scm (1.12),
	  compiler/machines/i386/rulfix.scm (1.38),
	  compiler/machines/i386/rulflo.scm (1.29),
	  compiler/machines/i386/rulrew.scm (1.19),
	  compiler/machines/mips/assmd.scm (1.9),
	  compiler/machines/mips/coerce.scm (1.6),
	  compiler/machines/mips/compiler.cbf (1.7),
	  compiler/machines/mips/compiler.pkg (1.28),
	  compiler/machines/mips/compiler.sf-big (1.16),
	  compiler/machines/mips/compiler.sf-little (1.16),
	  compiler/machines/mips/dassm1.scm (1.11),
	  compiler/machines/mips/dassm2.scm (1.11),
	  compiler/machines/mips/dassm3.scm (1.8),
	  compiler/machines/mips/decls.scm (1.17),
	  compiler/machines/mips/inerly.scm (1.10),
	  compiler/machines/mips/insmac.scm (1.10),
	  compiler/machines/mips/instr1.scm (1.13),
	  compiler/machines/mips/instr2a.scm (1.11),
	  compiler/machines/mips/instr2b.scm (1.10),
	  compiler/machines/mips/instr3.scm (1.9),
	  compiler/machines/mips/lapgen.scm (1.23),
	  compiler/machines/mips/lapopt.scm (1.6),
	  compiler/machines/mips/machin.scm (1.19),
	  compiler/machines/mips/make.scm-big (4.93),
	  compiler/machines/mips/make.scm-little (4.93),
	  compiler/machines/mips/mips.scm (1.8),
	  compiler/machines/mips/rgspcm.scm (1.6),
	  compiler/machines/mips/rules1.scm (1.11),
	  compiler/machines/mips/rules2.scm (1.7),
	  compiler/machines/mips/rules3.scm (1.24),
	  compiler/machines/mips/rules4.scm (1.8),
	  compiler/machines/mips/rulfix.scm (1.15),
	  compiler/machines/mips/rulflo.scm (1.14),
	  compiler/machines/mips/rulrew.scm (1.11),
	  compiler/machines/sparc/assmd.scm (1.8),
	  compiler/machines/sparc/cf.h-sparc (1.6),
	  compiler/machines/sparc/cmpaux-sparc.m4 (1.6),
	  compiler/machines/sparc/cmpint-sparc.h (1.6),
	  compiler/machines/sparc/coerce.scm (1.6),
	  compiler/machines/sparc/decls.scm (1.11),
	  compiler/machines/sparc/inerly.scm (1.10),
	  compiler/machines/sparc/insmac.scm (1.9),
	  compiler/machines/sparc/instr1.scm (1.8),
	  compiler/machines/sparc/instr2a.scm (1.8),
	  compiler/machines/sparc/instr2b.scm (1.8),
	  compiler/machines/sparc/instr3.scm (1.8),
	  compiler/machines/sparc/lapgen.scm (1.10),
	  compiler/machines/sparc/lapopt.scm (1.6),
	  compiler/machines/sparc/machin.scm (1.7),
	  compiler/machines/sparc/make.scm (1.7),
	  compiler/machines/sparc/rgspcm.scm (1.6),
	  compiler/machines/sparc/rules1.scm (1.6),
	  compiler/machines/sparc/rules2.scm (1.6),
	  compiler/machines/sparc/rules3.scm (1.8),
	  compiler/machines/sparc/rules4.scm (1.6),
	  compiler/machines/sparc/rulfix.scm (1.6),
	  compiler/machines/sparc/rulflo.scm (1.8),
	  compiler/machines/sparc/rulrew.scm (1.6),
	  compiler/machines/spectrum/assmd.scm (1.37),
	  compiler/machines/spectrum/coerce.scm (1.10),
	  compiler/machines/spectrum/compiler.cbf (1.7),
	  compiler/machines/spectrum/compiler.pkg (1.58),
	  compiler/machines/spectrum/compiler.sf (1.26),
	  compiler/machines/spectrum/dassm1.scm (4.26),
	  compiler/machines/spectrum/dassm2.scm (4.27),
	  compiler/machines/spectrum/dassm3.scm (1.7),
	  compiler/machines/spectrum/decls.scm (4.42),
	  compiler/machines/spectrum/inerly.scm (1.10),
	  compiler/machines/spectrum/insmac.scm (1.10),
	  compiler/machines/spectrum/instr1.scm (1.10),
	  compiler/machines/spectrum/instr2.scm (1.15),
	  compiler/machines/spectrum/instr3.scm (1.9),
	  compiler/machines/spectrum/lapgen.scm (4.55),
	  compiler/machines/spectrum/lapopt.scm (1.19),
	  compiler/machines/spectrum/machin.scm (4.34),
	  compiler/machines/spectrum/make.scm (4.94),
	  compiler/machines/spectrum/rgspcm.scm (4.8),
	  compiler/machines/spectrum/rules1.scm (4.40),
	  compiler/machines/spectrum/rules2.scm (4.19),
	  compiler/machines/spectrum/rules3.scm (4.48),
	  compiler/machines/spectrum/rules4.scm (4.17),
	  compiler/machines/spectrum/rulfix.scm (4.54),
	  compiler/machines/spectrum/rulflo.scm (4.46),
	  compiler/machines/spectrum/rulrew.scm (1.17),
	  compiler/machines/vax/assmd.scm (4.13),
	  compiler/machines/vax/coerce.scm (1.9),
	  compiler/machines/vax/compiler.cbf (1.10),
	  compiler/machines/vax/compiler.pkg (1.30),
	  compiler/machines/vax/compiler.sf (1.17),
	  compiler/machines/vax/dassm1.scm (4.13),
	  compiler/machines/vax/dassm2.scm (4.19),
	  compiler/machines/vax/dassm3.scm (1.8),
	  compiler/machines/vax/decls.scm (4.20),
	  compiler/machines/vax/dsyn.scm (1.16),
	  compiler/machines/vax/inerly.scm (1.14),
	  compiler/machines/vax/insmac.scm (1.21),
	  compiler/machines/vax/instr1.scm (1.14),
	  compiler/machines/vax/instr2.scm (1.15),
	  compiler/machines/vax/instr3.scm (1.18),
	  compiler/machines/vax/insutl.scm (4.8),
	  compiler/machines/vax/lapgen.scm (4.23),
	  compiler/machines/vax/lapopt.scm (1.6),
	  compiler/machines/vax/machin.scm (4.17),
	  compiler/machines/vax/make.scm (4.93),
	  compiler/machines/vax/rgspcm.scm (4.7),
	  compiler/machines/vax/rules1.scm (4.12),
	  compiler/machines/vax/rules2.scm (4.9),
	  compiler/machines/vax/rules3.scm (4.18),
	  compiler/machines/vax/rules4.scm (4.9),
	  compiler/machines/vax/rulfix.scm (1.12),
	  compiler/machines/vax/rulrew.scm (1.7),
	  compiler/rtlbase/regset.scm (1.8), compiler/rtlbase/rgraph.scm
	  (4.13), compiler/rtlbase/rtlcfg.scm (4.14),
	  compiler/rtlbase/rtlcon.scm (4.34), compiler/rtlbase/rtlexp.scm
	  (4.24), compiler/rtlbase/rtline.scm (4.15),
	  compiler/rtlbase/rtlobj.scm (4.16), compiler/rtlbase/rtlreg.scm
	  (4.14), compiler/rtlbase/rtlty1.scm (4.27),
	  compiler/rtlbase/rtlty2.scm (4.17), compiler/rtlbase/valclass.scm
	  (1.11), compiler/rtlgen/fndblk.scm (4.16),
	  compiler/rtlgen/fndvar.scm (1.11), compiler/rtlgen/opncod.scm
	  (4.77), compiler/rtlgen/rgcomb.scm (4.25),
	  compiler/rtlgen/rgproc.scm (4.18), compiler/rtlgen/rgretn.scm
	  (4.18), compiler/rtlgen/rgrval.scm (4.27),
	  compiler/rtlgen/rgstmt.scm (4.21), compiler/rtlgen/rtlgen.scm
	  (4.34), compiler/rtlopt/ralloc.scm (1.22),
	  compiler/rtlopt/rcompr.scm (1.19), compiler/rtlopt/rcse1.scm
	  (4.28), compiler/rtlopt/rcse2.scm (4.18),
	  compiler/rtlopt/rcseep.scm (4.11), compiler/rtlopt/rcseht.scm
	  (4.17), compiler/rtlopt/rcserq.scm (4.11),
	  compiler/rtlopt/rcsesr.scm (4.8), compiler/rtlopt/rdebug.scm
	  (1.8), compiler/rtlopt/rdflow.scm (1.8),
	  compiler/rtlopt/rerite.scm (1.9), compiler/rtlopt/rinvex.scm
	  (1.14), compiler/rtlopt/rlife.scm (1.65),
	  compiler/rtlopt/rtlcsm.scm (1.6), cref/Makefile.in (1.8),
	  cref/anfile.scm (1.11), cref/conpkg.scm (1.18), cref/cref.cbf
	  (1.7), cref/cref.pkg (1.14), cref/cref.sf (1.20), cref/forpkg.scm
	  (1.14), cref/make.scm (1.30), cref/mset.scm (1.6),
	  cref/object.scm (1.18), cref/redpkg.scm (1.30), cref/toplev.scm
	  (1.27), cref/triv.pkg (1.11), edwin/Clean.sh (1.12),
	  edwin/Makefile.in (1.12), edwin/abbrev.scm (1.12), edwin/ansi.scm
	  (1.12), edwin/argred.scm (1.38), edwin/artdebug.scm (1.37),
	  edwin/autold.scm (1.68), edwin/autosv.scm (1.39), edwin/basic.scm
	  (1.147), edwin/bios.scm (1.9), edwin/bufcom.scm (1.112),
	  edwin/buffer.scm (1.195), edwin/buffrm.scm (1.65),
	  edwin/bufinp.scm (1.15), edwin/bufmnu.scm (1.136),
	  edwin/bufout.scm (1.19), edwin/bufset.scm (1.17),
	  edwin/bufwfs.scm (1.25), edwin/bufwin.scm (1.318),
	  edwin/bufwiu.scm (1.40), edwin/bufwmc.scm (1.23),
	  edwin/c-mode.scm (1.65), edwin/calias.scm (1.35),
	  edwin/cinden.scm (1.25), edwin/class.scm (1.77), edwin/clscon.scm
	  (1.16), edwin/clsmac.scm (1.15), edwin/comatch.scm (1.9),
	  edwin/comhst.scm (1.11), edwin/comint.scm (1.34),
	  edwin/comman.scm (1.90), edwin/compile.scm (1.19),
	  edwin/comred.scm (1.128), edwin/comtab.scm (1.77),
	  edwin/comwin.scm (1.152), edwin/curren.scm (1.150),
	  edwin/dabbrev.scm (1.9), edwin/debian-changelog.scm (1.11),
	  edwin/debug.scm (1.72), edwin/debuge.scm (1.60), edwin/decls.scm
	  (1.80), edwin/dired.scm (1.201), edwin/diros2.scm (1.9),
	  edwin/dirunx.scm (1.18), edwin/dirw32.scm (1.9),
	  edwin/display.scm (1.12), edwin/docstr.scm (1.9), edwin/dos.scm
	  (1.58), edwin/doscom.scm (1.8), edwin/dosfile.scm (1.47),
	  edwin/dosproc.scm (1.14), edwin/dosshell.scm (1.10),
	  edwin/ed-ffi.scm (1.58), edwin/editor.scm (1.264),
	  edwin/edtfrm.scm (1.97), edwin/edtstr.scm (1.35), edwin/edwin.cbf
	  (1.8), edwin/edwin.ldr (1.80), edwin/edwin.pkg (1.302),
	  edwin/edwin.sf (1.36), edwin/evlcom.scm (1.73), edwin/eystep.scm
	  (1.11), edwin/filcom.scm (1.228), edwin/fileio.scm (1.170),
	  edwin/fill.scm (1.75), edwin/grpops.scm (1.33), edwin/hlpcom.scm
	  (1.131), edwin/htmlmode.scm (1.16), edwin/image.scm (1.142),
	  edwin/info.scm (1.143), edwin/input.scm (1.107), edwin/intmod.scm
	  (1.124), edwin/iserch.scm (1.28), edwin/javamode.scm (1.16),
	  edwin/key-w32.scm (1.8), edwin/key-x11.scm (1.10),
	  edwin/keymap.scm (1.22), edwin/keyparse.scm (1.8),
	  edwin/kilcom.scm (1.77), edwin/kmacro.scm (1.50),
	  edwin/lincom.scm (1.129), edwin/linden.scm (1.134),
	  edwin/loadef.scm (1.52), edwin/lspcom.scm (1.165),
	  edwin/macros.scm (1.80), edwin/make.scm (3.123), edwin/malias.scm
	  (1.12), edwin/manual.scm (1.21), edwin/midas.scm (1.27),
	  edwin/modefs.scm (1.169), edwin/modes.scm (1.40),
	  edwin/modlin.scm (1.28), edwin/modwin.scm (1.47),
	  edwin/motcom.scm (1.54), edwin/motion.scm (1.93),
	  edwin/mousecom.scm (1.10), edwin/nntp.scm (1.34),
	  edwin/notify.scm (1.26), edwin/nvector.scm (1.13),
	  edwin/occur.scm (1.13), edwin/os2.scm (1.56), edwin/os2com.scm
	  (1.10), edwin/os2term.scm (1.29), edwin/outline.scm (1.14),
	  edwin/pasmod.scm (1.56), edwin/paths.scm (1.20), edwin/print.scm
	  (1.25), edwin/process.scm (1.69), edwin/prompt.scm (1.204),
	  edwin/pwedit.scm (1.14), edwin/pwparse.scm (1.6),
	  edwin/rcsparse.scm (1.8), edwin/reccom.scm (1.19),
	  edwin/regcom.scm (1.27), edwin/regexp.scm (1.86),
	  edwin/regops.scm (1.93), edwin/rename.scm (1.13),
	  edwin/replaz.scm (1.85), edwin/rfc822.scm (3.9), edwin/ring.scm
	  (1.17), edwin/rmail.scm (1.78), edwin/rmailsrt.scm (1.18),
	  edwin/rmailsum.scm (1.41), edwin/schmod.scm (1.76),
	  edwin/scrcom.scm (1.13), edwin/screen.scm (1.124),
	  edwin/search.scm (1.161), edwin/sendmail.scm (1.90),
	  edwin/sercom.scm (1.70), edwin/shell.scm (1.28), edwin/simple.scm
	  (1.59), edwin/snr.scm (1.69), edwin/sort.scm (1.13),
	  edwin/strpad.scm (1.13), edwin/strtab.scm (1.52),
	  edwin/struct.scm (1.103), edwin/syntax.scm (1.97),
	  edwin/tagutl.scm (1.65), edwin/techinfo.scm (1.10),
	  edwin/telnet.scm (1.19), edwin/termcap.scm (1.11),
	  edwin/texcom.scm (1.51), edwin/things.scm (1.93),
	  edwin/tparse.scm (1.80), edwin/tterm.scm (1.45), edwin/tximod.scm
	  (1.33), edwin/txtprp.scm (1.28), edwin/undo.scm (1.68),
	  edwin/unix.scm (1.123), edwin/utils.scm (1.59), edwin/utlwin.scm
	  (1.65), edwin/vc.scm (1.97), edwin/verilog.scm (1.14),
	  edwin/vhdl.scm (1.14), edwin/webster.scm (1.10), edwin/win32.scm
	  (1.21), edwin/win32com.scm (1.13), edwin/wincom.scm (1.138),
	  edwin/window.scm (1.165), edwin/winout.scm (1.20),
	  edwin/winren.scm (1.11), edwin/xcom.scm (1.27), edwin/xform.scm
	  (1.17), edwin/xmodef.scm (1.8), edwin/xterm.scm (1.80),
	  etc/Clean.sh (1.16), etc/Setup.sh (1.12), etc/Stage.sh (1.8),
	  etc/Tags.sh (1.6), etc/build-bands.sh (1.6), etc/compile.scm
	  (1.12), etc/compile.sh (1.10), etc/functions.sh (1.6),
	  etc/optiondb.scm (1.17), etc/script.scm (1.4), imail/Makefile.in
	  (1.8), imail/compile.scm (1.24), imail/ed-ffi.scm (1.25),
	  imail/imail-browser.scm (1.14), imail/imail-core.scm (1.156),
	  imail/imail-file.scm (1.89), imail/imail-imap.scm (1.208),
	  imail/imail-rmail.scm (1.75), imail/imail-summary.scm (1.55),
	  imail/imail-top.scm (1.296), imail/imail-umail.scm (1.56),
	  imail/imail-util.scm (1.48), imail/imail.pkg (1.103),
	  imail/imap-response.scm (1.50), imail/imap-syntax.scm (1.23),
